<?php
require_once("init.php");

// ENTETE HTML
include("include/header.php");

?>
<h2>Archive ouverte : Accs  la base  partir du protocole OAI PMH (phpoai2 Data Provider)</h2>
<br />
<p>
	La base interrogeable "<a class="lien" href="index.php">en ligne</a>" est galement accessible  distance  partir du protocole OAI PMH (<i>Open Access Initiative - Protocol for Metadata Harvesting</i>).
 	Le protocole OAI-PMH (base sur les normes HTTP et XML) permet de mettre en place des infrastructures d'interoprabilit et de faciliter les changes entre des fournisseurs de donnes et un fournisseur de service (par exemple un centre de documentation, un site web, un portail thmatique, etc.) dsirant rutiliser ces donnes.<br /><br />
</p>
<center>L'URL d'accs  l'entrept [<b><?php echo $repositoryName; ?></b>] est <b><a class="lien">http://<?php echo URL; ?>oai2.php</a></b></center>
<br /><br /> 				
Vous pouvez utiliser le formulaire ci-dessous pour tester la validit de votre entrept et la cohrence des rponses associes aux six instructions (verbes) dfinies par le protocole OAI-PMH.<br />
<form name="oai">
<table class="display" border="0" width="100%" align="center" cellspacing="1" cellpadding="0">
<tr>
<th>Verbe</th>
<th>Rle</th>
<th width="30%">Arguments</th>
</tr>
<tr>
<td class="ui-state-hover" align="center" valign="top"><br /><a href="javascript:void(0);" class="bouton" onClick="LienOAI(0);">Identify</a><br /><br /></td>
<td>Informations sur l'entrept de donnes.</td>
<td>Aucun</td>
</tr>

<tr>
<td class="ui-state-hover" align="center" valign="top"><br /><a href="javascript:void(0);" class="bouton" onClick="LienOAI(1);">ListMetadataFormats</a><br /><br /></td>
<td>Liste des formats de mtadonnes disponibles</td>
<td>
<ul>
<li>identifier</li>
</ul>
</td>
</tr>

<tr>
<td class="ui-state-hover" align="center" valign="top"><br /><a href="javascript:void(0);" class="bouton" onClick="LienOAI(2);">ListSets</a></td>
<td>Liste des ensembles disponibles (sets).<br />
L'entrept [<b><?php echo $repositoryName; ?></b>] permet une extraction par :<br />
<ul>
	<li>Type de document (prfixe <b>typdoc:</b>)</li>
	<li>Type de ressource (prfixe <b>ressource:</b>)</li>
	<li>Opration (toutes les ressources attaches  une opration) (prfixe <b>operation:</b>)</li>
</ul>
</td>
<td valign="top">
<table width="100%">
<tr><td>resumptionToken</td><td><input type="text" name="token0" size="12" value=""></td></tr>
</table>
</td>
</tr>

<tr>
<td class="ui-state-hover" align="center" valign="top"><br /><a href="javascript:void(0);" class="bouton" onClick="LienOAI(3);">ListIdentifiers</a></td>
<td valign="top">Rcupre la liste des identifiants disponibles.</td>
<td>
<table width="100%">
<tr><td>from (aaaa-mm-jj)</td><td><input type="text" name="from1" size="12"></td></tr>
<tr><td>until (aaaa-mm-jj)</td><td><input type="text" name="until1" size="12"></td></tr>
<tr><td>set</td><td><input type="text" name="set1" size="12"></td></tr>
<tr><td>metadataPrefix(*)</td><td><input disabled type="text" name="nom1" size="12" value="oai_dc"></td></tr>
<tr><td>resumptionToken</td><td><input type="text" name="token1" size="12" value=""></td></tr>
</table>
</td>
</tr>

<tr>
<td class="ui-state-hover" align="center" valign="top"><br /><a href="javascript:void(0);" class="bouton" onClick="LienOAI(4);">ListRecords</a></td>
<td valign="top">Retourne une liste d'enregistrements correspondant aux diffrents paramtres (dates, ensemble) demands.</td>
<td>
<table width="100%">
<tr><td>from (aaaa-mm-jj)</td><td><input type="text" name="from2" size="12"></td></tr>
<tr><td>until (aaaa-mm-jj)</td><td><input type="text" name="until2" size="12"></td></tr>
<tr><td>set</td><td><input type="text" name="set2" size="12"></td></tr>
<tr><td>metadataPrefix(*)</td><td><input disabled type="text" name="nom2" size="12" value="oai_dc"></td></tr>
<tr><td>resumptionToken</td><td><input type="text" name="token2" size="12" value=""></td></tr>
</table>
</td>
</tr>

<tr>
<td class="ui-state-hover" align="center" valign="top"><br /><a href="javascript:void(0);" class="bouton" onClick="LienOAI(5);">GetRecord</a></td>
<td valign="top">Rcupration d'un enregistrement donn.</td>
<td>
<table width="100%">
<tr><td>identifier(*)</td><td><input type="text" name="identifier" size="12"></td></tr>
<tr><td>metadataPrefix(*)</td><td><input disabled type="text" name="nom3" size="12" value="oai_dc"></td></tr>
</table>
</td>
</tr>
<tr><td colspan="2"><b>*</b> paramtres obligatoires (ce tableau vous permet de tester l'accs  l'entrept)</td><td align="right"><input class="bouton" type="reset" value="Initialiser"></td></tr>
</table>
</form>
<br />
<u>Remarque</u> : Cet entrept est bas sur l'outil <a class="lien" target="_blank" href="http://physnet.uni-oldenburg.de/oai/">phpoai2 Data Provider</a> (par H. Stamerjohanns)
<script type="text/javascript" language="javascript">

function LienOAI(indice) {
	switch (indice) {
		case 0:
			window.location.href = "oai2.php?verb=Identify";
			break;
		case 1:
			window.location.href = "oai2.php?verb=ListMetadataFormats";
			break;
		case 2:
			var URL = "oai2.php?verb=ListSets";
			if ( document.oai.token0.value ) URL = URL + "&resumptionToken=" + document.oai.token0.value;
			window.location.href = URL;
			break;
		case 3:
			var URL = "oai2.php?verb=ListIdentifiers";
			if ( document.oai.token1.value ) {
				URL = URL + "&resumptionToken=" + document.oai.token1.value;
			} else {
				URL = URL + "&metadataPrefix=oai_dc";
				if ( document.oai.from1.value ) URL = URL + "&from=" + document.oai.from1.value;
				if ( document.oai.until1.value ) URL = URL + "&until=" + document.oai.until1.value;
				if ( document.oai.set1.value ) URL = URL + "&set=" + document.oai.set1.value;
			}
			window.location.href = URL;
			break;
		case 4:
			var URL = "oai2.php?verb=ListRecords";
			if ( document.oai.token2.value ) {
				URL = URL + "&resumptionToken=" + document.oai.token2.value;
			} else {
				URL = URL + "&metadataPrefix=oai_dc";
				if ( document.oai.from2.value ) URL = URL + "&from=" + document.oai.from2.value;
				if ( document.oai.until2.value ) URL = URL + "&until=" + document.oai.until2.value;
				if ( document.oai.set2.value ) URL = URL + "&set=" + document.oai.set2.value;
			}
			window.location.href = URL;
			break;
		case 5:
			if ( !document.oai.identifier.value ) {
				alert("Vous devez mentionner un \"identifier\"");
				return;
			}
			var URL = "oai2.php?verb=GetRecord&metadataPrefix=oai_dc";
			URL = URL + "&identifier=" + document.oai.identifier.value;
			window.location.href = URL;
			break;
	}	
}
</script>
<?php
	// PIED DE PAGE
	include("include/footer.php");
?>
