<?php
require_once("init.php");

// VARIABLES TRANSMISES
$lang = LireVariable("lang","fr");
$dsi = LireVariable("dsi","");
$lib = LireVariable("lib","");
$where = LireVariable("where","");
$format = LireVariable("format",$pft[0][0]);
$requete = LireVariable("requete","");
$total = LireVariable("total",0);
$active = LireVariable("active",1);
$sort = LireVariable("sort",$tri[0][0]);
$link = LireVariable("link","N");
$onglet = LireVariable("onglet","0");
if (isset($_POST['page'])) $page = unserialize(urldecode($_POST['page']));
$tout = true;

// ENTTE
include("include/header.php");

// PREMIERE INTERROGATION ?
if ( !$total ) {	

	// CONSTRUCTION DE LA REQUETE
	$req = ConstruireRequete($tab);
	$where = $req[0];	  // CLAUSE WHERE
	$requete = $req[1]; // REQUETE EN CLAIR
	$stat = $req[2]; 		// CHAMPS INTERROGES POUR STATISTIQUE
	$tout = $req[3]; 		// PAS DE CRITERES ?

	// DSI
	if ( $dsi ) {
		$where = "te_operation.DSI = $dsi";	
		$requete = $lib;	
	}

	// REQUETE VIDE -> AFFICHER TOUT
	if ( !$where ) $requete = t('tout');

	// EXCLURE BIBLIOGRAPHIE GNRALE PAR PAYS SI NON INTERROGE
	if (strpos($requete, $tab[7][1]) === false) {
		if ( $where ) $where .= " and ";
		$where .= "(te_operation.OpeBiblio = 0 OR te_operation.OpeBiblio = 2)";
	}

	// NOMBRE D'OPRATIONS
	$sql = 'SELECT count(*) as tot '.Jointure("te_operation");
	if ( $where ) $sql .= ' WHERE '.$where;
	$sql .= " GROUP BY te_operation.Idope";
	if ( $sort ) $sql .= ' ORDER BY '.$sort;
	Message($sql);
	$resultat = mysql_query($sql) or die("echec de la requete");
	$total = mysql_num_rows($resultat);

	// CALCUL DES PAGES
	$cpt = 0;
	$som = 0;
	$page[1]=0;
	$pge = 1;
	while ( $rec = mysql_fetch_array($resultat) ) {
		$cpt++;
		$som = $som + $rec["tot"];
		if ( $cpt == $nbr_ref_pge ) {$pge++; $page[$pge]=$som; $cpt = 0;}
	}
	$requete = str_replace('<and>(null=<b>1</b>)','',$requete);
	$requete = str_replace('<and>', ' <font class=\'operateur\'>['.t('et').']</font> ', $requete);
	$requete = str_replace('<or>', ' <font class=\'operateur\'>['.t('ou').']</font> ', $requete);
	$requete = str_replace('\\','',$requete);

	// STATISTIQUES
	if ( $flag_stat ) {
		if ( $dsi ) $stat = "DSI";
		$sql = "INSERT INTO te_stats_".date("Y")." (total, date, IP, lien, langue, champs, requete) values ($total,NOW(),'".$_SERVER['REMOTE_ADDR']."','$link','$lang','$stat','".addslashes($requete)."');";
		Message($sql);
		$resultat = mysql_query($sql);
	}

	// PAS DE REPONSES
	if (!$total) {
		echo "<br /><center><font class='message'>".t('pas_reponse_pour')." $requete</font><br /><br />\n";
		echo '<form><input class="bouton" type="button" onClick="location=\'index.php?onglet='.$onglet.'\';" value="'.t('nouvelle_recherche').'"></form>';
		echo '</center>';
		include("include/footer.php");
		exit;
	}
}

// AFFICHAGE DES REPONSES
$sql  = "SELECT * ".Jointure("te_operation");
if ( $where ) $sql .= ' WHERE '.str_replace('','"',$where);
if ( $sort ) $sql .= " ORDER BY ".$sort;
$sql .= ' LIMIT '.$page[$active].',200';
Message($sql);
$resultat = mysql_query($sql);
$nbenr = mysql_num_rows($resultat);

// BOITE DE FONCTIONS
Boite('operation');

?>
<script type="text/javascript">
	
	var liste = LireCookie("operation");
	if ( !liste ) liste = ",";
	var total = liste.replace(/[^,]/gi,"");
	total = eval(total.length - 1);
	document.getElementById("panier").innerHTML = total;
	// AFFICHE LOGO ZOTERO
	if (Navigateur() == "Netscape Navigator") document.write('<p align="right"><a class="lienaide" title="<?php echo t('infos',false); ?>" href="javascript:void(0);" onClick="OuvreFenetre(\'guides/zotero_<?php echo $lang; ?>.html\',\'A propos de ZOTERO ...\');"><img src="images/zotero.png" border="0"></a></p>');

</script>
<?php
// FORMULAIRE - La classe 'envoi' est ajoute aux lments susceptibles d'tre envoys dans IFRAME
echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="grille">';
echo '<input type="hidden" class="envoi" name="where" value="'.str_replace('"','',$where).'">';
echo '<input type="hidden" class="envoi" name="requete" value="'.$requete.'">';
echo '<input type="hidden" class="envoi" name="total" value="'.$total.'">';
echo '<input type="hidden" name="page" value="'.urlencode(serialize($page)).'">';
echo '<input type="hidden" name="active" value="'.$active.'">';
echo '<input type="hidden" name="onglet" value="'.$onglet.'">';
echo '<input type="hidden" class="envoi" name="lang" value="'.$lang.'">';
echo '<input type="hidden" class="envoi" name="sort" value="'.$sort.'">';

echo '<table align="center" border="0" width="95%">';

// AFFICHAGE REQUETE EN CLAIR 
if ( $requete == t('tout') && !$tout ) {
	echo "<tr><td colspan='2'><br /><font class='message'>".t('aucun_terme_significatif')."<br /><br /><b>$total</b> ".t('reponses_pour')." : $requete</font><br /><br /></td></tr>\n";
} else {
	echo "<tr><td colspan='2'><br /><font class='message'><b>$total</b> ".t('reponses_pour')." : $requete</font><br /><br /></td></tr>\n";
}

// NOUVELLE RECHERCHE
echo "<tr><td valign='bottom'>";
echo '<input class="bouton" type="button" onClick="location=\'index.php?onglet='.$onglet.'&lang='.$lang.'\'" value="'.t('nouvelle_recherche').'">&nbsp;';
echo "</td><td align='right'>";
echo "</td></tr>";
echo '</form>';

// POUR GERER LES CASES  COCHER DE SELECTION
echo '<form name="SELECT">';

// PLAGE DE RPONSES - BARRE DE NAVIGATION
$barre_nav  = '<table align="center" border="0" width="100%" cellpadding="0" cellspacing="1">';
$barre_nav .= '<tr height="25"><td width="25%" class="barre_deb" nowrap align="left" valign="middle">';
$deb = ($active - 1)*$nbr_ref_pge + 1;
$fin = $deb + $nbr_ref_pge - 1;
if ( $fin > $total) $fin = $total;
$barre_nav .= '<font class="barre_texte">&nbsp;';
$barre_nav .= sprintf(t('reponses'),$deb,$fin,$total);
$barre_nav .= '</b></font></td>';
$barre_nav .= "<td class='barre_fin' align='left' valign='middle' nowrap>&nbsp;";
if ($total > $nbr_ref_pge) $barre_nav .= barre_navigation(count($page), $active);
$barre_nav .= "</td></tr></table>\n";

// AFFICHAGE BARRE DE NAVIGATION ENTETE
$cpt = 0;
$ved_ope="";			// VEDETTE OPERATION
$ved_res="####";	// VEDETTE RESSOURCE
$ved_grp="####";	// VEDETTE GROUPE RESSOURCE
$pere = 0;				// NUMERO A AFFICHER
$fils = 0;				// LETTRE A AFFICHER
$code = "XXXXXX";	// CODE OPERATION
echo "<table align='center' border='0' class='resultat' width='100%' cellspacing='0' cellpadding='0'>";
echo "<tr><td colspan='3'>";
echo $barre_nav;
echo "</td></tr>";

// COCHER / DECOCHER TOUT
echo "<tr><td align='left' colspan='3'>";
echo '&nbsp;[<a href="#" class="lien" onClick="CocherTout(\'operation\',\'ope\');">'.t('cocher_tout').'</a>]&nbsp;';
echo '[<a href="#" class="lien" onClick="DecocherTout(\'operation\',\'ope\');">'.t('decocher_tout').'</a>]';
echo "<br /><br /></td></tr>";

$flg = false;
// BOUCLE AFFICHAGE
while ( ($rec = mysql_fetch_assoc($resultat)) && ($cpt < $nbr_ref_pge) ) {
	
	// RANG DE LA RPONSE
	$rang = ($active-1)*$nbr_ref_pge + $cpt + 1;	

	// OPERATIONS
	if ( $ved_ope != trim($rec["Idope"]) ) {
		$ved_ope = trim($rec["Idope"]);
		$ved_res = "####";
		$ved_grp = "####";
		if ( $flg ) echo '</div></div></div></div>';
		$flg = false;
		if ( $cpt ) echo '<br /></td><td valign="top" width="20"></td></tr>';
		if ( $cpt ) echo '<tr><td colspan="3" align="center"><div class="ligne"></div></td></tr>';
		echo '<tr id="TR'.$rec["Idope"].'">';
		// PERE - FILS
		if (preg_match("/-onc$/", $rec["OpeCodeIreda"])) {
			$pere++;
			$fils = 0;
			$code = $rec["OpeCodeIreda"]; 
			// OPRATION COMPLEXE ?
		} elseif (preg_match("/^".$code."-/", $rec["OpeCodeIreda"])) {
			$fils++;
		} else {
			$pere++;
			$fils = 0;
			$code = "XXXXXX";
		}
		// PREMIERE COLONNE
		echo '<td align="center" width="10%" valign="top" id="TD'.$rec["Idope"].'">';
		echo '<font class="champ"><b>'.$rang;
		if ( $fils ) echo "<br />(".$pere.".".chr(96+$fils).")";
		echo '</b></font><br /><br />';
		
		// DRAPEAUX
		echo '<img title="'.$rec["PaysFR"].'" alt="'.$rec["PaysFR"].'" src="images/drapeaux/'.$rec["OpeISO"].'.gif"><br /><br />';
		
		// CASE A COCHER DE SELECTION
		echo "<script language=\"javascript\">\n";
		echo "CaseCocher(\"".$rec["Idope"]."\",\"operation\",\"ope\");\n";
		echo "</script>\n";
		
		// IMPRESSION - EXPORT DDI - EXPORT DC
		echo '<br /><br /><a title="'.t('imprimer_operation').' '.$rang.'" class="neutre" href="javascript:void(0)" onClick="OuvreFenetre(\'format_imprime_operation.php?lang='.$lang.'&fiche='.$rec["Idope"].'\',\''.t('imprimer_operation',false).' '.$rang.'\');">'.Icone("imprimer","32x32").'</a>';
		echo '<br /><a title="'.t('exporter_operation').' '.$rang.'" href="javascript:void(0);" onClick="OuvreFenetre(\'format_export_operation.php?lang='.$lang.'&fiche='.$rec["Idope"].'\',\''.t('exporter_operation',false).$rec["Idope"].'\');">'.Icone("exporter","32x32").'</a>&nbsp;';
		echo '<br />';
		include("formats/operation.php");
		$cpt++;

		echo "<div class='espace' id='div_".$rang."_1' style='display:none;'>";
		
		// DEPLIER/REPLIER LES DIFFRENTS TYPES DE RESSOURCES
		echo '<p align="right"><a class="neutre" title="'.t('deplier_tout').'" href="javascript:DeplieTout(\''.$cpt.'\')"><img src="images/deplier_tout.gif" border="0" id="expandall"></a>&nbsp;';
		echo '<a class="neutre" title="'.t('replier_tout').'" href="javascript:ReplieTout(\''.$cpt.'\')"><img src="images/replier_tout.gif" border="0" id="collapseall"></a><br />';
		
		// AJOUT D'UNE RESSOUCE
		if ( $flag_add ) echo '<a title="'.t('proposer_ressource').'" href="javascript:void(0);" onClick="OuvrirFenetre(\'proposer_ressource.php?id_ope='.$rec["Idope"].'&ope='.$rec["OpeCodeIreda"].'\',900,600);" class="neutre">'.Icone("livre","32x32").'</a> <a href="javascript:void(0);" onClick="OuvrirFenetre(\'proposer_ressource.php?id_ope='.$rec["Idope"].'&ope='.$rec["OpeCodeIreda"].'\',900,600);" class="comp">'.t('proposer_ressource').'</a>';
		echo '</p>';
		$flg = true;
		$res = 0;
	}
	// RESSOURCES EXTERNES
	if ( $rec["Idres"] ) {
		if ( !$flg ) {
			echo "<div class='espace' id='div_".$rang."_1' style='display:none;'>";
			
			// DEPLIER/REPLIER LES DIFFRENTS TYPES DE RESSOURCES
			echo '<p align="right"><a class="neutre" title="'.t('deplier_tout').'" href="javascript:DeplieTout(\''.$cpt.'\')"><img src="images/deplier_tout.gif" border="0" id="expandall"></a>&nbsp;';
			echo '<a class="neutre" title="'.t('replier_tout').'" href="javascript:ReplieTout(\''.$cpt.'\')"><img src="images/replier_tout.gif" border="0" id="collapseall"></a><br />';
			
			// AJOUT D'UNE RESSOUCE
			if ( $flag_add ) echo '<a title="'.t('proposer_ressource').'" href="javascript:void(0);" onClick="OuvrirFenetre(\'proposer_ressource.php?id_ope='.$rec["Idope"].'&ope='.$rec["OpeCodeIreda"].'\',900,600);" class="neutre"><img src="images/ressource.gif" border="0"></a> <a href="javascript:void(0);" onClick="OuvrirFenetre(\'proposer_ressource.php?id_ope='.$rec["Idope"].'&ope='.$rec["OpeCodeIreda"].'\',900,600);" class="comp">'.t('proposer_ressource').'</a>';
			echo '</p>';
			$flg = true;
			$res = 0;
		}
		if ( $rec["ResType"] != $ved_res ) {
			if ( $res ) echo "</div></div>";
			// GROUPE
			if ( $rec["ResGroupe"] != $ved_grp ) echo "<br /><font class='vedettegrp'>".stripslashes($rec["ResGroupe"])."</font><br /><br />";
			$ved_res = $rec["ResType"];
			$ved_grp = $rec["ResGroupe"];
			echo '<a class="neutre" href="javascript:void(0);" onclick="show_hide(\'bloc'.$cpt.'-'.$res.'\',\'icone'.$cpt.'-'.$res.'\');"><img name="imEx'.$cpt.'" id="icone'.$cpt.'-'.$res.'" src="images/deplier.jpg" border="0" /></a>';
			echo '&nbsp;&nbsp;<a class="lien" href="javascript:void(0);" onclick="show_hide(\'bloc'.$cpt.'-'.$res.'\',\'icone'.$cpt.'-'.$res.'\');">';
			if ( $ved_res ) {
				echo stripslashes($ved_res).'</a><br />';
			} else {
				echo '{vide}</a><br />';
			}
			echo '<br /><div name="blk'.$cpt.'" id="bloc'.$cpt.'-'.$res.'" style="display:none;" class="blocressource">';
			echo "<div class='ressource'>";
			$res++;
		}
		// TABLEAU
		echo '<table width="100%" border="0" cellspacing="1" cellpadding="1" class="externe"><tr><td>';
		// ZOTERO
		echo "\n".'<span class="Z3988" title="'.Zotero().'"></span>'."\n";
		// ICONE OUVERTURE POPUP
		echo '<a title="'.t('detail_fiche').$rec["Idres"].'" class="neutre" href="javascript:void(0);" onClick="OuvreFenetre(\'format_detail_ressource.php?fiche='.$rec["Idres"].'\',\''.t('detail_fiche',false).$rec["Idres"].'\');">';
		echo Icone("loupe").'</a>&nbsp;';
		// AUTEURS; SIGLES; ORGANISMES
		$tmp = $rec["ResAuteur"];
		$tmp1 = $rec["ResOrganisme"];
		if ( $tmp && $tmp1 ) {$tmp = $tmp."; ".$tmp1; } else { $tmp = $tmp.$tmp1; }
		$Flag = Ecrire(false,"","","<font class='champ'>",$tmp,"</font><br>","");
		// TITRE. NOEDITION
		$Flag = Ecrire(false,"","","<font class='titre'>",$rec["ResTitre"],"</font>",""); 
		$Flag = Ecrire($Flag,"",". ","<font class='titre'>",$rec["ResNEdition"],"</font>","");
		if ( $Flag ) echo "<br />";
		// TITRE TRADUIT In : TITRE GENERIQUE = TITRE TRADUIT GENERIQUE / ORGANISME GENERIQUE ; AUTEUR GENERIQUE
		echo "<font class='champ'>";
		$Flag = Ecrire(false,"","","",$rec["ResTitreTraduit"],"","");
		$Flag = Ecrire($Flag,""," ","<i>In</i> : ",$rec["ResTitreGenerique"],"","");
		$Flag = Ecrire($Flag,""," = ","",$rec["ResTitreTraduitGenerique"],"","");
		$Flag = Ecrire($Flag,""," / ","",$rec["ResOrganismeGenerique"],"","");
		$Flag = Ecrire($Flag,""," ; ","",$rec["ResAuteurGenerique"],"","");
		echo "</font>";
		if ( $Flag ) echo "<br />";
		// SOURCE
		echo '<font class="source">';
		$Flag = Ecrire(false,"","","",$rec["ResLieuEdition"],"","");
		$Flag = Ecrire($Flag,""," : ","",$rec["ResEditeur"],"","");
		$Flag = Ecrire($Flag,"",". - <i>In</i> : ","",$rec["ResPeriodique"],"","");
		$Flag = Ecrire($Flag,"",", ","",$rec["ResVolume"],"","");
		$Flag = Ecrire($Flag,"",", ","Num. ",$rec["ResNumero"],"","");
		$Flag = Ecrire($Flag,"",", ","",$rec["ResDatePublication"],"","");
		$Flag = Ecrire($Flag,"",". - ","",$rec["ResPagination"],"","");
		// $Flag = Ecrire($Flag,"",", ","",$rec["ResCollation"],"","");
		$Flag = Ecrire($Flag,"",". - ","",$rec["ResCollection"],"","");
		$Flag = Ecrire($Flag,"",". - ","ISSN : ",$rec["ResISSN"],"","");
		$Flag = Ecrire($Flag,"",". - ","ISBN : ",$rec["ResISBN"],"","");
		echo '</font><br />';
		// OPERATIONS DE RATTACHEMENT
		echo Operations($rec["Idres"],false);
		echo '<br /></td>';
		if ( $rec["ResFIC"] || $rec["ResURL"] ) {
			echo "<td width='50' align='center' valign='top'><font class='champ'>";
			$Flag = Ecrire(false,"","","",$rec["ResFIC"],"","urlimg");
			$Flag = Ecrire($Flag,"","","",$rec["ResURL"],"","httpimg");
			echo "</font></td>";
		}
		echo '</tr></table>';
		echo '<center><div class="ligne"></div></center>';
	}
}

// AFFICHAGE BARRE DE NAVIGATION PIED DE PAGE
if ( $flg ) echo '</div></div></div></div>';
echo "<br /><br /></td><td valign='top' width='20'></td></tr><tr><td colspan='3'>";
echo $barre_nav;
echo "</td></tr>";
echo "</table>\n";

// AUTRE RECHERCHE
echo '<table align="center" border="0" width="95%">';
echo "<tr><td valign='top'>";
echo '<input class="bouton" type="button" onClick="location=\'index.php?onglet='.$onglet.'&lang='.$lang.'\'" value="'.t('nouvelle_recherche').'">';
echo "</td><td align='right'>";
echo "</td></tr>";
echo "</table>\n";
echo '</form>';

// PIED DE PAGE
include("include/footer.php");
?>
