<?php
	// URL
	$fic = $rec["ResFIC"];
	if ( $fic ) {
		$fic = "http://".URL."ressources/".$fic;
	} else {
		$fic = $rec["ResURL"];
	}
	echo "<rdf:Description";
	$Flag = Ecrire(false,"",""," rdf:about=\"",utf8_encode($fic),"\"","");
	echo ">\n";
	// FORMAT
	if ( $fic ) {
		$ext = strtoupper(substr($fic,-4));
		$tmp = "Document, HTML [text/html]";
		if ( $ext == ".PDF" ) $tmp = "Document, PDF [application/pdf]";
		if ( $ext == ".DOC" ) $tmp = "Document, Microsoft Word [application/msword]";
		if ( $ext == ".ZIP" ) $tmp = "Compress, ZIP [application/zip]";
		if ( $ext == ".XLS" ) $tmp = "Document, Microsoft Excel [application/msexcel]";
		Export_DC("dc:format",$tmp,"","");
	}
	// TITRE. NOEDITION : TITRE TRADUIT In : TITRE GENERIQUE = TITRE TRADUIT GENERIQUE 
	$tmp = $rec["ResTitre"];
	$tmp1 = $rec["ResNEdition"];
	if ( $tmp && $tmp1 ) {$tmp .= '. '.$tmp1;} else {$tmp.=$tmp1;}
	$tmp1 = $rec["ResTitreTraduit"];
	if ( $tmp && $tmp1 ) {$tmp .= ' : '.$tmp1;} else {$tmp.=$tmp1;}
	$tmp1 = $rec["ResTitreGenerique"];
	if ( $tmp && $tmp1 ) {$tmp .= ' [In] '.$tmp1;} else {$tmp.=$tmp1;}
	$tmp1 = $rec["ResTitreTraduitGenerique"];
	if ( $tmp && $tmp1 ) {$tmp .= ' = '.$tmp1;} else {$tmp.=$tmp1;}
	Export_DC("dc:title",$tmp,"","");
	// AUTEURS; SIGLES; ORGANISMES
	$tmp = $rec["ResAuteur"];
	$tmp1 = $rec["ResOrganisme"];
	if ( $tmp && $tmp1 ) {$tmp = $tmp."; ".$tmp1; } else { $tmp = $tmp.$tmp1; }
	Export_DC("dc:creator",$tmp,";","");
	// DESCRIPTEURS; CANDIDATS; ETHNIE
	$tmp = $rec["ResDescripteur"];
	$tmp1 = $rec["ResCandidatDescripteur"];
	if ( $tmp && $tmp1 ) {$tmp = $tmp."; ".$tmp1; } else { $tmp = $tmp.$tmp1; }
	$tmp1 = $rec["ResEthnie"];
	if ( $tmp && $tmp1 ) {$tmp = $tmp."; ".$tmp1; } else { $tmp = $tmp.$tmp1; }
	Export_DC("dc:subject",$tmp,";","");
	// PAYS
	Export_DC("dcterms:spatial",$rec["ResPays"],";","");
	// LOCALISATION
	Export_DC("dc:coverage",$rec["ResLocalisation"],";","");
	// LIEU DE PUBLICATION / EDITEUR
	$tmp = $rec["ResLieuEdition"];
	$tmp1 = $rec["ResEditeur"];
	if ( $tmp && $tmp1 ) {$tmp = $tmp." : ".$tmp1; } else { $tmp = $tmp.$tmp1; }
	Export_DC("dc:publisher",$tmp,"","");
	// RESUME
	Export_DC("dcterms:abstract",$rec["ResResume"],"","");
	// DATE DE PUBLICATION
	$tmp = $rec["ResDatePublication"];
	$tmp = str_replace("/","-",$tmp);
	Export_DC("dcterms:created",$tmp,"","");
	// LANGUE
	Export_DC("dc:language",$rec["ResLangue"],";","");
	// TYPE RESSOURCE
	Export_DC("dc:type",$rec["ResToolkit"],"","");
	// COTE
	Export_DC("dc:source",$rec["ResCote"],"","");
	// IDENTIFIANT
	$tmp = "http://".URL."format_long_ressource.php?fiche=".$rec["Idres"];
	Export_DC("dc:identifier",$tmp,"","");
	// FAIT PARTIE DE
	// CONGRES
	// DIPLOME
	// COLLECTION
	$tmp = $rec["ResCongres"];
	if ( $tmp ) $tmp = "Congrs : ".$tmp;
	$tmp1 = $rec["ResDiplome"];
	if ( $tmp1 ) $tmp1 = "Diplme : ".$tmp1;
	if ( $tmp && $tmp1 ) {$tmp = $tmp."#".$tmp1; } else { $tmp = $tmp.$tmp1; }
	$tmp1 = $rec["ResCollection"];
	if ( $tmp1 ) $tmp1 = "Collection : ".$tmp1;
	if ( $tmp && $tmp1 ) {$tmp = $tmp."#".$tmp1; } else { $tmp = $tmp.$tmp1; }
	Export_DC("dcterms:isPartOf",$tmp,"#","");
	// DESCRIPTION
	// PAGINATION
	// VOLUME
	// NUMERO
	$tmp = $rec["ResPagination"];
	if ( $tmp ) $tmp = t('pages')." : ".$tmp;
	$tmp1 = $rec["ResVolume"];
	if ( $tmp1 ) $tmp1 = t('volume')." : ".$tmp1;
	if ( $tmp && $tmp1 ) {$tmp = $tmp."\n".$tmp1; } else { $tmp = $tmp.$tmp1; }
	$tmp1 = $rec["ResNumero"];
	if ( $tmp1 ) $tmp1 = t('numero')." : ".$tmp1;
	if ( $tmp && $tmp1 ) {$tmp = $tmp."\n".$tmp1; } else { $tmp = $tmp.$tmp1; }
	if ( $tmp ) $tmp = "<![CDATA[\n".$tmp."\n]]>";
	Export_DC("dc:description",$tmp,"","");
	if ( $choix=="3" ) { // NON EXPORTES POUR MEMOIRE
		$Flag = Ecrire($Flag,""," / ","",$rec["ResOrganismeGenerique"],"","");
		$Flag = Ecrire($Flag,""," ; ","",$rec["ResAuteurGenerique"],"","");
		$Flag = Ecrire($Flag,"",". - <b>In</b> : ","",$rec["ResPeriodique"],"","");
		$Flag = Ecrire($Flag,"",". - ","ISSN : ",$rec["ResISSN"],"","");
		$Flag = Ecrire($Flag,"",". - ","ISBN : ",$rec["ResISBN"],"","");
		$Flag = Ecrire(false,"","","<font class='libelle'>".t('notes')." : </font><font class='champ'>",$rec["ResNotes"],"</font>\n","");
		$Flag = Ecrire(false,"","","<font class='libelle'>".t('domaines')." : </font><font class='champ'>",$rec["ResChapitre"],"</font>\n","");
		$Flag = Ecrire(false,"","","<font class='libelle'>".t('type_document')." : </font><font class='champ'>",$rec["ResTypeDocument"],"</font>\n","");
	}
	echo "</rdf:Description>\n";
?>