<?php
// FONCTIONS 

// TRADUCTION EN FONCTION DU DICTIONNAIRE CHARGE
function t($message,$option=true) {
global $dico;

	if (array_key_exists($message, $dico)) {
		return (($option)?$dico[$message]:addslashes($dico[$message]));
	} else {
		return "MSG NON TROUVE : ".$message;
	}
}

// ICONES
function Icone($image, $size="16x16", $chemin="", $classe="") {
	return '<img '.(($classe)?' class="'.$classe.'"':'').'alt="'.$image.'" src="'.$chemin.'images/'.$size.'/'.$image.'.png" border="0" valign="middle">';
}

// LIRE VARIABLE
function LireVariable($champ,$defaut) {
	if ( !isset($_REQUEST["$champ"]) ) {
		$val = $defaut;
	} else {
		if ( empty($_REQUEST["$champ"]) ) {
			$val = $defaut;
		} else {
			if ( is_array($_REQUEST["$champ"]) ) {
				$val = implode(";",$_REQUEST["$champ"]);
				if ( get_magic_quotes_gpc() ) $val = stripslashes($val);
			} else {
				$val = $_REQUEST["$champ"];
				if ( get_magic_quotes_gpc() ) $val = stripslashes($val);
			}
		}
	}
	return $val;
}

// EXISTENCE TABLE
function mysql_table_exists($table, $db) {
	$sql = "SHOW TABLES FROM $db LIKE '$table';";
	Message($sql);
	$resultat = mysql_query($sql);
	return mysql_num_rows($resultat);
}

// MODE DEBUG
function Message($affiche) {
	global $debug;
	if ( $debug ) echo '<div class="debug">'.$affiche.'</div>';
}

// RETOURNE VARIABLE MOTEUR MySQL
function VariableMySql($variable) {
global $connexion;

	$sql = "SHOW VARIABLES LIKE '$variable';";
	Message($sql);
	$resultat = mysql_query($sql);
	if ($resultat) {
		$rec = mysql_fetch_row( $resultat );
		return $rec[1];
	} else {
		return "";
	}

}
// TYPE DE REQUETE SUR LES DIFFERENTES TABLES
function Jointure($table) {
	
	switch ( $table ) {
		
		case "te_ressource":
		
			$join = "FROM te_ressource LEFT OUTER JOIN te_lex_ressource ON te_ressource.ResCodeRessource = te_lex_ressource.ResCode";
			break;
			
		case "te_operation":
		
			$join = "FROM te_operation LEFT OUTER JOIN te_lex_pays ON te_operation.OpeISO = te_lex_pays.Iso3 LEFT OUTER JOIN te_lex_operation ON te_operation.OpeCodeEnquete = te_lex_operation.CodeOperation LEFT OUTER JOIN te_relations ON te_operation.Idope = te_relations.idope LEFT OUTER JOIN te_ressource ON te_relations.idres = te_ressource.Idres LEFT OUTER JOIN te_lex_ressource ON te_ressource.ResCodeRessource = te_lex_ressource.ResCode";
			break;
			
		default:
			$join = "FROM $table";
	
	}						
	return $join;
	
}

// SELECTS
function Select($indice) {
	switch ( $indice ) {
		
		case 1: // LISTE OPERATIONS PAR PAYS
			$sql = "SELECT * FROM te_operation,te_lex_pays WHERE (OpeBiblio = 0 OR OpeBiblio = 2) AND Iso3 = OpeISO ORDER BY PaysFR,OpeDateSup DESC,OpeCodeIreda,OpeTitre;";
			break;
			
		case 2: // BIBLIOGRAPHIE PAR PAYS
			// $sql = "SELECT Idope,OpeISO,OpeTitre,PaysFR FROM te_operation,te_lex_pays WHERE OpeIso = Iso3 AND OpeBiblio = 1 ORDER BY PaysFR,OpeDatesCollecte DESC,OpeTitre;";
			$sql = "SELECT Idope,OpeISO,OpeTitre,PaysFR FROM te_operation,te_lex_pays WHERE OpeIso = Iso3 AND OpeBiblio = 1 ORDER BY OpeTitre;";
			break;

		case 3: // LISTE DES PAYS
			$sql = "SELECT DISTINCT PaysFR as Terme FROM te_operation,te_lex_pays WHERE OpeIso = Iso3 ORDER BY PaysFR;";
			break;

		case 4: // LISTE DES ENQUETES
			$sql = "SELECT DISTINCT DeveloppeOperation as Terme FROM te_operation,te_lex_operation WHERE OpeCodeEnquete = CodeOperation ORDER BY TriOperation;";
			break;

		case 5:	// LISTE DES RESSOURCES 2 NIVEAUX
			$sql = "SELECT DISTINCT ResGroupe as NIV1,ResType as NIV2 FROM te_ressource,te_lex_ressource WHERE ResCode = ResCodeRessource ORDER BY te_lex_ressource.ResTri;";					
			break;
			
	}
	Message($sql);
	return mysql_query($sql);

}
?>