<?php
// DEMARRAGE SESSION
session_start(); 

// IDENTIFICATION OK ?
if ( !isset($_SESSION['login']) || !isset($_SESSION['groupe']) || !isset($_SESSION['identite']) ) {
	echo "ERREUR";
	exit;
}

// GROUPE OK ?
if ( $_SESSION['login'] != "admin" ) {
	echo "ERREUR";
	exit;
}

// ORIGINE OK ?
if ( $_SERVER["REQUEST_METHOD"] != "POST" ) {
	echo "ERREUR";
	exit;
}

// PARAMETRES DE CONNEXION A LA BASE DE DONNEES
require_once("../../config/database_inc.php");

// FICHIER FONCTIONS
require_once("../functions/common.php");

// CONSTANTES
$update = date("Y-m-d");

// LECTURE DES VARIABLES
$cle = LireVariable("cle","");
$etape = LireVariable("etape","");
$where = LireVariable("where","");
$table = LireVariable("table","");
$champ1 = LireVariable("champ1",""); 
$champ2 = LireVariable("champ2",""); 
$champ3 = LireVariable("champ3",""); 
$ecrstr = LireVariable("ecrstr",""); 
$ancstr = LireVariable("ancstr",""); 
$newstr = LireVariable("newstr",""); 
$ancart = LireVariable("ancart",""); 
$newart = LireVariable("newart",""); 
$newpro = LireVariable("newpro",""); 
$where =  urldecode($where);

// DATE DE MAJ - USER
$datemaj = ( $cle == "Idope" ) ? "OpeDateModif" : "ResDateModif";
$user = ( $cle == "Idope" ) ? "OpeSaisiePar" : "ResSaisiePar";

// TRAITEMENT 1 = ECRASEMENT D'UN CONTENU
if ( $etape == "traitement1" ) {
	$sep = ( substr($champ1,-1) == "|" ) ? "|" : "";
	$champ1 = str_replace("|","",$champ1);
	if ( !$ecrstr ) $sep = "";
	$ecrstr = addslashes($ecrstr);
	// $ecrstr = utf8_decode($ecrstr);
	$sql = "UPDATE $table SET $datemaj = '$update',$champ1 = '$sep".$ecrstr."$sep' WHERE $where;";
	Message($sql);
	$resultat = mysql_query($sql);
	if ( $resultat ) {
		echo mysql_affected_rows()." correction(s)";
	} else {
		echo mysql_errno() . ": " . mysql_error();
	}
}

// TRAITEMENT 2 = REMPLACEMENT CHAINE
if ( $etape == "traitement2" ) {
	$ancstr = addslashes($ancstr);
	$newstr = addslashes($newstr);
	// $ancstr = utf8_decode($ancstr);
	// $newstr = utf8_decode($newstr);
	$req = addslashes($ancstr);
	$sql = "UPDATE $table SET $datemaj = '$update',$champ2 = replace($champ2, '".$ancstr."', '".$newstr."') WHERE $where AND $champ2 LIKE '%".$req."%';";
	Message($sql);
	$resultat = mysql_query($sql);
	if ( $resultat ) {
		echo mysql_affected_rows()." correction(s)";
		// AJUSTEMENTS COMPLEMENTAIRES
		if ( !$newstr ) {
			$sql = "UPDATE $table SET $champ2 = replace($champ2, '||', '|') WHERE $champ2 LIKE '%||%';";
			Message($sql);
			$resultat = mysql_query($sql);
			$sql = "UPDATE $table SET $champ2 = '' WHERE $champ2 = '|';";
			Message($sql);
			$resultat = mysql_query($sql);
		}
	} else {
		echo mysql_errno() . ": " . mysql_error();
	}
}

// TRAITEMENT 3 = REMPLACEMENT ARTICLE
if ( $etape == "traitement3" ) {
	$newart = addslashes($newart);
	$ancart = addslashes($ancart);
	// $newart = utf8_decode($newart);
	// $ancart = utf8_decode($ancart);
	$req = addslashes($ancart);
	if ( $newart ) {
		$newart = preg_replace('/[ ]+/',' ', $newart);
		$newart = str_replace(';','|', $newart);
		if ( $ancart && $ancart != "^" ) {
			$sql = "UPDATE $table SET $datemaj = '$update',$champ3 = replace($champ3, '|".$ancart."|', '|".$newart."|') WHERE $where AND $champ3 LIKE '%|".$req."|%';";
		} elseif ( $ancart == "^" ) {
			$sql = "UPDATE $table SET $datemaj = '$update',$champ3 = CONCAT('|".$newart."|',$champ3) WHERE $where;";
		} else {
			$sql = "UPDATE $table SET $datemaj = '$update',$champ3 = CONCAT($champ3,'|".$newart."|') WHERE $where;";
		}
	} else {
		$sql = "UPDATE $table SET $datemaj = '$update',$champ3 = replace($champ3, '|".$ancart."|', '|') WHERE $where AND $champ3 LIKE '%|".$req."|%';";
	}
	Message($sql);
	$resultat = mysql_query($sql);
	if ( $resultat ) {
		echo mysql_affected_rows()." correction(s)";
		// AJUSTEMENTS COMPLEMENTAIRES
		if ( !$newart ) {
			$sql = "UPDATE $table SET $champ3 = '' WHERE $champ3 = '|';";
			Message($sql);
			$resultat = mysql_query($sql);
		} elseif ( !$ancart || $ancart == "^" ) {
			$sql = "UPDATE $table SET $champ3 = replace($champ3, '||', '|') WHERE $champ3 LIKE '%||%';";
			Message($sql);
			$resultat = mysql_query($sql);
		}
	} else {
		echo mysql_errno() . ": " . mysql_error();
	}
}

// TRAITEMENT 4 = CHANGEMENT DE PROPRIETAIRE
if ( $etape == "traitement4" ) {
	// $sql = "UPDATE $table SET $datemaj = '$update',$user = '$newpro' WHERE $where;";
	$sql = "UPDATE $table SET $user = '$newpro' WHERE $where;";
	Message($sql);
	$resultat = mysql_query($sql);
	if ( $resultat ) {
		echo mysql_affected_rows()." correction(s)";
	} else {
		echo mysql_errno() . ": " . mysql_error();
	}
}

?>