<?php
// BORDEREAU LEXIQUE
$lexique = "TYPE DE DOCUMENT";
$help = "Ce lexique vous permet de dclarer de nouveau type de document pour la saisie des ressources.<br />
A chaque nouveau code dclar, vous pourrez associer un masque de saisie spcifique adapt  vos besoins (menu <b>Administration, Gestion des bordereaux</b>)
<br /><u>Attention</u> la suppression de termes dans ce lexique peut affecter la table des ressources.";

$modele = array (
"Code" => array (
    "use" => 2,
    "aide"=>"Code unique associ  votre type de document. Ce code dsignera le nom du bordereau de saisie.",
    "repetitif"=>0,
    "sep"=>0,
    "libelle"=>"Code abrg",
    "libelless" => "",
    "obligatoire"=>1,
    "condition"=>"",
    "choix"=>"",
    "style"=>"50px",
    "input"=>"text",
    "taille"=>"2",
    "filtre"=>"",
    "tab"=>"$lexique",
    "reprise"=>1,
    "resultat"=>1,
    "recherche"=>1,
    "cookie"=>"",
    "sep"=>0,
    "defaut"=>"",
    "tri"=>1,
    "sens"=>0,
    "grp"=>""
	),
"Pere" => array (
    "use" => 2,
    "aide"=>"Indiquer dans ce champ un terme gnrique qui permettra de regrouper ensuite plusieurs types de documents d'une mme famille.<br />Exemple : <i>Documents relevant d'une bibliothque</i>",
    "repetitif"=>0,
    "sep"=>0,
    "libelle"=>"Groupe",
    "libelless" => "",
    "obligatoire"=>1,
    "condition"=>"",
    "choix"=>"",
    "style"=>"",
    "input"=>"text",
    "taille"=>"",
    "filtre"=>"",
    "tab"=>"",
    "reprise"=>0,
    "resultat"=>1,
    "recherche"=>1,
    "cookie"=>"",
    "sep"=>0,
    "defaut"=>"",
    "tri"=>1,
    "sens"=>0,
    "grp"=>""
	),
"Terme" => array (
    "use" => 2,
    "aide"=>"Le type de document en clair. Exemple : <i>Article de priodique</i>",
    "repetitif"=>0,
    "sep"=>0,
    "libelle"=>"Type de document",
    "libelless" => "",
    "obligatoire"=>1,
    "condition"=>"",
    "choix"=>"",
    "style"=>"",
    "input"=>"text",
    "taille"=>"",
    "filtre"=>"",
    "tab"=>"",
    "reprise"=>0,
    "resultat"=>1,
    "recherche"=>1,
    "cookie"=>"",
    "sep"=>0,
    "defaut"=>"",
    "tri"=>1,
    "sens"=>0,
    "grp"=>""
	),
"OAISet" => array (
    "use" => 2,
    "aide"=>"Ce code sera utilis au niveau de l'archive OAI/PMH pour extraire des donnes par type de documents.<br />Utiliser le prfixe <b>typdoc:</b> suivi d'un code explicite dsignant le type de document. Attention ce code ne doit pas utiliser d'espaces, d'accents ni de caratres de ponctuation.<br />Exemple de code : <i>typdoc:ouvrage</i>",
    "repetitif"=>0,
    "sep"=>0,
    "libelle"=>"Nom du set OAI",
    "libelless" => "",
    "obligatoire"=>1,
    "condition"=>"",
    "choix"=>"",
    "style"=>"",
    "input"=>"text",
    "taille"=>"",
    "filtre"=>"",
    "tab"=>"",
    "reprise"=>0,
    "resultat"=>1,
    "recherche"=>1,
    "cookie"=>"",
    "sep"=>0,
    "defaut"=>"",
    "tri"=>1,
    "sens"=>0,
    "grp"=>""
	),
"Description" => array (
    "use" => 2,
    "aide"=>"",
    "repetitif"=>0,
    "sep"=>0,
    "libelle"=>"Description OAI",
    "libelless" => "",
    "obligatoire"=>0,
    "condition"=>"",
    "choix"=>"",
    "style"=>"150",
    "input"=>"textarea",
    "taille"=>"",
    "filtre"=>"",
    "tab"=>"",
    "reprise"=>0,
    "resultat"=>1,
    "recherche"=>1,
    "cookie"=>"",
    "sep"=>0,
    "defaut"=>"",
    "tri"=>1,
    "sens"=>0,
    "grp"=>""
	),
"ZOTERO" => array (
    "use" => 2,
    "aide"=>"",
    "repetitif"=>0,
    "sep"=>0,
    "libelle"=>"Equivalent ZOTERO",
    "libelless" => "",
    "obligatoire"=>0,
    "condition"=>"",
    "choix"=>"",
    "style"=>"",
    "input"=>"text",
    "taille"=>"",
    "filtre"=>"",
    "tab"=>"",
    "reprise"=>0,
    "resultat"=>1,
    "recherche"=>1,
    "cookie"=>"",
    "sep"=>0,
    "defaut"=>"",
    "tri"=>1,
    "sens"=>0,
    "grp"=>""
	)
);
?>
