<?php
$restreint = true;
require_once("init.php");

// VARIABLE
$action = LireVariable("action","");

// ENTETE HTML
include("include/header.php");
echo "<h1>".t('configuration')."</h1>";

// SAUVEGARDE DE LA CONFIGURATION
if ( $action == "sauvegarde" ) {
	
	// LECTURE POST
	$data = array();
	foreach($_POST as $key => $value) {
		$tmp = $value;
		if ( !get_magic_quotes_gpc() ) $tmp = addslashes($tmp);
		$data[$key] = $tmp;
	}
	
	if ( count($data) ) {	
		
		// NOUVEAU LOGO ?
		$erreur = "";
		$newlogo = "";
		if ( isset($_FILES['logo']) ) {
			$fic = $_FILES['logo'];
			if ( $fic['name'] ) {
				if ( $fic['error'] ) {
					$erreur = sprintf(t('erreur_upload'),$fic['name']);
				} else {
					$ext = pathinfo($fic['name']);
					if ( $ext['extension'] != "png" && $ext['extension'] != "jpg" && $ext['extension'] != "gif" ) {
						$erreur = sprintf(t('extension_interdite'),$ext['extension']);
					} else {
						if ( file_exists("../images/logo_centre.".$ext['extension']) ) unlink("../images/logo_centre.".$ext['extension']);
						if ( move_uploaded_file($fic["tmp_name"],"../images/logo_centre.".$ext['extension']) ) {
							echo sprintf(t('upload_fichier'),$fic['name'])."<br />";
							$newlogo = "logo_centre.".$ext['extension'];
						} else {
							$erreur = sprintf(t('erreur_upload'),$fic['name']);
						}
					}
				}
			}
		}
		// COPIE DE SAUVEGARDE
		if ( file_exists("../config/perso_inc.bak") ) unlink("../config/perso_inc.bak");
		copy("../config/perso_inc.php", "../config/perso_inc.bak");	
		
		// LIRE LE MODELE
		$contenu = file_get_contents("../config/modele_perso_inc.php");
		
		// AFFECTE LES VARIABLES
		$contenu = str_replace("#THEME#",$data['theme'],$contenu);
		$contenu = str_replace("#CENTRE#",$data['centre'],$contenu);
		$contenu = str_replace("#EMAIL#",$data['email'],$contenu);
		$contenu = str_replace("#HEADER#",$data['header'],$contenu);
		$contenu = str_replace("#SOUSTITRE#",$data['soustitre'],$contenu);
		$contenu = str_replace("#FOOTER#",$data['footer'],$contenu);
		$contenu = str_replace("#COPYRIGHT#",$data['copyright'],$contenu);
		$contenu = str_replace("#TITRE#",$data['titre'],$contenu);
		$contenu = str_replace("#META_DESCRIPTION#",$data['description'],$contenu);
		$contenu = str_replace("#META_KEYWORDS#",$data['keywords'],$contenu);
		$contenu = str_replace("#NOM_DEPOT#",$data['nom'],$contenu);
		$contenu = str_replace("#DATE_DEPOT#",$data['date'],$contenu);
		$contenu = str_replace("#IDENTIFIANT_DEPOT#",$data['identifiant'],$contenu);
		$contenu = str_replace("#PREFIXE_DEPOT#",$data['prefixe'],$contenu);
		// LOGO
		if ( $newlogo ) $logo = $newlogo;
		$contenu = str_replace("#LOGO#",$logo,$contenu);

		// ECRITURE
		$fichier = fopen("../config/perso_inc.php","w+");
		fputs($fichier,$contenu);
		fclose($fichier);
		echo "<br />".$erreur."<br />".t('sauvegarde_effectuee');
	}
	echo '<br /><a target="_top" href="index.php" class="bouton">'.t('poursuivre').'</a>';	

} else {

	// FORMULAIRE
	echo '<form name="grille" method="post" enctype="multipart/form-data">';
	echo '<input type="hidden" name="action" value="sauvegarde">';

	// ONGLETS
	echo '<div id="tabs"><ul>';
	echo '<li><a href="#tabs-0">'.t('interface').'</a></li>';
	echo '<li><a href="#tabs-1">'.t('metadonnees').'</a></li>';
	echo '<li><a href="#tabs-2">'.t('archive').'</a></li>';
	echo '</ul>';

	// INTERFACE
	echo '<div id="tabs-0"><p>';

		
		echo '<table class="display" width="100%" align="center" border="0" cellspacing="1" cellpadding="0">';
		// LOGO
		echo '<tr><th width="20%">'.t('logo').'</th><td>';
		if ( $logo && file_exists("../images/$logo") ) echo '<img src="../images/'.$logo.'" /><br />';
		echo t('nouveau_logo').' <input type="file" name="logo" value="" />';
		echo '</td></tr>';
		// THEME
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPINTER1\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('theme').'</th><td><select name="theme">';
		$Dossier = opendir("../themes") or die('Erreur');
		while( $Entree = @readdir($Dossier) ) {
			if ( $Entree != "." && $Entree != ".." && is_dir("../themes/".$Entree) ) echo '<option value="'.$Entree.'"'.(($Entree == $theme)?" selected":"").'>'.$Entree.'</option>';
		}
  	closedir($Dossier);
		echo '</select> '.Icone("loupe").'<a href="../?switch=1" target="_blank" class="lien">'.t('apercu_theme').'</a></td></tr>';
		// CENTRE
		echo '<tr><th width="20%">'.t('organisme').'</th><td><input type="text" name="centre" value="'.CENTRE.'" style="width: 100%;"></td></tr>';
		// EMAIL
		echo '<tr><th width="20%">'.t('email').'</th><td><input type="text" name="email" value="'.$admin.'" style="width: 100%;"></td></tr>';
		// HEADER
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPINTER2\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('entete').'</th><td><textarea name="header" style="width: 100%; height: 100px;">'.stripslashes(HEADER).'</textarea></td></tr>';
		// SOUSTITRE
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPINTER3\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('soustitre').'</th><td><textarea name="soustitre" style="width: 100%; height: 100px;">'.stripslashes(SOUSTITRE).'</textarea></td></tr>';
		// FOOTER
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPINTER4\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('piedpage').'</th><td><textarea name="footer" style="width: 100%; height: 100px;">'.stripslashes(FOOTER).'</textarea></td></tr>';
		// COPYRIGHT
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPINTER5\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('copyright').'</th><td><input type="text" name="copyright" value="'.COPYRIGHT.'" style="width: 100%;"></td></tr>';

		echo "</table>";

	echo "</p></div>\r\n\r\n";

	// ONGLET META-TAGS
	echo '<div id="tabs-1"><p>';
	
		echo '<table class="display" width="100%" align="center" border="0" cellspacing="1" cellpadding="0">';
		// TITLE
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPMETA1\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('titre').'</th><td><input type="text" name="titre" value="'.TITRE.'" style="width: 100%;"></td></tr>';
		// DESCRIPTION
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPMETA2\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('description').'</th><td><textarea style="width: 100%; height: 100px;" name="description">'.META_DESCRIPTION.'</textarea></td></tr>';
		// KEYWORDS
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPMETA3\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('keywords').'</th><td><textarea style="width: 100%; height: 100px;" name="keywords">'.META_KEYWORDS.'</textarea></td></tr>';
		echo "</table>";
	
	echo "</p></div>\r\n\r\n";

	// ARCHIVE OAI PMH
	echo '<div id="tabs-2"><p>';

		echo '<table class="display" width="100%" align="center" border="0" cellspacing="1" cellpadding="0">';
		// NOM ENTREPOT
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPOAI1\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('nom_oai').'</th><td><input type="text" name="nom" value="'.$repositoryName.'" style="width: 100%;"></td></tr>';
		// DATE DEBUT ENTREPOT
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPOAI2\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('date_oai').'</th><td><input type="text" maxlength="10" name="date" value="'.$earliestDatestamp.'"></td></tr>';
		// IDENTIFIANT ENTREPOT
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPOAI3\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('identifiant_oai').'</th><td><input type="text" name="identifiant" value="'.$repositoryIdentifier.'" style="width: 100%;"></td></tr>';
		// PREFIXE ENTREPOT
		echo '<tr><th width="20%"><a class="neutre" onClick="OuvreInfo(\'HLPOAI4\');" href="javascript:void(0);">'.Icone("guide").'</a>&nbsp;';
		echo t('prefixe_oai').'</th><td><input type="text" name="prefixe" value="'.$idPrefix.'" style="width: 100%;"></td></tr>';

		echo "</table>";
		
	echo "</p></div></div>\r\n\r\n";

	// BOUTONS
	echo '<br /><p align="right">';
	echo '<input class="bouton" type="button" onClick="location=\'accueil.php\';" value="'.t('annuler').'">&nbsp;';
	echo '<input class="bouton" type="submit" value="'.t('valider').'">';
	echo '</p>';
	echo '</form>';

	// GUIDES
	echo '<div id="HLPINTER1" style="display:none;"><p>'.t('aide_theme').'</p></div>';
	echo '<div id="HLPINTER2" style="display:none;"><p>'.t('aide_entete').'</p></div>';
	echo '<div id="HLPINTER3" style="display:none;"><p>'.t('aide_soustitre').'</p></div>';
	echo '<div id="HLPINTER4" style="display:none;"><p>'.t('aide_piedpage').'</p></div>';
	echo '<div id="HLPINTER5" style="display:none;"><p>'.t('aide_copyright').'</p></div>';

	echo '<div id="HLPMETA1" style="display:none;"><p>'.t('aide_titre').'</p></div>';
	echo '<div id="HLPMETA2" style="display:none;"><p>'.t('aide_description').'</p></div>';
	echo '<div id="HLPMETA3" style="display:none;"><p>'.t('aide_keywords').'</p></div>';

	echo '<div id="HLPOAI1" style="display:none;"><p>'.t('aide_nom_oai').'</p></div>';
	echo '<div id="HLPOAI2" style="display:none;"><p>'.t('aide_date_oai').'</p></div>';
	echo '<div id="HLPOAI3" style="display:none;"><p>'.t('aide_identifiant_oai').'</p></div>';
	echo '<div id="HLPOAI4" style="display:none;"><p>'.t('aide_prefixe_oai').'</p></div>';
}
?>
</body>
</html>