<?php
$restreint = true;
require_once("init.php");

// VARIABLES
$table = LireVariable("table","");
$bordereau = LireVariable("bordereau","");
$cle = LireVariable("cle","");

if ( !Autorise($table) ) {
	include("include/header_fenetre.php");
	echo t('espace_interdit');
	echo '<center><input type="button" class="bouton" onClick="FermeFenetre();" value="'.t('poursuivre').'"></center></body></html>';
	exit;
}

// CHARGE BORDEREAU
if (!file_exists("bordereaux/$lang/$bordereau.php")) {
	echo t('bordereau_inconnu')." [$lang/$bordereau].<br />";
	exit;
}
include("bordereaux/$lang/$bordereau.php");

// LECTURE DES VARIABLES
$correction = LireVariable("correction","");
$etape = LireVariable("etape","");
$where = LireVariable("where","");
$enclair = LireVariable("enclair",t('tout'));
$total = LireVariable("total",0);
$table = LireVariable("table","");
$champ1 = LireVariable("champ1",""); 
$champ2 = LireVariable("champ2",""); 
$champ3 = LireVariable("champ3",""); 
$ecrstr = LireVariable("ecrstr",""); 
$ancstr = LireVariable("ancstr",""); 
$newstr = LireVariable("newstr",""); 
$ancart = LireVariable("ancart",""); 
$newart = LireVariable("newart",""); 
$newpro = LireVariable("newpro",""); 
$erreur = "";

// CHARGE ENTETE
include ("include/header_fenetre.php");
echo $newstr;

// ETAPE DE VALIDATION
if ( $etape == "confirmation" ) {
	if ( $correction == "1" ) {
		if ( $champ1 == "" ) {
			$erreur = t('champ_absent');
		} else {
			$lib = $modele[$champ1]['libelle'];
			$champ1 = $champ1 . (( $modele[$champ1]['sep'] == 1 ) ? "|" : "");
		} 		
	} elseif ( $correction == "2" ) {
		if ( $champ2 == "" ) $erreur = t('champ_absent'); 		
		if ( !$ancstr ) $erreur = t('chaine_absente'); 
		if ( $ancstr == $newstr ) $erreur = t('operation_nulle');	
		if ( !$erreur ) $lib = $modele[$champ2]['libelle']; 		
	} elseif ( $correction == "3" ) {
		if ( $champ3 == "" ) $erreur = t('champ_absent'); 		
		if ( $ancart == $newart ) $erreur = t('operation_nulle');		
		if ( !$erreur ) {	
			$lib = $modele[$champ3]['libelle']; 		
		}	
	} elseif ( $correction == "4" ) {
		if ( !$newpro ) $erreur = t('operation_nulle');		
		if ( !$erreur ) {	
			$lib = $newpro; 		
		}	
	}	else {
		$erreur = t('option_inconnue');
	}
	if ( !$erreur ) {	// CORRECTION DEMANDEE OK
		echo '<form method="post" id="corrige" name="corrige" action="ajax/corrige.php">';
		echo '<input type="hidden" class="envoi" name="cle" value="'.$cle.'">';
		echo '<input type="hidden" class="envoi" name="where" value="'.$where.'">';
		echo '<input type="hidden" class="envoi" name="table" value="'.$table.'">';
		echo '<input type="hidden" class="envoi" name="bordereau" value="'.$bordereau.'">';
		echo '<input type="hidden" class="envoi" name="total" value="'.$total.'">';
		echo '<input type="hidden" class="envoi" name="champ1" value="'.$champ1.'">';
		echo '<input type="hidden" class="envoi" name="champ2" value="'.$champ2.'">';
		echo '<input type="hidden" class="envoi" name="champ3" value="'.$champ3.'">';
		echo '<input type="hidden" class="envoi" name="etape" value="traitement'.$correction.'">';
		echo '<input type="hidden" class="envoi" name="ecrstr" value="'.$ecrstr.'">';
		echo '<input type="hidden" class="envoi" name="ancstr" value="'.$ancstr.'">';
		echo '<input type="hidden" class="envoi" name="newstr" value="'.$newstr.'">';
		echo '<input type="hidden" class="envoi" name="ancart" value="'.$ancart.'">';
		echo '<input type="hidden" class="envoi" name="newart" value="'.$newart.'">';
		echo '<input type="hidden" class="envoi" name="newpro" value="'.$newpro.'">';
		echo '<br /><table class="display" border="0" align="center" width="100%"><tr><th colspan="2">'.t('validation').'</th></tr>';
		echo '<tr><td colspan="2">'.t('documents').' : <font class="corrige">'.$total.' '.t('reponse_pour').' : '.$enclair.'</font></td></tr>';
		if ( $correction == "1" ) {
			if ( $ecrstr ) {
				echo '<tr><td colspan="2">'.sprintf(t('message_1'),$lib,$champ1,$ecrstr).'</td></tr>';
			} else {
				echo '<tr><td colspan="2">'.sprintf(t('message_0'),$lib,$champ1).'</td></tr>';
			}			
		}
		if ( $correction == "2" ) {
			if ( $newstr ) {
				echo '<tr><td colspan="2">'.sprintf(t('message_2'),$ancstr,$newstr,$lib,$champ2).'</td></tr>';
			} else {
				echo '<tr><td colspan="2">'.sprintf(t('message_3'),$ancstr,$lib,$champ2).'</td></tr>';
			}			
		}
		if ( $correction == "3" ) {
			if ( !$ancart ) {
				echo '<tr><td colspan="2">'.sprintf(t('message_4'),$newart,$lib,$champ3).'</td></tr>';
			} elseif ( $ancart == "^" ) {
				echo '<tr><td colspan="2">'.sprintf(t('message_5'),$newart,$lib,$champ3).'</td></tr>';
			} else {
				if ( $newart ) {
					echo '<tr><td colspan="2">'.sprintf(t('message_6'),$ancart,$newart,$lib,$champ3).'</td></tr>';
				} else {
					echo '<tr><td colspan="2">'.sprintf(t('message_7'),$ancart,$lib,$champ3).'</td></tr>';
				}
			}			
		}
		if ( $correction == "4" ) {
			echo '<tr><td colspan="2">'.sprintf(t('message_8'),$newpro).'</td></tr>';
		}
		echo '</table><table width="100%">';
		echo '<tr><td align="right">';
		echo '<input id="bt1" class="bouton" type="button" onClick="FermeFenetre();" value="'.t('abandonner').'">&nbsp;';
		echo '<input id="bt2" class="bouton" type="button" onClick="Lance();" value="'.t('valider').'">&nbsp;';
		echo '<input id="bt3" style="display:none;" class="bouton" type="button" onClick="window.parent.document.tri.submit();FermeFenetre();" value="'.t('fermer').'">&nbsp;';
		echo '<input id="bt4" style="display:none;" class="bouton" type="button" onClick="FermeFenetre();" value="'.t('fermer').'">&nbsp;';
		echo '</td></tr>';
		echo '<tr><td><div class="corrige" id="content"></div></td></tr></table>';
		echo '</form>';
?>

<script type="text/javascript">

function Lance() {
	
	$("#bt1").hide();
	$("#bt2").hide();
	$("#content").empty(); 
	$("#content").append("<?php echo t('patienter'); ?>"); 

	$('#wait').dialog({
		height: 140,
		modal: true
	});	
	var parametre = "";
	var $var = $('.envoi'); 
	$var.each(function() {parametre = parametre + "&" + this.name + "=" + URLEncode($(this).val());});

	$.ajax({
		url: "ajax/corrige.php",
		type: "POST",
		data: parametre,
		cache: false,
		success:function(msg){ // SUCCES
			$("#bt3").show();
    	$('#wait').dialog('destroy');
			$("#content").empty(); 
			$("#content").append(msg); 
		},
		error:function(XMLHttpRequest, textStatus, errorThrows){	// PB AJAX
			$("#bt4").show();
    	$('#wait').dialog('destroy');
			$("#content").empty(); 
			$("#content").append(XMLHttpRequest); 
		}
	});

}
</script>
<?php
		// Pour ouverture POPUP D'ATTENTE -->
		echo '<div id="wait" style="display:none;"><img src="images/wait.gif"><br />'.t('patienter').'</div>';
		echo '</body></html>';		
		exit;		
	}	
}

if ( $erreur ) echo '<center><font class="corrige">'.$erreur.'</span></center>';
if ( !$correction ) $correction = "1";

// FORMULAIRE AVANT CORRECTION
echo '<form method="post" name="corrige">';
echo '<input type="hidden" name="where" value="'.$where.'">';
echo '<input type="hidden" name="enclair" value="'.$enclair.'">';
echo '<input type="hidden" name="table" value="'.$table.'">';
echo '<input type="hidden" name="bordereau" value="'.$bordereau.'">';
echo '<input type="hidden" name="cle" value="'.$cle.'">';
echo '<input type="hidden" name="total" value="'.$total.'">';
echo '<input type="hidden" name="etape" value="confirmation">';
if ( $enclair ) echo "<br /><center><span class='message'>".t('documents')." = ".$total." ".t('reponse_pour')." : ".stripslashes($enclair)."</span></center>";
?>
<br />
<table align="center" class="display" border="0" width="100%">
	<tr>
		<th align="right" valign="top" width="30%"><?php echo t('type_correction'); ?></th><td>
			<input type="radio" name="correction" value="1" onClick="$('#bloc1').show();$('#bloc2').hide();$('#bloc3').hide();$('#bloc4').hide();"<?php echo ( $correction == "1" )?" checked":""; ?>><?php echo t('correction_1'); ?><br />
			<input type="radio" name="correction" value="2" onClick="$('#bloc2').show();$('#bloc1').hide();$('#bloc3').hide();$('#bloc4').hide();"<?php echo ( $correction == "2" )?" checked":""; ?>><?php echo t('correction_2'); ?><br />
			<input type="radio" name="correction" value="3" onClick="$('#bloc3').show();$('#bloc2').hide();$('#bloc1').hide();$('#bloc4').hide();"<?php echo ( $correction == "3" )?" checked":""; ?>><?php echo t('correction_3'); ?><br />
			<input type="radio" name="correction" value="4" onClick="$('#bloc4').show();$('#bloc2').hide();$('#bloc1').hide();$('#bloc3').hide();"<?php echo ( $correction == "4" )?" checked":""; ?>><?php echo t('changer_proprietaire'); ?>
		</td>
	</tr>
</table>

<!-- DIV ECRASER CONTENU -->
<div id="bloc1" style="width: 100%; display: <?php echo ( $correction == "1" )?"block":"none"; ?>;">
		<table  border="0" width="100%" class="display">
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('choisir_champ'); ?></th>
			<td width="70%">
				<select style="width: 100%" name="champ1">
					<option value=""><?php echo t('choisir'); ?></option>
<?php
	foreach ($modele as $k => $v) {
		if ( $v["input"] != "date" && $v["input"] != "hidden" ) echo '<option value="'.($k).'">'.$v['libelle'].'</option>';
	}
?>
				</select>
			</td>
		</tr>
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('nouvelle_valeur'); ?></th>
			<td><input type="text" style="width: 98%;" name="ecrstr" value="<?php echo $ecrstr; ?>"><br />
			<i><?php echo t('info_1'); ?></i>	
			</td>
		</tr>
	</table>
</div>

<!-- DIV REMPLACER CHAINE -->
<div id="bloc2" style="width: 100%; display: <?php echo ( $correction == "2" )?"block":"none"; ?>;">
	<table  border="0" width="100%" class="display">
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('choisir_champ'); ?></th>
			<td width="70%">
				<select style="width: 100%" name="champ2">
					<option value=""><?php echo t('choisir'); ?></option>
<?php
	foreach ($modele as $k => $v ) {
		if ( $v["input"] != "date" && $v["input"] != "hidden" ) echo '<option value="'.($k).'">'.$v['libelle'].'</option>';
	}
?>
				</select>
			</td>
		</tr>
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('ancienne_valeur'); ?></th><td width="70%"><input type="text" style="width: 98%;" name="ancstr" value="<?php echo $ancstr; ?>"></td>
		</tr>
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('nouvelle_valeur'); ?></th><td width="70%"><input type="text" style="width: 98%;" name="newstr" value="<?php echo $newstr; ?>"></td>
		</tr>
	</table>
</div>

<!-- DIV REMPLACER ARTICLE -->
<div id="bloc3" style="width: 100%; display: <?php echo ( $correction == "3" )?"block":"none"; ?>;">
	<table  border="0" width="100%" class="display">
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('choisir_champ'); ?></th>
			<td width="70%">
				<select style="width: 100%" name="champ3">
					<option value=""><?php echo t('choisir'); ?></option>
<?php
	foreach ($modele as $k => $v) {
		if ( $v["input"] != "date" && $v["input"] != "hidden" && $v['sep'] == 1 ) echo '<option value="'.($k).'">'.$v['libelle'].'</option>';
	}
?>
				</select>
			</td>
		</tr>
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('ancien_article'); ?></th><td><input type="text" style="width: 98%;" name="ancart" value="<?php echo $ancart; ?>"><br />
			<i><?php echo t('info_2'); ?></i>				
			</td>
		</tr>
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('nouvel_article'); ?></th><td><input type="text" style="width: 98%;" name="newart" value="<?php echo $newart; ?>"><br />
			<i><?php echo t('info_3'); ?></i>				
			</td>
		</tr>
	</table>
</div>

<!-- DIV CHANGER PROPRIETAIRE -->
<div id="bloc4" style="width: 100%; display: <?php echo ( $correction == "4" )?"block":"none"; ?>;">
	<table  border="0" width="100%" class="display">
		<tr>
			<th width="30%" align="right" valign="top"><?php echo t('choix_proprietaire'); ?></th>
			<td width="70%">
				<select style="width: 100%" name="newpro">
					<option value=""><?php echo t('choisir'); ?></option>
<?php
$sql = "SELECT login FROM te_comptes ORDER BY login;";
Message($sql);
$resultat = mysql_query($sql);
while ( $rec = mysql_fetch_assoc($resultat) ) echo '<option value="'.$rec['login'].'">'.$rec['login'].'</option>';
?>
				</select>
			</td>
		</tr>
	</table>
</div>

<!-- BOUTONS -->
<table width="100%">
	<tr><td align="right">
		<input class="bouton" type="button" onClick="FermeFenetre();" value="<?php echo t('fermer'); ?>">&nbsp;
		<input class="bouton" type="submit" value="<?php echo t('valider'); ?>">
	</td></tr>
	<tr><td>
		<?php echo Icone("infos","32x32").t('attention'); ?>
	</td></tr>
</table>
</form>
</body>
</html>
