<?php
// Sortie PDF
function ChampPDF($libelle,$contenu,$option="") {
	global $pdf,$seprep,$sepaff;
	
	if ( !$contenu ) return;
	$chp = trim(stripslashes($contenu));
	if ( substr($chp,0,1)==$seprep ) $chp = substr($chp,1);
	if ( substr($chp,-1)==$seprep ) $chp = substr($chp,0,-1);
	$chp = str_replace($seprep.$seprep, $seprep, $chp);
	$chp = str_replace($seprep, $sepaff." ", $chp);
	if ( substr($chp,0,1) == "-" && $libelle ) $chp = "\n".$chp;
	if ( $libelle ) {
		$pdf->SetFont('arial', '', 8);
		$pdf->SetTextColor(128,0,0);
		$pdf->Write(5, $libelle.' : ');
	}
	$pdf->SetTextColor(0);
	$pdf->SetFont('arial', $option, 8);
	$pdf->WriteHTML($chp) ;
	$pdf->Ln();
}
// Sortie RTF
function ChampRTF($libelle,$contenu,$option="") {
	global $sect,$fontchp,$fontlib,$seprep,$sepaff;

	if ( !$contenu ) return;
	$chp = utf8_encode(stripslashes($contenu));
	if ( substr($chp,0,1) == $seprep ) $chp = substr($chp,1);
	if ( substr($chp,-1) == $seprep ) $chp = substr($chp,0,-1);
	$chp = str_replace($seprep.$seprep, $seprep, $chp);
	$chp = str_replace($seprep, $sepaff." ", $chp);
	if ( $libelle ) $sect->writeText(utf8_encode($libelle)." : ", $fontlib);
	$sect->writeText($chp, $fontchp);
	if ( $chp != "<br />" ) $sect->writeText("<br />", $fontchp);
}
// Ecrire champ BD
function Ecrire($Flg, $Repetitif, $LibAvGe, $Sep, $SepArt, $SepGen, $LibAv, $Terme, $LibAp="", $LibApGe="", $Lien="") {
global $onglet,$format,$sort,$lang,$reprel,$seprep,$sepaff;

	$Terme = trim($Terme);
	if ( !$Terme ) {
		return $Flg;
	} else {	
		$page="format_liste.php?lang=".$lang."&onglet=".$onglet."&link=O&format=".$format."&sort=".$sort;
		//$Terme = str_replace("<","&lt;",$Terme);
		//$Terme = str_replace(">","&gt;",$Terme);
		if ( substr($Terme,0,1)==$seprep ) $Terme = substr($Terme,1);
		if ( substr($Terme,-1)==$seprep ) $Terme = substr($Terme,0,-1);
		$Terme = str_replace($seprep, $sepaff." ", $Terme);
		$Terme = stripslashes($Terme);
		$Terme = str_replace("\r\n","<br />",$Terme);
		if ( !$Flg && $LibAvGe ) echo $LibAvGe;				// Affichage libell gnrique avant
		if ( $Flg && $Sep ) echo $Sep;				// Affichage sparateur avec champ prcdent
		// Dcoupage
		if ( $Repetitif ) {										// Champ rptitif
			if ( !$SepArt )	$SepArt = $seprep;	// Sparateur d'articles par dfaut	
			$articles = explode($SepArt,$Terme);
		} else {
			$articles = explode($seprep,$Terme);
		}
		// Traitement des articles
		$j = -1;	// Nbre lments crits
		for ($i=0;$i<count($articles);$i++) {
			$tmp = trim($articles[$i]);
			if ( $tmp ) {
				if ( $j!=-1 && $SepGen ) echo $SepGen;	// Sparateur gnr
				if ( $LibAv ) echo $LibAv;					// Libell avant	
				if ( !$Lien ) {
					echo $tmp;
				} else {
					switch ($Lien) {
						
						case "mailto":		// Lien messagerie
							echo "<a class=\"cascade\" href=\"mailto:".$tmp."\">".$tmp."</a>";
							break;

						case "httpicone":	// Lien site web type icne
							if (!preg_match("/^http/", $tmp)) $tmp = "http://".$tmp;
							echo "<a title=\"".$tmp."\" target=\"_blank\" class=\"neutre\" href=\"".$tmp."\"><img src=\"images/www.gif\" border=\"0\"></a>";
							break;
							
						case "http":			// Lien site web
							if (!preg_match("/^http/", $tmp)) $tmp = "http://".$tmp;
							echo "<a title=\"".$tmp."\" target=\"_blank\" class=\"cascade\" href=\"".$tmp."\">".$tmp."</a>";
							break;
							
						case "url":				// Ressource interne
							if (preg_match("/^http/", $tmp)) {
								echo "<a title=\"".$tmp."\" target=\"_blank\" class=\"neutre\" href=\"".$tmp."\"><img src=\"images/visualiser.png\" border=\"0\"></a>";
							} else {
								if (preg_match("/.pdf/", $tmp)) {$ext = "pdf";} else {$ext = "visualiser";}
								$tmp1 = $tmp."#";
								$tmp1 = substr($tmp1,0,strpos($tmp1,'#')); 
								if (file_exists($reprel.$tmp1)) {
									$size = TailleFichier($reprel.$tmp1);
									echo "<a alt=\"".$tmp." (".$size.")\" title=\"".$tmp." (".$size.")\" target=\"_blank\" class=\"neutre\" href=\"".$reprel.$tmp."\"><img src=\"images/".$ext.".png\" border=\"0\"> ".$tmp."</a> <font size='-3'>(".$size.")</font>";
								} else {
									echo "<a alt=\"[".$tmp1."]".MSG_86."\" title=\"Fichier [".$tmp1."] inconnu\" class=\"neutre\" href=\"javascript:void(0);\"><img src=\"images/erreur.png\" border=\"0\"></a>";
								}
							}
							break;
							
						case "popup":			// Ouverture page "popup"
							if( strpos( $tmp , '-' ) === false ) {
								echo $tmp;
							} else {
								$tmp1 = substr($tmp,0,strpos($tmp,'-'));
								echo '<a title="Comment accder  ce document" class="neutre" href="javascript:void(0);" onclick="OuvrirFenetre(\'consultation.php?prd='.$tmp1.'\',500,500,\'prd\');"><img src="images/livre_ferme.png" border="0">&nbsp;'.$tmp.'</a>';
							}
							break;
							
						default:
							if (is_numeric( $Lien)) {		// Format dtaill
								//echo "<a class=\"lien\" href=\"format_long.php?lang=".$lang."&onglet=".$onglet."&fiche=".$Lien."\">".$Terme."</a>";
								echo "<a class=\"lien\" href=\"javascript:void(0);\" onClick=\"AfficheFenetre('format_detail.php?lang=".$lang."&fiche=".$Lien."','Dtail de la fiche n".$Lien."');\">".$Terme."</a>";
							} else {										// Requte en "cascade"
								$tmp .= "#";
								$tmp = substr($tmp,0,strpos($tmp,'#')); 
								echo "<a class=\"cascade\" href=\"".$page."&".$Lien."=".urlencode($tmp)."\">".trim(str_replace('#','',$articles[$i]))."</a>";
							}
							break;
					}
				}
				if ( $LibAp ) echo $LibAp;				// Libell aprs	
				$j++;
			}
		}		
		if ( $j == -1 ) {
			return $Flg;
		} else {
			if ( $LibApGe ) echo $LibApGe;				// Affichage libell gnrique aprs
			return true;
		}
	}
}
?>