<?php
$restreint = false;
require_once("init.php");

// LIRE VARIABLES
$annee = LireVariable("annee","");
$annees = LireVariable("annees","");
	
// ENTETE
include ("include/header.php");
echo "<h1>".t('graphiques')."</h1>";

// GENERATION GRAPHIQUES ET FICHIER ANNEE UNIQUE
if ( $annee ) {

	// LISTE DES CHAMPS
	$tab = array();
	$sql = "SELECT DISTINCT champs FROM te_stats_$annee WHERE champs != '' and champs not like '%,%' ORDER BY champs;";
	Message($sql);
	$resultat = mysql_query($sql);
	$total = mysql_num_rows($resultat);
	while ( $rec = mysql_fetch_assoc($resultat) ) $tab[] = $rec['champs'];

	Camembert($annee, "1");
	Camembert($annee, "2");
	Camembert($annee, "3");
	Camembert($annee, "4");
	Camembert($annee, "5");
	Courbe($annee, "6", t('nbr_requetes_mois'), t('nbr_requetes'), "select count(*) from te_stats_#ANNEE# where date like '#ANNEE#-");
	Courbe($annee, "7", t('nbr_internautes_mois'), t('nbr_internautes'), "select count(distinct IP) from te_stats_#ANNEE# where date like '#ANNEE#-");

	$fichier = "statistiques/stats_".$annee."_".$lang.".html";
	if ( file_exists($fichier) ) unlink($fichier);
	$record = file_get_contents("statistiques/modele_annee_".$lang.".html");
	$out = fopen ($fichier , "w");
	$record = str_replace("#ANNEE#",$annee,$record);
	$record = str_replace("#LOGO#","../../images/$logo",$record);
	$record = str_replace("#CENTRE#",CENTRE,$record);
	$record = str_replace("#TITRE#",TITRE,$record);
	$record = str_replace("#MAJ#",date("d/m/Y H:i:s"),$record);
	fputs($out,$record);
	fclose ($out);
	echo sprintf(t('genere_fichier'),$annee).'<br />';
}

// GENERATION GRAPHIQUES ET FICHIER ANNEES MULTIPLES
if ( $annees ) {
	$annee = str_replace(";","-",$annees);
	$annees = str_replace(";",", ",$annees);
	Courbe($annee, "1", t('nbr_requetes_mois'), t('nbr_requetes'), "select count(*) from te_stats_#ANNEE# where date like '#ANNEE#-");
	Courbe($annee, "2", t('nbr_internautes_mois'), t('nbr_internautes'), "select count(distinct IP) from te_stats_#ANNEE# where date like '#ANNEE#-");

	$fichier = "statistiques/compare_".$annee."_".$lang.".html";
	if ( file_exists($fichier) ) unlink($fichier);
	$record = file_get_contents("statistiques/modele_annees_".$lang.".html");
	$out = fopen ($fichier , "w");
	$record = str_replace("#ANNEE#",$annee,$record);
	$record = str_replace("#ANNEES#",$annees,$record);
	$record = str_replace("#TITRE#",TITRE,$record);
	$record = str_replace("#LOGO#","../../images/$logo",$record);
	$record = str_replace("#CENTRE#",CENTRE,$record);
	$record = str_replace("#MAJ#",date("d/m/Y H:i:s"),$record);
	fputs($out,$record);
	fclose ($out);
	echo sprintf(t('genere_fichier'),$annees).'<br />';
}
?>
<table align="center" border="0" width="80%"><tr><td>
<table class="display" width="100%" border="0" cellspacing="2" cellpadding="2">
<tr><th width="20%"><?php echo t('annee'); ?></th><th><?php echo t('graphiques'); ?></th></tr>
<?php
	$sql = "SHOW TABLE STATUS LIKE 'te_stats_%';";
	Message($sql);
	$resultat = mysql_query($sql);
	$annees = "";
	while ($rec = mysql_fetch_array($resultat)) {
		$tmp = substr($rec["Name"],-4);
		$fic = "statistiques/stats_".$tmp.'_'.$lang;
		if ( $annees ) $annees .= ";";
		$annees .= $tmp;
		echo '<tr><td align="center">'.$tmp.'</td><td>';
		if ( file_exists($fic.".html") ) {
			$date_fic = date("d-m-Y  H:i", filemtime($fic.".html")); 
			echo '<a class="neutre" target="_blank" href="statistiques/stats_'.$tmp.'_'.$lang.'.html">'.Icone("loupe","32x32").' '.t('voir_fichier').'</a> <i>('.t('date_creation').' '.$date_fic.')</i> ';
			if ( $tmp == date("Y") && $login == "admin" ) echo '<a class="neutre" href="gestion_graph.php?annee='.$tmp.'">'.Icone("update","32x32").' '.t('recreer_fichier').'</a>';
		} else {
			if ( $login == "admin" ) echo '<a class="neutre" href="gestion_graph.php?annee='.$tmp.'">'.Icone("update","32x32").' '.t('creer_fichier').'</a>';
		}
		echo '</td></tr>';
	}
	
	// SI PLUSIEURS ANNEES DE STATISTIQUES
	if ( preg_match("/;/", $annees) ) {
		echo '<tr><th align="center" colspan="2">'.t('comparaison').'</th></tr>';
		echo '<tr><td valign="top" align="center">';
		echo '<form method="POST" action="gestion_graph.php">';
		$annee = explode(";",$annees);
		for ( $j=0; $j < count($annee); $j++) echo '<input type="checkbox" name="annees[]" value="'.$annee[$j].'" checked> '.$annee[$j].'<br />';
		echo '<center><input type="hidden" value="" name="annee"><input type="submit" class="bouton" value="'.t('creer_fichier').'"></center>';
		echo '</form></td><td valign="top">';	
		
		// FICHIERS EXISTANTS
		$dir = opendir("statistiques"); 
		while( $file = readdir($dir) ) {
			if ( preg_match("/^compare_.*".$lang."/", $file) ) {
				$tmp = str_replace("compare_","",$file);
				$tmp = str_replace(".html","",$tmp);
				$tmp = str_replace("_" . $lang,"",$tmp);
				$date_fic = date("d-m-Y  H:i", filemtime("statistiques/".$file)); 
				echo '<a class="neutre" target="_blank" href="statistiques/'.$file.'">'.Icone("loupe","32x32").' '.$tmp.' '.t('voir_fichier').'</a> <i>('.t('date_creation').' '.$date_fic.')</i> ';
				if ( $login == "admin" ) echo '<a class="neutre" href="gestion_graph.php?annees='.str_replace("-",";",$tmp).'">'.Icone("update","32x32").' '.t('recreer_fichier').'</a>';
				echo "<br />\n"; 
			}
		} 
		closedir($dir); 
		echo '</td></tr>';
	}
	mysql_free_result($resultat);
?>
</td></tr></table>
</td></tr></table>
</body>
</html>
<?php
	
// FONCTIONS GRAPHIQUES - BASEES SUR pChart
// COURBES
function Courbe($annees, $image, $legende, $libelle, $requete) {
global $lang;

	include_once("plugins/pChart/class/pDraw.class.php");
	include_once("plugins/pChart/class/pImage.class.php");
	include_once("plugins/pChart/class/pData.class.php");

 	$MyData = new pData(); 
 	// CHARGEMENT DES DONNEES
	$annee = explode("-",$annees);
	$tableau = array();
	for ( $j=0; $j < count($annee); $j++) {
		for ($i=1; $i < 13; ++$i) {
			$sql = str_replace("#ANNEE#",$annee[$j],$requete);
			if ( $i < 10 ) $sql .= "0";
			$sql .= $i."%';";
			Message($sql);
			$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
			$r = mysql_fetch_array($t);
			$tableau[$i-1]=$r[0];
		}
 		$MyData->addPoints($tableau,$annee[$j]);
	}
 	// $MyData->setSerieTicks("Probe 2",4);
 	$MyData->setAxisName(0,$libelle);
 	switch ( $lang ) {
		case "en":
 			$MyData->addPoints(array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"),"Labels");
			break;
		case "fr":
 			$MyData->addPoints(array("Jan","Fev","Mar","Avr","Mai","Jui","Jul","Ao","Sep","Oct","Nov","Dec"),"Labels");
			break;
	}
	$MyData->setSerieDescription("Labels","Mois");
 	$MyData->setAbscissa("Labels");
 	$myPicture = new pImage(700,230,$MyData);
 	$myPicture->Antialias = FALSE;
	// $Settings = array("R"=>170, "G"=>183, "B"=>87, "Dash"=>1, "DashR"=>190, "DashG"=>203, "DashB"=>107);
 	// $myPicture->drawFilledRectangle(0,0,700,230,$Settings); 
 	// $Settings = array("StartR"=>219, "StartG"=>231, "StartB"=>139, "EndR"=>1, "EndG"=>138, "EndB"=>68, "Alpha"=>50);
 	// $myPicture->drawGradientArea(0,0,700,230,DIRECTION_VERTICAL,$Settings); 
 	// $myPicture->drawRectangle(0,0,699,229,array("R"=>0,"G"=>0,"B"=>0));
	$myPicture->setFontProperties(array("FontName"=>"plugins/pChart/fonts/Forgotte.ttf","FontSize"=>11));
 	$myPicture->drawText(150,35,$legende,array("FontSize"=>16,"Align"=>TEXT_ALIGN_BOTTOMMIDDLE));
 	// $myPicture->setFontProperties(array("FontName"=>"plugins/pChart/fonts/verdana.ttf","FontSize"=>6));
 	$myPicture->setFontProperties(array("FontName"=>"plugins/pChart/fonts/pf_arma_five.ttf","FontSize"=>6));
	$myPicture->setGraphArea(60,40,650,200);
 	$scaleSettings = array("XMargin"=>10,"YMargin"=>10,"Floating"=>TRUE,"GridR"=>255,"GridG"=>255,"GridB"=>255,"DrawSubTicks"=>TRUE,"CycleBackground"=>TRUE);
 	$myPicture->drawScale($scaleSettings);
 	$myPicture->drawLegend(540,20,array("Style"=>LEGEND_NOBORDER,"Mode"=>LEGEND_HORIZONTAL));
 	$myPicture->Antialias = TRUE;
 	$myPicture->drawAreaChart();
 	$myPicture->setShadow(TRUE,array("X"=>1,"Y"=>1,"R"=>0,"G"=>0,"B"=>0,"Alpha"=>10));
 	$myPicture->drawLineChart();
 	$myPicture->drawPlotChart(array("PlotBorder"=>TRUE,"PlotSize"=>3,"BorderSize"=>1,"Surrounding"=>-60,"BorderAlpha"=>80));
 	$myPicture->render("statistiques/".$annees."_image".$image."_".$lang.".png"); 
}

// CAMEMBERTS
function Camembert($annee, $image) {
global $tab, $lang;

	include_once("plugins/pChart/class/pData.class.php");
 	include_once("plugins/pChart/class/pDraw.class.php");
 	include_once("plugins/pChart/class/pPie.class.php");
 	include_once("plugins/pChart/class/pImage.class.php"); 
	
	// EXTRAIRE DONNEES A TRAITER
	$donnees = array();
	$labels = array();
	switch ( $image ) {
		case "1":
	
		$sql="select count(*) as TOTAL from te_stats_".$annee." where lien='N' and total>0;";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
			$donnees[] = $r['TOTAL'];
			$labels[] = t('avec_reponses');
		}
		$sql="select count(*) as TOTAL from te_stats_".$annee." where lien='N' and total=0;";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
			$donnees[] = $r['TOTAL'];
			$labels[] = t('sans_reponses');
		}
		break;
		
	case "2":
		$liste = ",";
		for ($i=0; $i < count($tab); ++$i) {
			$chp = $tab[$i];
			if ( $chp ) {
				if ( strpos( $liste , ','.$chp.',' ) === false ) {
					$liste .= $chp.',';
					$sql="select count(*) as TOTAL from te_stats_".$annee." where lien='N' and champs='".addslashes($chp)."';";
					Message($sql);
					$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
					$r = mysql_fetch_assoc($t);
					if ( $r['TOTAL'] ) {
						$donnees[] = $r['TOTAL'];
						$labels[] = $chp;
					}
				}
			}
		}
		/*
		$sql = "select count(*) as TOTAL from te_stats_".$annee." where lien='N' and champs='999';";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
				$donnees[] = $r['TOTAL'];
				$labels[] = "A partir de l'historique";
		}
		*/
		$sql="select count(*) as TOTAL from te_stats_".$annee." where champs like '%,%';";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
			$donnees[] = $r['TOTAL'];
			$labels[] = t('multicriteres');
		}
		$sql="select count(*) as TOTAL from te_stats_".$annee." where champs='';";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
				$donnees[] = $r['TOTAL'];
				$labels[] = t('tous_champs');
		}
		break;

	case "3":
		$sql="select count(*) as TOTAL from te_stats_".$annee." where lien='N' and champs not like '%,%' and champs != '';";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
			$donnees[] = $r['TOTAL'];
			$labels[] = t('monocritere');
		}
		$sql="select count(*) as TOTAL from te_stats_".$annee." where champs like '%,%';";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
			$donnees[] = $r['TOTAL'];
			$labels[] = t('multicriteres');
		}
		break;

	case "4":
		$sql="select count(*) as TOTAL from te_stats_".$annee." where lien = 'N';";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
			$donnees[] = $r['TOTAL'];
			$labels[] = t('avec_criteres');
		}
		$sql="select count(*) as TOTAL from te_stats_".$annee." where champs='';";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_assoc($t);
		if ( $r['TOTAL'] ) {
			$donnees[] = $r['TOTAL'];
			$labels[] = t('sans_criteres');
		}
		break;

	case "5":
		$sql="SELECT DISTINCT langue,COUNT(*) as TOTAL FROM te_stats_".$annee." GROUP BY langue;";
		Message($sql);
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		while ( $r = mysql_fetch_assoc($t) ) {
			$donnees[] = $r['TOTAL'];
			$labels[] = $r['langue'];
		}
		break;
	
	}

	$total = 0;
	for ($i = 0; $i < count($donnees); $i++) $total = $total + $donnees[$i];
  $SplicePercent = 100 / $total;
  $Decimals = 1;
	for ($i = 0; $i < count($donnees); $i++) {
		$j = $donnees[$i];
		$labels[$i] = $labels[$i] . " - ".(round($j * pow(10,$Decimals) * $SplicePercent)/pow(10,$Decimals))."%";
	}
	
	$MyData = new pData();   
 	$MyData->addPoints($donnees,"Valeurs");  
	$MyData->addPoints($labels,"Lgende");
 	$MyData->setAbscissa("Lgende");
	$myPicture = new pImage(600,300,$MyData);
	$PieChart = new pPie($myPicture,$MyData);
	$myPicture->setShadow(FALSE);
	$myPicture->setFontProperties(array("FontName"=>"plugins/pChart/fonts/verdana.ttf","FontSize"=>8,"R"=>80,"G"=>80,"B"=>80));
	$PieChart->draw3DPie(300,150,array("Radius"=>80,"DrawLabels"=>TRUE,"DataGapAngle"=>10,"DataGapRadius"=>6,"Border"=>TRUE));
 	// $PieChart->drawPieLegend(400,20,array("Style"=>LEGEND_BOX,"Mode"=>LEGEND_VERTICAL));
	$myPicture->render("statistiques/".$annee."_image".$image."_".$lang.".png");
	
}
?>