<?php
$restreint = true;
require_once("init.php");

// CONSTANTES
$table = "te_ressource";
$cache = "";
$bordereau = "ressource";
$cle = "Idres";
$statut = "ResStatut";

// FONCTIONS AUTORISEES
$addcol = true; 	// AJOUT COLONNE
$flgexp = true; 	// EXPORTATION
$flgimp = false;	// IMPORTATION
$flgadd = false; 	// AJOUT
$flgprn = true; 	// IMPRESSION
$flgmod = ( $login == 'admin' ) ? true : false; // MODIFICATION PAR LOT
$flgsel = ( $login == 'admin' ) ? true : false; // SELECTION DANS PANIER
$flgdis = true; 	// ACCES LISTE DES TERMES DISTINCTS

// CHARGE BORDEREAU
if (!file_exists("bordereaux/$lang/$bordereau.php")) {
	echo t('bordereau_inconnu')." [$lang/$bordereau].<br />";
	exit;
}
include("bordereaux/$lang/$bordereau.php");

// LIRE VARIABLES
$action = LireVariable("action","");
$id = LireVariable("id","");
$sort = LireVariable("sort",$cle);
$sens = LireVariable("sens","desc");
$where = LireVariable("where","");
$enclair = LireVariable("enclair","");
$total = LireVariable("total",0);
$debut = LireVariable("debut",0);
$fiche = LireVariable("fiche","");
$update = LireVariable("update","");
$aj_col = LireVariable("aj_col","");
$ef_col = LireVariable("ef_col","");
$nbr_ref_pge = LireVariable("nbr_ref_pge",10);
$panier = LireVariable("panier",0);
$key = LireVariable("key","");
$cas = LireVariable("cas",0);

// VARIBLES REQUETES - TABLEAU ASSOCIATIF
if ( isset($_POST["chp"]) ) {
	$chp = $_POST["chp"];
} else {
	$chp = array();
}

// GESTION COLONNES DU TABLEAU
$champs = Colonnes($table, $addcol, $ef_col, $aj_col);

// CHARGE ENTETE
include ("include/header.php");
echo "<h1>".t('ressources_en_ligne')."</h1>";

switch ($action) {

case "rechercher" :

	// SUPPRIMER FICHE AVANT AFFICHAGE
	if ( $id ) {
		$update = "EFFACER";
		$fiche = $id;
	}
	// UPDATE PAR LOT AVANT AFFICHAGE
	if ( $update ) {
		if ( $fiche ) {
			$fiche = "$cle=".$fiche;
			$fiche = str_replace(";"," or $cle=",$fiche);
			if ( $update == "EFFACER" ) {
				$sql = "DELETE FROM ".$table." WHERE $fiche;";
				$resultat = mysql_query($sql);
				Message($sql);
			} elseif ( $update == "STATUTON" ) {
				$sql = "UPDATE ".$table." SET $statut = 0 WHERE $fiche;";
				$resultat = mysql_query($sql);
				Message($sql);
			} elseif ( $update == "STATUTOFF" ) {
				$sql = "UPDATE ".$table." SET $statut = 1 WHERE $fiche;";
				$resultat = mysql_query($sql);
				Message($sql);
			} elseif ( $update == "SELECT" ) {
				$sql = "UPDATE $table SET DSI = $panier WHERE $fiche;";
				$resultat = mysql_query($sql);
				Message($sql);
			} elseif ( $update == "SAISIE" ) {
				$sql = "UPDATE ".$table." SET $statut = 1 WHERE $fiche;";
				$resultat = mysql_query($sql);
				Message($sql);
				Transfert($table,"te_ressource_tmp",$fiche,1);
			} elseif ( $update == "UNSELECT" ) {
				$sql = "UPDATE $table SET DSI = 0 WHERE $fiche;";
				$resultat = mysql_query($sql);
				Message($sql);
			} elseif ( $update == "UNSELECTALL" ) {
				$sql = "UPDATE $table SET DSI = 0 WHERE DSI != 0;";
				$resultat = mysql_query($sql);
				Message($sql);
			}
		} else {
			echo t('aucune_selection')."<br />";
		}
	}
	
	// CONSTRUCTION DE LA REQUETE
	if ( !$total ) {
		$where = $cache;
		$enclair = "";
		if ( $cas ) {
			switch ( $cas ) {
				case 1:
					$where = "ResStatut = 1";
					$enclair = t('ressources_incompletes');
					break;	
			}
		}
		if ( $key ) {
			if ( $where ) $where .= " AND ";
			if ( substr($key,0,1) == "<" || substr($key,0,1) == ">" ) {
				$where = "$cle ".substr($key,0,1)."= '".addslashes(substr($key,1))."'";
				$enclair = "<u>".t('num_fiche')."</u> = $key";
			} else {
				$key = str_replace("=","",$key);
				$where = "$cle = '".addslashes($key)."'";
				$enclair = "<u>".t('num_fiche')."</u> = $key";
			}
		}
		foreach ($modele as $k => $v) {
			if (array_key_exists($k, $chp)) {
				$tmp = $chp[$k];
				if ( $tmp ) {
					if ( $where ) {
						if ( $where != $cache ) $enclair .= " [".t('et')."] ";
						$where .= " AND ";
					}
					$tab = Requete($k,$v['libelle'],$tmp);
					$where .= $tab[0];
					$enclair .= $tab[1];
				}
			}
		}
		$where = urlencode($where);
	}
	
	// TOUTE LA BASE
	if ( !$where ) $where = "$cle>0";
	
	// REQUETE
	$where = urldecode($where);
	$sql = Jointure($table) . " WHERE $where ORDER BY $sort $sens";
	Message($sql);
	$resultat = mysql_query($sql);
	$total = mysql_num_rows($resultat);

	// FORMULAIRE IMPRESSION - EXPORT - CORRECTION
	echo '<form name="fct" action="" method="post">';
	echo '<input type="hidden" class="envoi" name="where" value="'.urlencode($where).'">';
	echo '<input type="hidden" class="envoi" name="enclair" value="'.$enclair.'">';
	echo '<input type="hidden" class="envoi" name="table" value="'.$table.'">';
	echo '<input type="hidden" class="envoi" name="bordereau" value="'.$bordereau.'">';
	echo '<input type="hidden" class="envoi" name="cle" value="'.$cle.'">';
	echo '<input type="hidden" class="envoi" name="total" value="'.$total.'">';
	echo '<input type="hidden" class="envoi" name="sort" value="'.$sort.' '.$sens.'">';
	echo '<input type="hidden" class="envoi" name="chp" value="">';
	echo '</form>';

	// FORMULAIRE NAVIGATION
	echo '<form name="tri" action="'.$_SERVER['PHP_SELF'].'?action=rechercher" method="post">';
	echo '<input type="hidden" name="id" value="">';
	echo '<input type="hidden" name="where" value="'.urlencode($where).'">';
	echo '<input type="hidden" name="enclair" value="'.$enclair.'">';
	echo '<input type="hidden" name="sort" value="'.$sort.'">';
	echo '<input type="hidden" name="sens" value="'.$sens.'">';
	echo '<input type="hidden" name="debut" value="'.$debut.'">';
	echo '<input type="hidden" name="total" value="'.$total.'">';
	echo '<input type="hidden" name="nbr_ref_pge" value="'.$nbr_ref_pge.'">';
	echo '<input type="hidden" name="aj_col" value="">';
	echo '<input type="hidden" name="ef_col" value="">';
	
	if ( !$total ) {	// PAS DE REPONSE
		
		if ( $enclair && $where != $cache && $where != "$cle>0" ) {
			echo "<span class='message'>".t('pas_reponse')." : ".$enclair."</span><br /><br />";
			echo '<center><input type="button" class="bouton" onClick="location=\''.$_SERVER['PHP_SELF'].'?action=rechercher\';" value="'.t('retour').'"></center>';
		} else {
			// URL : CONTEXTE DE RETOUR
			$url = $_SERVER['PHP_SELF']."?action=rechercher";
			echo "<span class='message'>".t('aucune_fiche')."</span><br /><br />";
			echo '<center><input type="button" class="bouton" onClick="location=\'accueil.php\';" value="'.t('poursuivre').'"></center>';
		}
		
	} else {		// REPONSES TROUVEES
	
		$sql .= " LIMIT $debut,$nbr_ref_pge;";
		Message($sql);
		$resultat = mysql_query($sql);
		$nbenr = mysql_num_rows($resultat);
		if ( !$enclair ) $enclair = t('ressources_en_ligne');
		echo "<span class='message'>".$total." ".t('reponses_pour')." : ".$enclair."</span><br />";

		// URL : CONTEXTE DE RETOUR
		$url = $_SERVER['PHP_SELF']."?action=rechercher&where=".urlencode($where)."&enclair=".urlencode($enclair)."&total=".$total."&debut=".$debut."&sort=".$sort."&sens=".$sens."&nbr_ref_pge=".$nbr_ref_pge;
		
		// BANDEAU FONCTIONS GLOBALES
		Bandeau((($where=="$cle>0")?true:false));

 		// PLAGE DE REPONSES - BARRE DE NAVIGATION
		$barre_nav = barre_navigation($total, $debut, $nbenr);
		echo $barre_nav;
		
		// TABLEAU DES REPONSES
		echo "<table width=\"100%\" class=\"display\" align=\"center\">";

		// FILTRES RECHERCHE
		echo "<tr><th>".t('filtre')."&nbsp;";
		if ( $key ) {
			echo '<input type="text" name="key" value="'.$key.'" style="width:50%;" class="zoneon" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
		} else {
			echo '<input type="text" name="key" value="" style="width:50%;" class="zoneof" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
		}
		echo "</th>";
		foreach ($modele as $k => $v) {
			if ( $v['resultat'] == 1 ) {
				$tmp =  (array_key_exists($k, $chp)) ? $chp[$k] : "";
				if ( $tmp ) {
					echo '<th><input type="text" name="chp['.$k.']" value="'.$tmp.'" style="width:97%;" class="zoneon" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
				} else {
					echo '<th><input type="text" name="chp['.$k.']" value="" style="width:97%;" class="zoneof" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
				}
			}
		}
		if ( $addcol && $champs ) {
			$champ = explode(";",$champs);
			for ($i=0;$i<count($champ);$i++) {
				if (array_key_exists($champ[$i], $chp)) {
					$tmp = $chp[$champ[$i]];
				} else {
					$tmp = "";
				}
				if ( $tmp ) {
					echo '<th><input type="text" name="chp['.$champ[$i].']" value="'.$tmp.'" style="width:97%;" class="zoneon" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
				} else {
					echo '<th><input type="text" name="chp['.$champ[$i].']" value="" style="width:97%;" class="zoneof" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
				}
			}
		}
		echo '<th><input type="button" class="bouton" onClick="document.tri.total.value=0;document.tri.debut.value=0;document.tri.submit();" value="OK"></th>';
		echo "</tr>";
		
		// ENTETE COLONNES
		echo "<tr>";
		AfficheTri($cle,"Id");
		foreach ($modele as $k => $v) {if ( $v['resultat'] == 1 ) AfficheTri($k,$v['libelle'],$flgdis);}

		// CHAMPS COMPLEMENTAIRES
		if ( $addcol && $champs ) {
			for ($i=0;$i<count($champ);$i++) {
				if ( $champ[$i] == $sort ) {
					echo '<th class="ui-state-active" nowarp>';
					if ( $flgdis) echo '<a title="'.t('termes_distincts').'" class="entete" href="javascript:void(0);" onClick="document.fct.chp.value=\''.$champ[$i].'\';OuvreFenetre(\'distinct.php\',\''.t('termes_distincts').'\',true);">'.Icone("distinct").'</a> ';
					if ( $sens == 'asc' ) {
						echo '<a title="'.t('tri_decroissant').'" class="entete" href="javascript:void(0);" onClick="document.tri.sort.value=\''.$champ[$i].'\';document.tri.sens.value=\'desc\';document.tri.debut.value=\'0\';document.tri.submit();"><img border="0" src="images/tri_croissant.gif"></a>&nbsp;';
					} else {
						echo '<a title="'.t('tri_croissant').'" class="entete" href="javascript:void(0);" onClick="document.tri.sort.value=\''.$champ[$i].'\';document.tri.sens.value=\'asc\';document.tri.debut.value=\'0\';document.tri.submit();"><img border="0" src="images/tri_decroissant.gif"></a>&nbsp;';
					}
				} else {
					echo '<th nowarp>';
					if ( $flgdis) echo '<a title="'.t('termes_distincts').'" class="entete" href="javascript:void(0);" onClick="document.fct.chp.value=\''.$champ[$i].'\';OuvreFenetre(\'distinct.php\',\''.t('termes_distincts').'\',true);">'.Icone("distinct").'</a> ';
					echo '<a title="'.t('choisir_colonne_tri').'" class="entete" href="javascript:void(0);" onClick="document.tri.sort.value=\''.$champ[$i].'\';document.tri.sens.value=\'asc\';document.tri.debut.value=\'0\';document.tri.submit();"><img border="0" src="images/trier.gif"></a>';
				}
				echo '<select name="liste[]" onChange="document.tri.submit();">';
				foreach ($modele as $k => $v) {
					if ( !$v['resultat'] ) echo '<option value="'.$k.'"'.(( $champ[$i] == $k ) ? " selected" : "").'>'.str_replace("<br />"," ",$v['libelle']).'</option>';
				}
				echo '</select><a href="javascript:void(0);" title="'.t('supprimer_colonne').'" onClick="document.tri.ef_col.value=\''.$champ[$i].'\';document.tri.submit();"><img src="images/plier.jpg" border="0"></a>';
				echo '</th>';
			}
		}
		
		// DERNIERE COLONNE
		echo '<th width="10">';
		if ( $addcol ) echo '<a href="javascript:void(0);" title="'.t('ajouter_colonne').'" onClick="document.tri.aj_col.value=\'1\';document.tri.submit();"><img src="images/deplier.jpg" border="0"></a>';
		echo "</th></tr>";
		
		// BOUCLE LECTURE DES REPONSES
		$classe = "paire";
		while ( $rec = mysql_fetch_assoc($resultat) ) {
			
			$classe = ($classe == "paire") ? 'impaire': 'paire';
			echo '<tr class="'.$classe.'">';
			
			// PREMIERE COLONNE
			echo "<td valign='top' align='center' width='90'";
			
			// MARQUAGE - TRI
			if ( $rec["DSI"] && $flgsel ) {
				echo ' class="flag"';
			} elseif ( $sort == $cle ) echo ' class="ui-state-hover"';
			echo ">";
			
			// MARQUAGE
			if ( $rec["DSI"] && $flgsel ) echo "<img title='".t('num_panier').$rec["DSI"]."' src='images/flag".$rec["DSI"].".png' border='0' align='middle'>&nbsp;";
			echo '<input type="checkbox" name="fiche[]" value="'.$rec["$cle"].'">&nbsp;';
			echo "$rec[$cle]<br />";
			echo "<a title=\"".t('detail_fiche')."\" class=\"neutre\" href=\"javascript:void(0);\" onClick=\"OuvreFenetre('detail.php?table=$table&bordereau=$bordereau&id=$rec[$cle]','".t('detail_fiche_num').$rec["$cle"]."');\">".Icone("loupe")."</a>&nbsp;";
			echo "<a title=\"".t('modifier_fiche')."\" class=\"neutre\" target=\"_self\" href=\"saisir.php?table=$table&id=$rec[$cle]&url=".urlencode($url)."\">".Icone("modifier")."</a>&nbsp;";
			echo "<a title=\"".t('supprimer_fiche')."\" class=\"neutre\" href=\"#\" onClick=\"if (Confirmation('$rec[$cle]','$lang')) {document.tri.id.value='$rec[$cle]';document.tri.submit();}\">".Icone("effacer")."</a>";
			echo "</td>";
			
			// AUTRES COLONNES
			foreach ($modele as $k => $v) {
				if ( $v['resultat'] == 1 ) {
					echo '<td valign="top"';
					if ( $sort == $k ) echo ' class="ui-state-hover"';
					echo ">";
					if ( $login == "admin" && $k == "ResSaisiePar" ) echo '<a class="lien" title="'.t('changer_proprietaire').'" href="javascript:void(0);" onClick="OuvreFenetre(\'appartient.php?chp='.$k.'&table='.$table.'&id='.$cle.'='.$rec[$cle].'\',\''.t('changer_proprietaire',false).'\',\'\');">';
					if ( $v['lex'] ) echo '<font class="liee">';
					$tmp = $rec[$k];
					$Flag = Ecrire(false, false, $LibAvGe="", $Sep="", $SepArt="", $SepGen="", $LibAv="", $tmp, $LibAp="", $LibApGe="", "");
					if ( $v['lex'] ) echo '</font>';
					if ( $login == "admin" && $k == "ResSaisiePar" ) echo '</a>';
					echo "</td>";
				}
			}
			
			// CHAMPS COMPLEMENTAIRES DANS COLONNES SUPPLEMENTAIRES
			if ( $champs && $addcol ) {
				
				$champ = explode(";",$champs);
				for ($i=0;$i<count($champ);$i++) {
					echo '<td valign="top"';
					if ( $sort == $champ[$i] ) echo ' class="ui-state-hover"';
					echo '>';
					if ( $login == "admin" && $champ[$i] == "ResSaisiePar" ) echo '<a class="lien" title="'.t('changer_proprietaire').'" href="javascript:void(0);" onClick="OuvreFenetre(\'appartient.php?chp='.$champ[$i].'&table='.$table.'&id='.$cle.'='.$rec[$cle].'\',\''.t('changer_proprietaire',false).'\',\'\');">';
					if ( $modele[$champ[$i]]['lex'] ) echo '<font class="liee">';
					$tmp = $rec[$champ[$i]];
					$Flag = Ecrire(false, false, $LibAvGe="", $Sep="", $SepArt="", $SepGen="", $LibAv="", $tmp, $LibAp="", $LibApGe="", "");
					if ( $modele[$champ[$i]]['lex'] ) echo '</font>';
					if ( $login == "admin" && $champ[$i] == "ResSaisiePar" ) echo '</a>';
					echo '</td>';
				}
			}
			
			// DERNIERE COLONNE
			echo "<td></td>";
			echo "</tr>\r\n";
		}
		echo "</table>";
		echo $barre_nav;

		// MENU UPDATE PAR LOTS - LEGENDE
		echo "<table align='center' width='100%'><tr><td align='left'>";
		echo '&nbsp;&nbsp;<img src="images/fleche.gif">[<a class="lien" href="javascript:void(0);" onClick="InverserSelection();">'.t('inverser_selection').'</a>]';
		echo '&nbsp;&nbsp;<select name="update" id="update">';
		echo '<option value="">'.t('pour_selection').'</option>';
		echo '<option value="IMPRIMER">'.t('imprimer_fiches').'</option>';
		echo '<option value="EXPORTER">'.t('exporter_fiches').'</option>';
		if ( $flgmod ) echo '<option value="MODIFIER">'.t('modifier_fiches').'</option>';
		if ( $flgsel ) echo '<option value="SELECT">'.t('marquer_fiches').'</option>';
		if ( $flgsel ) echo '<option value="UNSELECT">'.t('demarquer_fiches').'</option>';
		// echo '<option value="STATUTON">'.t('affecter_statut_completes').'</option>';
		// echo '<option value="STATUTOFF">'.t('affecter_statut_incompletes').'</option>';
		echo '<option value="SAISIE">'.t('fiches_hors_ligne').'</option>';
		echo '<option value="EFFACER">'.t('effacer_fiches').'</option>';
		echo '</select>';
		if ( $flgsel ) {
			echo '<select name="panier">';
			for ($i=1;$i<10;$i++) echo '<option value="'.($i).'">'.t('num_panier').($i).'</option>';
			echo '</select>';
		}
		echo '<input type="button" value="ok" class="bouton" onClick="return OperationSurSelection();">';
		echo ' - '.t('fiches_par_page').' <select name="nbr_ref_pge" onChange="document.tri.debut.value=\'0\';document.tri.submit();">';
		echo '<option value="10"';echo ( $nbr_ref_pge == "10" ) ? " selected>" : ">";echo '10</option>';
		echo '<option value="20"';echo ( $nbr_ref_pge == "20" ) ? " selected>" : ">";echo '20</option>';
		echo '<option value="50"';echo ( $nbr_ref_pge == "50" ) ? " selected>" : ">";echo '50</option>';
		echo '<option value="100"';echo ( $nbr_ref_pge == "100" ) ? " selected>" : ">";echo '100</option>';
		echo '<option value="200"';echo ( $nbr_ref_pge == "200" ) ? " selected>" : ">";echo '200</option>';
		echo '<option value="1000"';echo ( $nbr_ref_pge == "1000" ) ? " selected>" : ">";echo t('toutes').'</option>';
		echo '</select>';
		echo '</td><td align="right">';
		echo '<table border="0" cellspacing="0" cellpadding="0"><tr><td>';

		// BOUTON AFFICHER TOUT SI SELECTION
		if ( $where != "$cle>0") echo '<input type="button" class="bouton" onClick="location=\''.$_SERVER['PHP_SELF'].'?action=rechercher\';" value="'.t('toutes_les_fiches').'">&nbsp;';

		// LEGENDE
		echo '<span class="legende">'.t('legende').' : </span></td>';
		echo '<td class="liee">'.t('infos_liees').'</td>';
		if ( $flgsel ) echo '<td class="flag"><span class="legende">'.t('fiches_marquees').'</span></td>';
		echo '</td></tr></table>';

		// VARIABLES CACHEES
		foreach ($modele as $k => $v) {
			if ( !$v['resultat'] ) {
				if ( $champs ) {
					if ( !preg_match("/;".$k.";/",";".$champs.";") ) {
						if (array_key_exists($k, $chp)) echo "<input type=\"hidden\" name=\"chp[".$k."]\" value=\"".$chp[$k]."\">\r\n";
					}
				} else {
					if (array_key_exists($k, $chp)) echo "<input type=\"hidden\" name=\"chp[".$k."]\" value=\"".$chp[$k]."\">\r\n";
				}
			}
		}
	}
	echo '</form>';
	break;

default : // FORMULAIRE DE RECHERCHE

		echo "<form action=\"".$_SERVER['PHP_SELF']."?action=rechercher\" name=\"search\" method=\"post\">";
		echo "<table class='tableau' align='center' cellspacing='0' cellpadding='0'>";
		
		// CHAMPS INTERROGEABLES
		$i = 0;
		$script = "";
		foreach ($modele as $k => $v) {
			if ( $v['recherche'] ) {
				
				echo '<tr class="paire">';
				echo "<td align=\"right\" valign=\"top\" width=\"30%\">".str_replace("<br />"," ",$v['libelle'])."</td>";
				echo "<td>";
				
				switch ( $v["recherche"] ) {
					
					case 1:	// ZONE DE TEXTE SIMPLE
						echo "<input style=\"width:90%\" type=\"text\" name=\"chp[".$k."]\" value=\"\">\r\n";
						break;
						
					case 2: // LISTE DEROULANTE
						$sql = "SELECT DISTINCT ".$k." FROM ".$table." ORDER BY ".$k;
						$resultat = mysql_query($sql);
						echo "<select style=\"width:90%\" name=\"chp[".$k."]\">";
						echo '<option value="">'.t('choisir').'</option>';
						while ($c = mysql_fetch_assoc($resultat)) {
							if ($c[$v["chp"]]) {
								echo '<option value="='.stripslashes($c[$k]).'">'.stripslashes($c[$k]).'</option>';
							} else {
								echo '<option value="'.t('vide').'">'.t('est_vide').'</option>';
								echo '<option value="'.t('rempli').'">'.t('est_rempli').'</option>';
							}
						}
						echo "</select>\r\n";
						break;

					case 3: // LISTE DEROULANTE MULTIPLE
						if ( $script ) $script .= ",";
						$script .= ($i);
						$sql = "SELECT DISTINCT ".$k." FROM ".$table." ORDER BY ".$k;
						$resultat = mysql_query($sql);
						echo "<input type=\"hidden\" id=\"chp".$i."\" name=\"chp[".$k."]\" value=\"\">\r\n";
						echo "<select id=\"liste".$i."\" style=\"width:90%\" size=\"5\" multiple>";
						while ($c = mysql_fetch_assoc($resultat)) {
							if ($c[$v["chp"]]) {
								echo '<option value="='.stripslashes($c[$k]).'">'.stripslashes($c[$k]).'</option>';
							} else {
								echo '<option value="'.t('vide').'">'.t('est_vide').'</option>';
								echo '<option value="'.t('rempli').'">'.t('est_rempli').'</option>';
							}
						}
						echo "</select>\r\n";
						break;

				}
				echo "</td></tr>\r\n";
			}
			$i++;
		}
		echo "</table>";
		echo "<table width=95%><tr><td align=right>";
		echo "<input class=\"bouton\" type=\"button\" onClick=\"this.form.reset();this.form.submit();\" value=\"".t('toutes_les_fiches')."\">&nbsp;";
		echo "<input class=\"bouton\" type=\"reset\" value=\"".t('initialiser')."\">&nbsp;";
		echo "<input class=\"bouton\" type=\"button\" onClick=\"Lance();\" value=\"".t('rechercher')."\"></td></tr></table>";
		echo "</form>";
}
?>
<script type="text/javascript">

function OperationSurSelection() {
	var chx = document.tri.update.selectedIndex;
	var sel = $('input:checkbox:checked').map(function(){return $(this).val();}).get().join(';');
	if ( !chx ) {
		alert("<?php echo t('aucune_operation'); ?>");
		return false;
	}		
	chx = $('#update').val();	
	if ( !sel ) {
		alert("<?php echo t('aucune_selection'); ?>");
		return false;
	}	
	var tmp = sel.replace(/[^;]/gi,"");
	var total = eval(tmp.length + 1);
	var param = "?cle=Idres&table=<?php echo $table; ?>";
	param = param + "&total=" + total;
	param = param + "&enclair=" + URLEncode("<?php echo t('fiches_cochees'); ?>");
	param = param + "&bordereau=<?php echo $bordereau; ?>";
	param = param + "&where=" + URLEncode("Idres=" + sel.replace(/;/gi," or Idres="));	
	switch (chx) {
		case "IMPRIMER":
			OuvreFenetre("imprimer.php"+param,"<?php echo t('imprimer_cochees'); ?>");
			break;		

		case "EXPORTER":
			OuvreFenetre("exporter.php"+param,"<?php echo t('exporter_cochees'); ?>");
			break;
			
		case "MODIFIER":	
			OuvreFenetre("corriger.php"+param,"<?php echo t('modifier_cochees'); ?>");
			break;
			
		default: // AUTRES FONCTIONS
			document.tri.submit();
			break;
	}
	return true;
}

function Lance() {
	<?php
		if ( isset($script) ) {
			if ( $script ) {
				$liste = explode(",",$script);	
				for ($i=0;$i<count($liste);$i++) echo "$('#chp".$liste[$i]."').val($('#liste".$liste[$i]." option:selected').map(function(){return $(this).val();}).get().join('+'));\r\n";	
			}
		}
	?>
	document.search.submit();
}

</script>
</td></tr></table>
</body>
</html>
