<?php
// DEMARRAGE SESSION
session_start();

// PARAMETRES DE CONNEXION A LA BASE DE DONNEES - PROCESSUS D'INSTALLATION SI NON TROUVE
if (!file_exists("config/database_inc.php")) {
	header("Location: install/index.php");
	exit;
}
require_once("config/database_inc.php");

// FONCTIONS DE BASE
require_once("functions/common.php");

// FICHIER DE CONFIGURATION
require_once("config/config_inc.php");

// PARAMETRES PERSONNALISATION
require_once("config/perso_inc.php");

// DESACTIVATION DES MAGIC_QUOTES_GPC
// ini_set('magic_quotes_gpc', 0);

// FICHIER LANGUE
require_once("language/$lang.php");

// RACINE -> POUR CHARGER ELEMENTS NECESSAIRES
$racine = preg_replace('/_.*\./',".",basename($_SERVER["SCRIPT_NAME"]));
$css = "";
$js = "";

// FICHIER FONCTIONS
if (file_exists("functions/$racine")) require_once("functions/$racine");

// PRINCIPES DE RECHERCHE
require_once("config/champs_inc.php");

// CREATION TABLE SATISTIQUES SI NECESSAIRE - NOUVELLE ANNEE
if ( $flag_stat ) {
	if ( !mysql_table_exists("te_stats_".date("Y"),$database) ) {	
		$sql = "CREATE TABLE IF NOT EXISTS `te_stats_".date("Y")."` (`id` int(6) NOT NULL auto_increment,`total` mediumint(6) NOT NULL DEFAULT '0',`date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,`IP` varchar(20) NOT NULL DEFAULT '' ,`lien` enum('N','O') NOT NULL DEFAULT 'N' ,`langue` varchar(2) NOT NULL DEFAULT 'fr', `champs` varchar(255) NOT NULL DEFAULT '' ,`requete` TEXT NOT NULL DEFAULT '' ,PRIMARY KEY (`id`)) ENGINE=MyISAM CHARSET=latin1;";
		Message($sql);
		$resultat = mysql_query($sql) or die(mysql_error());
	}
}
?>