<?php
require_once("init.php");

// LECTURE VARIABLES TRANSMISES
$action = LireVariable("action","");
$where = LireVariable("where","");
$total = LireVariable("total",0);
$requete = LireVariable("requete","");
$sort = LireVariable("sort",$tri1[0][0]);
$lang = LireVariable("lang","fr");
$ecran = LireVariable("ecran","");
$choix = LireVariable("choix","");
$fiche = LireVariable("fiche","");

// EXPORTATION DES DONNEES
if ( $action ) { 
	$fiche = $_COOKIE['ressource'];
	$fiche = preg_replace('/^,(.*),$/',"\\1",$fiche);
	if ( $requete ) {
		if ( !$where ) $where = "Idres>0";
		$limit = " LIMIT 0,".$max_exp;
	} elseif (!$fiche) {
		echo "<html><body><center><font class=\"message\">".t('aucune_selection')."</font><br /><br />";
		echo '<form><input class="bouton" type="button" onClick="FermeFenetre();" value="'.t('fermer').'"></form>';
		echo '</center></body></html>';
		exit;
	} else {
		$where = 'Idres='.str_replace(',', ' OR Idres=', $fiche);
		$limit = "";
	}

	// REQUETE
	$sql  = 'SELECT * '.Jointure('te_ressource').' WHERE '.$where.' ORDER BY '.$sort.$limit;
	Message($sql);
	$resultat = mysql_query($sql);
	$nbenr = mysql_num_rows($resultat);

	// OUVERTURE FICHIER DE SORTIE
	if ( $debug || $ecran ) {
		if ( $choix == "1" ) {
			header("Content-type: application/xml");
		} else {
			echo "<pre>";
		}
	} else {
		if ( $choix == "1" ) {
			$filename = "export_dc_".date("Y-M-d").".rdf";
		} else {
			$filename = "endnote_".date("Y-M-d").".txt";
		}
		header("Content-type: application/txt");
		header("Content-disposition:  attachment; filename=\"$filename\"");
	}

	// FORMATS
	switch ( $choix ) {
		
		case "1": // RDF
		
			// ENTETE
			echo "<?xml version='1.0' encoding='UTF-8'?>\n";
			echo "<rdf:RDF xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:dcterms=\"http://purl.org/dc/terms/\">\n";
			
			// BOUCLE LECTURE
			while ( ($rec = mysql_fetch_array($resultat)) ) include("formats/ressource_xml.php");

			// FERMETURE
			echo "</rdf:RDF>\n";
			break;
			
		case "2":	// ENDNOTE
			$sepchp = "\t";
			$seprec = "\r\n";
			$root = "http://".$_SERVER["SERVER_NAME"]."/ireda/inventaire/ressources/"; 
			
			// CHARGE BORDEREAU
			if (!file_exists("bordereau/endnote.php")) {
				echo "Format d'export [endnote] inconnu.<br />";
				exit;
			}
			require("bordereau/endnote.php");
			
			// BOUCLE LECTURE
			while ( $rec = mysql_fetch_array($resultat) ) {
				foreach ($modele as $v) {
					$tmp = stripslashes($rec[$v["chp"]]);
					if ( !empty($tmp) ) {
						$tmp = str_replace("#","<br />", $tmp);
						if ( $v["repetitif"] == 1 ) {
							if ( substr($tmp,0,1) == '|' ) $tmp = substr($tmp,1);
							if ( substr($tmp,-1) == '|' ) $tmp = substr($tmp,0,-1);
							$tmp = str_replace('|', ';', $tmp);
							$article = explode(";",$tmp);
							$adr = ( $v["chp"] == "ResFIC" ) ? $root : "";
							for ($i=0;$i<count($article);$i++) {
								$tmp = trim($article[$i]);
								if ( $tmp ) echo $v["libelle"]." ".$adr.$tmp.$seprec;
							}
						} else {
							echo $v["libelle"]." ".$tmp.$seprec;	
						}							
					}
				}
				echo $seprec;
			}
			if ( $debug || $ecran ) echo "</pre>";
			break;
	}
	exit;
}
// ENTETE HTML
$css = "style";
$js = "";
require "include/header_fenetre.php";
?>
<form method="post" action="format_export_ressource.php">
<table cellspacing="1" cellpadding="0" class="display" align="center" border="0" width="100%">
<tr><th colspan="2"><?php echo t('choix_format'); ?></th></tr>
<tr><td valign="top"><input type="radio" name="choix" value="1" checked></td><td><?php echo t('export_rdf_1'); ?></td></tr>
<tr><td valign="top"><input type="radio" name="choix" value="2"></td><td><?php echo t('export_endnote_1'); ?></td></tr>
<tr><td align="right" colspan="2"><?php echo t('affichage_ecran'); ?><input type="checkbox" value="oui" name="ecran"></td></tr>
</table>
<br /><p align="right">
	<input class="bouton" type="button" onClick="FermeFenetre();" value="<?php echo t('abandonner'); ?>">&nbsp;
	<input class="bouton" type="submit" name="action" value="<?php echo t('exporter'); ?>">
</p>
<input type="hidden" name="where" value="<?php echo $where; ?>">
<input type="hidden" name="fiche" value="<?php echo $fiche; ?>">
<input type="hidden" name="total" value="<?php echo $total; ?>">
<input type="hidden" name="requete" value="<?php echo $requete; ?>">
<input type="hidden" name="sort" value="<?php echo $sort; ?>">
</form>
</body>
</html>
