<?php
require_once("init.php");

// ENTTE
include("include/header.php");

// LECTURE VARIABLES TRANSMISES
$lang = LireVariable("lang","fr");
$dsi = LireVariable("dsi","");
$lib = LireVariable("lib","");
$where = LireVariable("where","");
$format = LireVariable("format",$pft1[0][0]);
$requete = LireVariable("requete","");
$total = LireVariable("total",0);
$debut = LireVariable("debut",0);
$sort = LireVariable("sort",$tri1[0][0]);
$link = LireVariable("link","N");
$onglet = LireVariable("onglet","1");
$tout = true;

// PREMIERE INTERROGATION ?
if ( !$total ) {
	
	// CONSTRUCTION DE LA REQUETE
	$req = ConstruireRequete($tab1);
	$where = $req[0];	  // CLAUSE WHERE
	$requete = $req[1]; // REQUETE EN CLAIR
	$stat = $req[2]; 		// CHAMPS INTERROGES POUR STATISTIQUE
	$tout = $req[3]; 		// PAS DE CRITERES ?
	
	// DSI
	if ( $dsi ) {
		$where = "te_ressource.DSI = $dsi";	
		$requete = $lib;	
	}

	// AFFICHER TOUT
	if ( !$where ) $requete = t('tout');

	// RECHERCHE DU NOMBRE DE REPONSES
	$sql = 'SELECT count(*) '.Jointure('te_ressource');
	if ( $where ) $sql .= ' WHERE '.$where;
	$sql .= ' LIMIT 1';
	Message($sql);
	$resultat = mysql_query($sql) or die("echec de la requete");
	$rec = mysql_fetch_array($resultat);
	$total = $rec[0];

	// MISE EN FORME REQUETE EN CLAIR
	$requete = str_replace('<and>', ' <font class=\'operateur\'>['.t('et').']</font> ', $requete);
	$requete = str_replace('<or>', ' <font class=\'operateur\'>['.t('ou').']</font> ', $requete);
	$requete = str_replace('\\','',$requete);

	// STATISTIQUES
	if ( $flag_stat ) {
		if ( $dsi ) $stat = "DSI";
		$sql = "INSERT INTO te_stats_".date("Y")." (total, date, IP, lien, langue, champs, requete) values ($total,NOW(),'".$_SERVER['REMOTE_ADDR']."','$link','$lang','$stat','".addslashes($requete)."');";
		Message($sql);
		$resultat = mysql_query($sql);
	}

	// PAS DE REPONSE
	if (!$total) {
		echo "<br /><center><font class='message'>".t('pas_reponse_pour')." $requete</font><br /><br />\n";
		echo '<form><input class="bouton" type="button" onClick="location=\'index.php?onglet='.$onglet.'\';" value="'.t('nouvelle_recherche').'"></form>';
		echo '</center>';
		include("include/footer.php");
		exit;
	}
}

// RECHERCHE DES REPONSES
$sql  = 'SELECT * '.Jointure('te_ressource');
if ( $where ) $sql .= ' WHERE '.str_replace('','"',$where);
if ( $sort ) $sql .= " ORDER BY ".$sort;
$sql .= ' LIMIT '.$debut.','.$nbr_ref_pge;
if ($debug!="") echo "$sql<br />";
$resultat = mysql_query($sql);
$nbenr = mysql_num_rows($resultat);

// PANIER
Boite('ressource');

?>
<script type="text/javascript">
	
	var liste = LireCookie("ressource");
	if ( !liste ) liste = ",";
	var total = liste.replace(/[^,]/gi,"");
	total = eval(total.length - 1);
	document.getElementById("panier").innerHTML = total;
	// AFFICHE LOGO ZOTERO
	if (Navigateur() == "Netscape Navigator") document.write('<p align="right"><a class="lienaide" title="<?php echo t('infos',false); ?>" href="javascript:void(0);" onClick="OuvreFenetre(\'guides/zotero_<?php echo $lang; ?>.html\',\'A propos de ZOTERO ...\');"><img src="images/zotero.png" border="0"></a></p>');

</script>
<?php
// FORMULAIRE - La classe 'envoi' est ajoute aux lments susceptibles d'tre envoys dans IFRAME
echo '<form method="post" action="'.$_SERVER['PHP_SELF'].'" name="grille">';
echo '<input type="hidden" class="envoi" name="where" value="'.str_replace('"','',$where).'">';
echo '<input type="hidden" class="envoi" name="requete" value="'.$requete.'">';
echo '<input type="hidden" class="envoi" name="total" value="'.$total.'">';
echo '<input type="hidden" name="debut" value="'.$debut.'">';
echo '<input type="hidden" name="onglet" value="'.$onglet.'">';
echo '<input type="hidden" class="envoi" name="lang" value="'.$lang.'">';

echo '<table align="center" border="0" class="resultat">';

// AFFICHAGE REQUETE EN CLAIR 
if ( $requete == t('tout') && !$tout ) {
	echo "<tr><td colspan='2'><br /><font class='message'>".t('aucun_terme_significatif')."<br /><br /><b>$total</b> ".t('reponses_pour')." : $requete</font><br /><br /></td></tr>\n";
} else {
	echo "<tr><td colspan='2'><br /><font class='message'><b>$total</b> ".t('reponses_pour')." : $requete</font><br /><br /></td></tr>\n";
}

// TRI - NOUVELLE RECHERCHE - TABLEAU DE BORD REQUTE / PANIER
echo "<tr><td valign='bottom'>";
echo '<input class="bouton" type="button" onClick="location=\'index.php?onglet='.$onglet.'&lang='.$lang.'\'" value="'.t('nouvelle_recherche').'">&nbsp;';
if ( sizeof($tri1) > 1 ) {
	echo '<font class="tri">'.t('tri').'</font> <select name="sort" class="envoi" onChange="document.grille.debut.value=\'0\';document.grille.submit();">';
	for ($i=0;$i<count($tri1);$i++) AfficheOption($tri1[$i][0],$tri1[$i][1],$sort);
	echo '</select>';
}
if ( sizeof($pft1) > 1 ) {
	echo ' <font class="tri">'.t('format').'</font> <select name="format" onChange="document.grille.submit();">';
	for ($i=0;$i<count($pft1);$i++) AfficheOption($pft1[$i][0],$pft1[$i][1],$format);
	echo '</select>';
}
echo "</td><td align='right'>";
echo "</td></tr>";
echo '</form>';

// SI CASES  COCHER
echo '<form name="SELECT">';

// PLAGE DE RPONSES - BARRE DE NAVIGATION
$barre_nav  = '<table border=0 width="100%" cellpadding="0" cellspacing="1">';
$barre_nav .= '<tr height="25"><td width="25%" class="barre_deb" nowrap align="left" valign="middle">';
$barre_nav .= '<font class="barre_texte">&nbsp;';
$barre_nav .= sprintf(t('reponses'),($debut + 1),($debut + $nbenr),$total);
$barre_nav .= "<td class='barre_fin' align='left' valign='middle' nowrap>&nbsp;";
if ($total > $nbr_ref_pge) $barre_nav .= barre_navigation1($total, $debut);
$barre_nav .= "</td></tr></table>\n";
$cpt = 0;
$vedette = "";
echo "<table border='0' align='center' class='resultat' cellspacing='0' cellpadding='0'>";
echo "<tr><td colspan='3'>";
echo $barre_nav;
echo "</td></tr>";
echo "<tr><td align='left' colspan='3'>";
echo '&nbsp;[<a href="javascript:void(0);" class="lien" onClick="CocherTout(\'ressource\',\'res\');">'.t('cocher_tout').'</a>]&nbsp;';
echo '[<a href="javascript:void(0);" class="lien" onClick="DecocherTout(\'ressource\',\'res\');">'.t('decocher_tout').'</a>]';
echo "<br /><br /></td></tr>";

// BOUCLE AFFICHAGE REPONSE
while ($rec = mysql_fetch_assoc($resultat)) {
	
	// RANG DE LA REPONSE	
	$rang = $debut + $cpt + 1;	

	// PREMIERE COLONNE - BUG GOOGLE CHROME l'id sur la colonne sert  afficher punaise
	echo '<tr id="TR'.$rec["Idres"].'"><td align="center" width="10%" valign="top" id="TD'.$rec["Idres"].'">';

	// ZOTERO
	echo "\n".'<span class="Z3988" title="'.Zotero().'"></span>'."\n";
	
	echo '<font class="champ">'.$rang.'</font><br /><br />';
	echo "<script language=\"javascript\">\n";
	echo "CaseCocher(\"".$rec["Idres"]."\",\"ressource\",\"res\");\n";
	echo "</script>\n";
	$cpt++;
	echo '<br /><br /><a title="'.t('imprimer_ressource').$rang.'" class="neutre" href="javascript:void(0)" onClick="OuvreFenetre(\'format_imprime_ressource.php?lang='.$lang.'&fiche='.$rec["Idres"].'\',\''.t('imprimer_ressource',false).$rang.'\');">'.Icone("imprimer","32x32").'</a>';
	echo '<br />';
	echo "</td><td valign='top'>";
	
	// FORMATS
	$lien = true;
	include("formats/".$format.".php");

	if ( $cpt != $nbenr ) echo '<tr><td colspan="3" align="center"><div class="ligne"></div></td></tr>';
}

// AFFICHAGE BARRE DE NAVIGATION PIED DE PAGE
echo "<tr><td colspan='3'><br />";
echo $barre_nav;
echo "</td></tr>";
echo "</table>\n";

// AUTRE RECHERCHE
echo '<table align="center" border="0" class="resultat">';
echo "<tr><td valign='top'>";
echo '<input class="bouton" type="button" onClick="location=\'index.php?onglet='.$onglet.'&lang='.$lang.'\'" value="'.t('nouvelle_recherche').'">';
echo "</td><td align='right'>";
echo "</td></tr>";
echo "</table>\n";
echo '</form>';

// PIED DE PAGE
include("include/footer.php");
?>
