<?php
	$xml = new SimpleXMLElement('<codeBook></codeBook>');
	$xml->addAttribute('version', '1.2.2');
	$xml->addAttribute('ID', Nettoie($rec["OpeCodeIreda"],0));
	$xml->addAttribute('xmlns', 'http://www.icpsr.umich.edu/DDI');
	$xml->addAttribute('xmlns:xsi', 'http://www.w3.org/2001/XMLSchema-instance');
	$xml->addAttribute('xsi:schemaLocation', 'http://www.icpsr.umich.edu/DDI http://www.icpsr.umich.edu/DDI/Version1-2-2.xsd');


	$xml->addChild('docDscr','');
	$xml->docDscr->addChild('citation','');
	$xml->docDscr->citation->addChild('titlStmt','');

	$xml->docDscr->citation->titlStmt->addChild('titl',Nettoie($rec["OpeTitre"],0));
	$xml->docDscr->citation->titlStmt->addChild('IDNo',Nettoie($rec["OpeCodeIreda"],0));

	$xml->docDscr->citation->addChild('prodStmt','');
	$xml->docDscr->citation->prodStmt->addChild('producer',Nettoie($rec["OpeProducteur"],0));
/*
	$xml->docDscr->citation->prodStmt->producer[0]->addAttribute('abbr','');
	$xml->docDscr->citation->prodStmt->producer[0]->addAttribute('affiliation','');
	$xml->docDscr->citation->prodStmt->producer[0]->addAttribute('role','');
*/

	//$xml->docDscr->citation->prodStmt->addChild('prodDate',Nettoie($rec["OpeDateProduction"],0));
	//$xml->docDscr->citation->prodStmt->prodDate->addAttribute('date',Nettoie($rec["OpeDateProduction"],0));

/*
	$xml->docDscr->citation->prodStmt->addChild('software','Metadata Editor');
	$xml->docDscr->citation->prodStmt->software->addAttribute('version','1.04');
	$xml->docDscr->citation->prodStmt->software->addAttribute('date','2009-05-12');
*/

	//$xml->docDscr->citation->addChild('verStmt','');
	//$xml->docDscr->citation->verStmt->addChild('version','2009-05-12');
	$xml->docDscr->citation->addChild('holdings','');
	$xml->docDscr->citation->holdings->addAttribute('location',Nettoie($rec["OpeLieuDepot"],0));

	$xml->addChild('stdyDscr','');
	$xml->stdyDscr->addChild('citation','');
	$xml->stdyDscr->citation->addChild('titlStmt','');
	$xml->stdyDscr->citation->titlStmt->addChild('titl',Nettoie($rec["OpeTitre"],0));
	$xml->stdyDscr->citation->titlStmt->addChild('subTitl',Nettoie($rec["OpeTitreOriginal"],0));
	$xml->stdyDscr->citation->titlStmt->addChild('altTitl',Nettoie($rec["OpeAbreviation"],0));
	$xml->stdyDscr->citation->titlStmt->addChild('parTitl',Nettoie($rec["OpeTitreTraduit"],0));
	$xml->stdyDscr->citation->titlStmt->addChild('IDNo',Nettoie($rec["OpeCodeIreda"],0));

	$xml->stdyDscr->citation->addChild('rspStmt','');
	$tmp = Nettoie($rec["OpeOrganisme"],0);
	$articles = explode(";",$tmp);
	for ($i=0;$i<count($articles);$i++) $xml->stdyDscr->citation->rspStmt->addChild('AuthEnty',trim($articles[$i]));

	$xml->stdyDscr->citation->addChild('prodStmt','');
	$tmp = Nettoie($rec["OpeAutreOrganisme"],0);
	$articles = explode(";",$tmp);
	for ($i=0;$i<count($articles);$i++) $xml->stdyDscr->citation->prodStmt->addChild('producer',trim($articles[$i]));

	$xml->stdyDscr->citation->prodStmt->addChild('copyright',Nettoie($rec["OpeCopyright"],0));
	//$xml->stdyDscr->citation->prodStmt->addChild('software','Metadata Editor');
	//$xml->stdyDscr->citation->prodStmt->software->addAttribute('version','1.04');
	//$xml->stdyDscr->citation->prodStmt->software->addAttribute('date','2009-05-12');

	$xml->stdyDscr->citation->prodStmt->addChild('fundAg',Nettoie($rec["OpeFinancement"],0));

	$xml->stdyDscr->citation->addChild('serStmt','');
	$xml->stdyDscr->citation->serStmt->addChild('serName',Nettoie($rec["DeveloppeOperation"],0));

	$tmp = Nettoie($rec["OpeCodeIreda"],0);
	if ( $tmp ) {
		if (eregi('-onc-', $tmp)) {
				$tmp = ereg_replace("-onc-.*$", '-onc', $tmp);
		} else {
			$tmp = "";
		}
	}
	$xml->stdyDscr->citation->serStmt->addChild('serInfo',$tmp);

	$xml->stdyDscr->addChild('stdyInfo','');
	$xml->stdyDscr->stdyInfo->addChild('subject','');

	$tmp = Nettoie($rec["DeveloppeOperation"],0);
	// $tmp = Nettoie($rec["OpeTheme"],0);
	$articles = explode(";",$tmp);
	for ($i=0;$i<count($articles);$i++) $xml->stdyDscr->stdyInfo->subject->addChild('topcClas',trim($articles[$i]));

	$xml->stdyDscr->stdyInfo->addChild('abstract',Nettoie($rec["OpeResume"],0));
	$xml->stdyDscr->stdyInfo->addChild('sumDscr','');

	$tmp = Nettoie($rec["OpeDatesCollecte"],0);
	$articles = explode(";",$tmp);
	$j=0;
	for ($i=0;$i<count($articles);$i++) {
		$tmp = trim($articles[$i]);
		if (eregi(' - ', $tmp)) {
			$deb = ereg_replace(" - .*$", '', $tmp);
			$fin = ereg_replace("^.* - ", '', $tmp);
			$xml->stdyDscr->stdyInfo->sumDscr->addChild('collDate','');
			$xml->stdyDscr->stdyInfo->sumDscr->collDate[$j]->addAttribute('date',$deb);
			$xml->stdyDscr->stdyInfo->sumDscr->collDate[$j]->addAttribute('event','start');
			$j++;
			$xml->stdyDscr->stdyInfo->sumDscr->addChild('collDate','');
			$xml->stdyDscr->stdyInfo->sumDscr->collDate[$j]->addAttribute('date',$fin);
			$xml->stdyDscr->stdyInfo->sumDscr->collDate[$j]->addAttribute('event','end');
			$j++;
		} else {
			$xml->stdyDscr->stdyInfo->sumDscr->addChild('collDate','');
			$xml->stdyDscr->stdyInfo->sumDscr->collDate[$j]->addAttribute('date',$tmp);
			$j++;
		}
	}

	$xml->stdyDscr->stdyInfo->sumDscr->addChild('nation',Nettoie($rec["PaysFR"],0));
	$xml->stdyDscr->stdyInfo->sumDscr->nation[0]->addAttribute('abbr',Nettoie($rec["OpeISO"],0));

	$tmp = Nettoie($rec["OpeCouvertureGeographique"],0);
	$articles = explode(";",$tmp);
	for ($i=0;$i<count($articles);$i++) $xml->stdyDscr->stdyInfo->sumDscr->addChild('geogCover',trim($articles[$i]));

	$xml->stdyDscr->stdyInfo->sumDscr->addChild('universe',Nettoie($rec["OpeUnivers"],0));

	$xml->stdyDscr->addChild('method','');
	$xml->stdyDscr->method->addChild('dataColl','');
	$xml->stdyDscr->method->dataColl->addChild('sampProc',Nettoie($rec["OpeEchantillonnage"],0));
	$xml->stdyDscr->method->dataColl->addChild('sources','');

	$xml->stdyDscr->addChild('dataAccs','');
	$xml->stdyDscr->dataAccs->addChild('setAvail','');
	$xml->stdyDscr->dataAccs->setAvail->addChild('accsPlac','');
	$xml->stdyDscr->dataAccs->setAvail->accsPlac[0]->addAttribute('URI',Nettoie($rec["OpeAccesMicrodonnees"],1));

	$tmp = $xml->asXML(); 
	$tmp = str_replace('><',">\r\n<",$tmp);
	echo substr($tmp,21);
?>