<?php
$restreint = true;
require_once("init.php");

// VARIABLES
$table = LireVariable("table","");
$bordereau = LireVariable("bordereau","");
$cle = CleTable($table);

if ( !Autorise($table) ) {
	include("include/header_fenetre.php");
	echo t('acces_interdit');
	echo '<center><input type="button" class="bouton" onClick="FermeFenetre();" value="'.t('fermer').'"></center></body></html>';
	exit;
}

// CHARGE BORDEREAU
if (!file_exists("bordereaux/$lang/$bordereau.php")) {
	include("include/header_fenetre.php");
	echo t('bordereau_inconnu')." [$lang/$bordereau].<br />";
	echo '<center><input type="button" class="bouton" onClick="FermeFenetre();" value="'.t('fermer').'"></center></body></html>';
	exit;
}
include("bordereaux/$lang/$bordereau.php");

// LECTURE DES VARIABLES
$etape = LireVariable("etape","");
$champs = LireVariable("champs","");
$sort = LireVariable("sort","$cle");
$where = LireVariable("where","");
$enclair = LireVariable("enclair","");
$total = LireVariable("total",0);
$nbr_ref_pge = LireVariable("nbr_ref_pge",10);
$format = LireVariable("format",""); 
$sepchp = LireVariable("sepchp","\t");
$seprec = LireVariable("seprec","\r\n");
$erreur = "";

// PROCEDURE D'EXPORTATION
if ( $etape == "Exporter" ) {
	
	if ( !$champs ) {
		
		$erreur = t('champ_export_absent');
	
	} else {
	
		// SEPARATEURS NON AFFICHABLES
		$sepchp = str_replace('\t',"\t",$sepchp);
		$sepchp = str_replace('\r',"\r",$sepchp);
		$sepchp = str_replace('\n',"\n",$sepchp);
		$seprec = str_replace('\t',"\t",$seprec);
		$seprec = str_replace('\r',"\r",$seprec);
		$seprec = str_replace('\n',"\n",$seprec);
		$sql = Jointure($table)." WHERE ".urldecode($where)." ORDER BY $sort";
		Message($sql);
		$resultat = mysql_query($sql);
		if ( mysql_num_rows($resultat)==0 ) {
			$erreur = t('pas_reponse')." <b>[".$enclair."]</b>.";
		} else {
			// OUVERTURE FICHIER DE SORTIE
			if ( !$debug ) {
				ob_end_clean();
				if ( $format == "asc" ) {$filename = $bordereau."_".date("Y-M-d").".txt";header("Content-type: application/txt");}
				header("Content-disposition: attachment; filename=\"$filename\"");
			}
				
			// LISTE DES CHAMPS
			$champ = explode(";",$champs);
				
			// EXPORT ASCII DELIMITE
			if ( $format == "asc" ) {
				// ENTETE
				$entete = "N";
				for ( $i=0; $i < count($champ); $i++) {
					if ( $entete ) $entete .= $sepchp;
					$entete .= str_replace("<br />"," ",$modele[$champ[$i]]['libelle']);
				}
				echo $entete.$seprec;
				$i = 0;
				// BOUCLE TRAITEMENT
				while ($rec = mysql_fetch_array($resultat)) {
					$i++;
					echo $i;
					for ( $j=0; $j < count($champ); $j++) {
						$tmp = trim($rec[$champ[$j]]);
						if ( $tmp ) {
							$tmp = stripslashes($tmp);
							// SEPARATEURS NON AFFICHABLES
							$tmp = str_replace("\t",'\t',$tmp);
							$tmp = str_replace("\r",'\r',$tmp);
							$tmp = str_replace("\n",'\n',$tmp);
							// AMBIGUITE SEPARATEURS CHOISIS DANS CONTENU
							$tmp = str_replace($sepchp,"{SEPCHP}",$tmp);
							$tmp = str_replace($seprec,"{SEPREC}",$tmp);
							if ( $modele[$champ[$j]]['sep'] == 1 ) {
								if ( substr($tmp,0,1) == $seprep ) $tmp = substr($tmp,1);
								if ( substr($tmp,-1) == $seprep ) $tmp = substr($tmp,0,-1);
								$tmp = str_replace($seprep, $sepaff." ", $tmp);
							}
						}
						echo $sepchp.$tmp;
					}
					echo $seprec;
				}
			}
			exit;
		}
	}
}

// CHARGE ENTETE
include("include/header_fenetre.php");

if ( $erreur ) echo '<center><span class="requete">'.$erreur.'</span></center>';

// FORMULAIRE AVANT EXPORT
echo '<form method="post" name="saisie">';
echo '<input type="hidden" name="where" value="'.stripslashes($where).'">';
echo '<input type="hidden" name="enclair" value="'.stripslashes($enclair).'">';
echo '<input type="hidden" name="sort" value="'.$sort.'">';
echo '<input type="hidden" name="total" value="'.$total.'">';
echo '<input type="hidden" name="table" value="'.$table.'">';
echo '<input type="hidden" name="bordereau" value="'.$bordereau.'">';
echo '<input type="hidden" name="champs" value="">';
echo '<input type="hidden" name="etape" value="Exporter">';
if ( $enclair && $total ) echo "<span class='message'>".$total." ".t('reponses_pour')." : ".stripslashes($enclair)."</span><br /><br />";
if ( $enclair && !$total ) echo "<span class='message'>".t('export_lexique')." ".stripslashes($enclair)."</span><br /><br />";

?>
<table class="display" border="0" width="100%" cellspacing="1">
	<tr><th colspan="2"><?php echo t('parametres_exportation'); ?></th></tr>
<tr><td width="40%"><?php echo t('format'); ?></td><td>
	<select name="format" id="format">
		<option value=""><?php echo t('choisir'); ?></option>	
		<option value="asc"><?php echo t('ascii_delimite'); ?></option>	
		
	</select>
	</td>
</tr>
<tr><td valign="top"><?php echo t('separateurs'); ?></td>
	<td valign="top">
		<input type="text" name="sepchp" value="" size="4"> <?php echo t('separateur_champ'); ?><br />
		<input type="text" name="seprec" value="" size="4"> <?php echo t('separateur_fiche'); ?>  
</td></tr>
<tr><td colspan="2"><?php echo t('champs_a_exporter'); ?> :<br />
<?php
	echo "<table border=\"0\" width=\"100%\"><tr><td align=\"right\" width=\"45%\" valign=\"top\">";
	echo "<select size=\"10\" onDblClick=\"Prendre('source','but',1);\" style=\"width: 100%\" name=\"source\" id=\"source\">";
	foreach ($modele as $k => $v) {
		echo '<option value="'.$k.'">' . $v['libelle'] . '</option>';
	}
	echo "</select>";
	echo '<br /><font class="info">'.t('prendre_terme').'</font>';
	echo "</td><td align=center valign=center>";
	echo "<input title=\"".t('selectionner_tout')."\" type=\"button\" class=\"bouton\" onClick=\"PrendreTout('source','but');\" value=\">>\"><br />";
	echo "<br /><input title=\"".t('supprimer_tout')."\" type=\"button\" class=\"bouton\" onClick=\"document.getElementById('but').innerHTML=null;\" value=\"<<\">";
	echo "</td><td width=45% valign=top>";
	echo "<select size=\"10\" onDblClick=\"Enleve('but');\" style=\"width: 100%\" name=\"but\" id=\"but\">";
	foreach ($modele as $k => $v) {
		echo '<option value="'.$k.'">' . $v['libelle'] . '</option>';
	}
	echo '</select><br /><font class="info">'.t('rejeter_terme').'</font>';
	echo "</td></tr></table>";
?>
</td></tr></table>
<table align="center" border="0" width="100%">
	<tr><td>
		<i><?php echo t('infos_exportation'); ?></i>
	</td></tr>
	<tr><td align="right">
		<input type="hidden" name="champs" id="champs" value="">
		<input class="bouton" type="button" onClick="FermeFenetre();" value="<?php echo t('fermer'); ?>">&nbsp;
		<input class="bouton" type="button" onClick="Valider();" value="<?php echo t('valider'); ?>">
	</td></tr>
</table>
</form>
<div id="Info"></div>
</body>
</html>
