<?php
// FONCTIONS COMPLEMENTAIRES
// Affecte les liens HTTPD
function lienhtml($chaine) {
	return preg_replace("`(http|https|ftp)://([[:alnum:]/+-=%&:_.~?]+[#[:alnum:]+]*)`", "<a class=\"lien\" href=\"\\1://\\2\" target=\"_blank\">\\1://\\2</a>",$chaine);
}
// TRADUCTION
function Traduire($lexique, $source, $but, $contenu, $choix="") {
global $lang,$seprep,$debug;

	if ( !$contenu ) return "";
	$tmp = '"'.str_replace(";",'" or '.$source.'="',$contenu).'"';
	$sql = "SELECT ".$but." FROM ".$lexique." WHERE (".$source."=".$tmp.") ORDER BY ".$but;
	Message($sql);
	$resultat = mysql_query($sql);
	$total = mysql_num_rows($resultat);
	if ($total > 0) {
		while ( $ligne = mysql_fetch_array($resultat) ) {
			$tmp = $ligne[0];
			$articles = explode(";",$tmp);
			for ($i=0;$i<count($articles);$i++) {
				$tmp = $articles[$i];
				if (($pos=strpos($seprep.$choix.$seprep,$seprep.$tmp.$seprep))===false) {
					if ( $choix ) $choix .= $seprep;
					$choix .= $tmp;
				}
			}
		}
		echo "Gnration terme <b>$source = $contenu</b> -> <b>$but = $choix</b><br />";
	} else {
		echo "&nbsp;&nbsp;&nbsp;&nbsp; Terme <b>".$tmp."</b> non trouv dans le lexique [".$lexique."]<br />";
	}
	return $choix;
}
// OAIPMH
function OAIPMH($vope,$vcha,$vtyp) {
global $lang,$seprep,$debug;

	$choix = "";
	if ( $vope ) {
		$articles = explode(";",$vope);
		for ($i=0;$i<count($articles);$i++) {
			$tmp = $articles[$i];
			if ( $choix ) $choix .= ";";
			$choix .= "operation:".$tmp;
		}
	}	
	if ( $vcha ) {
		$tmp = Traduire("te_lex_theme","Terme","OAISet",$vcha);
		if ( $tmp ) {
			if ( $choix ) $choix .= ";";
			$choix .= $tmp;
		}
	}	
	if ( $vtyp ) {
		$tmp = Traduire("te_lex_typdoc","Terme","OAISet",$vtyp);
		if ( $tmp ) {
			if ( $choix ) $choix .= ";";
			$choix .= $tmp;
		}
	}
	$choix = str_replace($seprep,";",$choix);
	return $choix;
}
// TRADUCTION
function TraduireImport($lexique, $source, $but, $chp, $choix="") {
global $lang,$seprep,$debug,$contenu;
	
	if (!array_key_exists($chp, $contenu)) return "";
	$valeur = $contenu["$chp"];
	if ( !$valeur ) return "";
	$tmp = '"'.str_replace(";",'" or '.$source.'="',$valeur).'"';
	$sql = "SELECT ".$but." FROM ".$lexique." WHERE (".$source."=".$tmp.") ORDER BY ".$but;
	Message($sql);
	$resultat = mysql_query($sql);
	$total = mysql_num_rows($resultat);
	if ($total > 0) {
		while ( $ligne = mysql_fetch_array($resultat) ) {
			$tmp = $ligne[0];
			$articles = explode(";",$tmp);
			for ($i=0;$i<count($articles);$i++) {
				$tmp = $articles[$i];
				if (($pos=strpos($seprep.$choix.$seprep,$seprep.$tmp.$seprep))===false) {
					if ( $choix ) $choix .= $seprep;
					$choix .= $tmp;
				}
			}
		}
		echo "Gnration terme <b>$source = $valeur</b> -> <b>$but = $choix</b><br />";
	} else {
		echo "&nbsp;&nbsp;&nbsp;&nbsp; Terme <b>".$tmp."</b> non trouv dans le lexique [".$lexique."]<br />";
	}
	return $choix;
}
function AfficheOption($choix,$libelle,$critere) {
	echo '<option value="'.$choix.'"';
	if ( $choix == $critere ) echo " selected";
	echo '>'.$libelle.'</option>';
}
function ChargeLexiqueRessource() {

	$choix = "";
	$separateur = "|";
	$pere = "";
	$sql = "SELECT * FROM te_lex_ressource ORDER BY ResGroupe,ResTri;";
	Message($sql);
	$resultat = mysql_query($sql);
	if ( mysql_num_rows($resultat) ) {
		while ( $rec = mysql_fetch_array($resultat) ) {
			if ( $choix ) $choix .= $separateur;
			if ( $pere != $rec['ResGroupe'] ) {
				$pere = $rec['ResGroupe'];
				$choix .= $pere . "#" . $rec['ResCode'] . "=" . $rec['ResType'];	
			} else {
				$choix .= $rec['ResCode'] . "=" . $rec['ResType'];	
			}			
		}
	}
	return $choix;
	
}
function ChargeLexiqueTypeDocument() {

	$choix = "";
	$separateur = "|";
	$sql = "SELECT * FROM te_lex_typdoc ORDER BY Terme;";
	Message($sql);
	$resultat = mysql_query($sql);
	if ( mysql_num_rows($resultat) ) {
		while ( $rec = mysql_fetch_array($resultat) ) {
			if ( $choix ) $choix .= $separateur;
			$choix .= $rec['Code'] . "=" . $rec['Terme'];	
		}
	}
	return $choix;
	
}
function ChargeLexique($lexique,$champs="Terme",$masque="#0",$separateur="|",$sort="Cle",$distinct=false,$option=false) {

	$choix = "";
	if ( $separateur == "" ) $separateur = "|";
	if ((strpos($champs,',')) === false) {
		$sql = "SELECT ";
		if ( $distinct ) $sql .= "DISTINCT ";
		$sql .= "$champs FROM $lexique";
		$sql .= " ORDER BY $sort";
		Message($sql);
		$resultat = mysql_query($sql);
		$total = mysql_num_rows($resultat);
		if ($total > 0) {
			while ( $ligne = mysql_fetch_array($resultat) ) {
				if ( $choix && $separateur ) $choix .= $separateur;
				$choix .= str_replace("#0",$ligne[0],$masque);
			}
		}
	} else {
		$sql = "SELECT ";
		if ( $distinct ) $sql .= "DISTINCT ";
		$sql .= "$champs FROM $lexique";
		$sql .= " ORDER BY $sort";
		Message($sql);
		$resultat = mysql_query($sql);
		$total = mysql_num_rows($resultat);
		if ($total > 0) {
			if ( $option ) {
				$prec="";
				while ( $ligne = mysql_fetch_array($resultat) ) {
					if ( $prec != $ligne[0] ) {
						if ( !$prec ) echo "</optgroup>";
						$prec = $ligne[0];
						$choix .= "<optgroup label=\"".$prec."\">";
						$choix .= "<option value=\"".$ligne[0]."\">".$ligne[0]."</option>";
					}
					$choix .= "<option value=\"".$ligne[1]."\">".$ligne[1]."</option>";
				}
			} else {
				while ( $ligne = mysql_fetch_array($resultat) ) {
					if ( $choix && $separateur ) $choix .= $separateur;
					$tmp = str_replace("#0",$ligne[0],$masque);
					$choix .= str_replace("#1",$ligne[1],$tmp);
				}
			}
		}
	} 
	return $choix;
}

function ChargeLexique1($lexique,$option="",$separateur="|") {

	$choix = "";
	$sql = "SELECT Niv1,Niv2 FROM $lexique WHERE Niv1 LIKE '$option%' ORDER BY Cle";
	Message($sql);
	$resultat = mysql_query($sql);
	if (mysql_num_rows($resultat)) {
		$pere = "";
		while ( $ligne = mysql_fetch_array($resultat) ) {
			if ( $choix && $separateur ) $choix .= $separateur;
			if ( !$pere ) {
				$choix .= $ligne[0]."#";
			} else {		
				if ( $pere != $ligne[0] ) $choix .= $ligne[0]."#";
			}
			$pere = $ligne[0];
			$choix .= $ligne[1];
		}
	}
	return $choix;
}

function Liste($termes) {
global $sepaff;

	if ( $termes ) {
		$tmp = "<option>".$termes."</option>";
		$tmp = str_replace($sepaff,"</option><option>",$tmp);
		return $tmp;
	} else {
		return "";
	}
}
function IconesComplementaires($lexique,$retour,$libelle,$mode=0) {

	switch( $mode ) {
		case 0:
			echo "<a href=\"javascript:void(0);\" title=\"".t('acces_lexique')."\" onClick=\"OuvreFenetre('".$lexique."&ret=".$retour."','".addslashes($libelle)."');\">".Icone("proprietes")."</a>";
			break;
			
		case 1:
			echo "<p align='right'><font class=\"info\">".t('acces_lexique')."</font>&nbsp;<a href=\"javascript:void(0);\" title=\"".t('acces_lexique')."\" onClick=\"OuvreFenetre('".$lexique."&ret=".$retour."','".addslashes($libelle)."');\">".Icone("proprietes")."</a>";
			echo "<br /><font class=\"info\">".t('vider_champ')."</font>&nbsp;<a href=\"javascript:void(0);\" title=\"".t('vider_champ')."\" onClick=\"document.saisie.".$retour.".value='';document.saisie.".$retour.".focus();\">".Icone("effacer")."</a></p>";
			break;

		case 2:
			echo "<p align='right'><font class=\"info\">".t('acces_lexique')."</font>&nbsp;<a href=\"javascript:void(0);\" title=\"".t('acces_lexique')."\" onClick=\"OuvreFenetre('".$lexique."&ret=".$retour."','".addslashes($libelle)."');\">".Icone("proprietes")."</a>";
			echo "<br /><font class=\"info\">".t('vider_champ')."</font>&nbsp;<a href=\"javascript:void(0);\" title=\"".t('vider_champ')."\" onClick=\"document.saisie.".$retour.".value='';document.saisie.".$retour.".focus();\">".Icone("effacer")."</a></p>";
			break;
	}
}
function Extrait($terme,$sous) {

global $sepssd,$sepssf;

	//echo "<font face=\"arial\" size=\"-3\">".str_replace('+','',$sous)."</font>";
	if ( $terme ) {
		if ( !$sous ) {
			$tmp = $terme.$sepssd;
			$pos = strpos($tmp,$sepssd);
			return substr($tmp,0,$pos);
		} else {
			$tmp = $terme;
			$chx = $sous;
			$val = str_replace('+','',$chx);
			while ( substr($chx,0,1) == "+" ) {
				$chx = substr($chx,1);
				if (($pos=strpos($tmp,$sepssd.$val.$sepssf))===false) {
					return "";
				} else {
					$tmp = substr($tmp,$pos+3);
				}
			}
			if (($pos=strpos($tmp,$sepssd.$val.$sepssf))===false) {
				return "";
			} else {
				$tmp = substr($tmp,$pos+3).$sepssd;
				$pos = strpos($tmp,$sepssd,1);
				return substr($tmp,0,$pos);
			}
		}
	} else {
		return "";
	}
}
// RETOURNE LE MASQUE DE SAISIE A UTILISER
function Masque($id, $table) {
global $lang;
	
	switch ( $table ) {

		case "te_lex_geo";
		case "te_lex_motscles";
		case "te_lex_pays";
		case "te_lex_operation";
		case "te_lex_ressource";
		case "te_lex_typdoc";

			$reponse = str_replace("te_","",$table);
			break;		
		
		case "te_comptes":
			
			$reponse = "profils";
			break;
			
		case "te_ressource_tmp";
		case "te_ressource";
			
			$sql = "SELECT Masque FROM $table WHERE Idres = $id AND Masque != '';";
			Message($sql);
			$resultat = mysql_query($sql);
			if (mysql_num_rows($resultat) == 1) {
				$rec = mysql_fetch_assoc($resultat);
				$reponse = $rec["Masque"];
				if ( !file_exists("bordereaux/$lang/$reponse.php") ) $reponse = "ressource";
			} else {
				$reponse = "ressource";
			}
			break;
			
		case "te_operation_tmp";
		case "te_operation";
		
			$sql = "SELECT OpeBiblio FROM $table WHERE Idope = $id;";
			Message($sql);
			$resultat = mysql_query($sql);
			$rec = mysql_fetch_assoc($resultat);
			if ( $rec["OpeBiblio"] == 1 ) {
				$reponse = "bibliographie";
			} else {
				$reponse = "operation";
			}
	}
	return $reponse;
}
?>