<?php
$restreint = true;
require_once("init.php");

// LECTURE VARIABLES TRANSMISES
$bordereau = LireVariable("bordereau","");
$table = LireVariable("table","");
$libelle = LireVariable("libelle","");

// ENTETE HTML
include("include/header.php");

if ( $bordereau ) {

	// TITRE
	echo "<h1>".sprintf(t('modification_bordereaux'),$libelle,$bordereau)."</h1>";
	
	// CREATION NOUVEAU BORDEREAU RESSOURCE
	if ( $table == "ressource" ) {

		if (!file_exists("bordereaux/$lang/".$bordereau.".php")) {
			include("bordereaux/$lang/modele_ressource.php");
			$modele['Masque']['choix'] = $bordereau;
			$modele['ResTypeDocument']['choix'] = $libelle;
			$t = var_export($modele, true);
			$fichier = fopen("bordereaux/$lang/".$bordereau.".php","w+");
			fputs($fichier,"<?php\n");
			fputs($fichier,"// BORDEREAU MIS A JOUR LE ".date("j/m/Y, H:i:s")."\n");
			fputs($fichier,"// TYPE DE DOCUMENT : ".$libelle."\n\n");
			fputs($fichier,'$modele = ');
			fputs($fichier,$t);
			fputs($fichier,";\n");
			fputs($fichier,"?>\n");
			fclose($fichier);
		}

	}
		
	// CHARGE BORDEREAU
	if (!file_exists("bordereaux/$lang/".$bordereau.".php")) {
		include ("include/header.php");
		echo t('bordereau_inconnu')." [$lang/".$bordereau."]<br /></body></html>";
		exit;
	}
	include("bordereaux/$lang/".$bordereau.".php");

	// BOUTONS
	echo '<table width="100%"><tr><td>'.t('ajouter_champ').' <select id="liste" onChange="AjouteChamp();"><option value="">'.t('choisir').'</option>';
	foreach ( $modele as $key => $value ) {
		if ( !$value['use'] && $value['input'] != "date" && $value['input'] != "hidden" && $value['input'] != "genere" ) echo '<option value="'.$key.'">'.$value['libelle'].'</option>';
	}
	// echo '</select>&nbsp;<a href="gestion_bordereau.php" class="bouton" onClick="if ($(\'#tri1\').css(\'display\') == \'block\') alert(\'oui\');">'.t('quitter').'</a>&nbsp;';
	echo '</select>&nbsp;<a href="gestion_bordereau.php" class="bouton">'.t('quitter').'</a>&nbsp;';
	echo '<input onClick="TriBordereau();" type="button" id="tri1" style="display: none;" class="bouton" value="'.t('sauvegarder_modification').'">';
	echo '</td><td align="right">';
	echo '<a class="neutre" onClick="OuvreFenetre(\'imprimer_bordereau.php?libelle='.addslashes($libelle).'&bordereau='.$bordereau.'\',\''.t('bordereau').' : '.addslashes($libelle).' ('.$bordereau.')\');" href="javascript:void(0);">'.Icone("imprimer","32x32").'</a>';
	echo '&nbsp;<a class="neutre" onClick="OuvreInfo(\'aide\');" href="javascript:void(0);">'.Icone("guide","32x32").'</a>';
	echo '</td></tr></table>';
	
	// AFFICHAGE BORDEREAU
	echo '<ul id="sortable" class="connectedSortable ui-helper-reset">'; 
	$i = 0;
	// ELEMENTS HORS BORDEREAU
	foreach ($modele as $key => $value) {
		if ( !$value['use'] && $value['input'] != "date" && $value['input'] != "hidden" && $value['input'] != "genere" ) {
			echo '<li id="'.$key.'" class="horsbord" style="display: block;"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span>';
			if ( $value['use'] != 2 ) echo '<a title="'.t('effacer_champ').'" class="neutre" style="float: right; margin: 0.4em 0.2em 0 0; cursor: pointer;" href="javascript:void(0);" onClick="EffaceChamp('.($i).');"><span class="ui-icon ui-icon-close"></span></a>';	
			echo '<div id="onglet'.($i).'" name="onglet'.($i).'" class="blocinfo"></div>';
			echo '<div class="pliable" style="width: 80%; margin-left: 30px;">';
			echo '<h3><a id="libelle'.($i).'" style="font-size: 11px;" href="#">'.$value['libelle'].'</a></h3><div>';
			echo '<form id="form'.($i).'">';
			echo '<input type="hidden" name="use" value="'.$value['use'].'">';
			echo '<input type="hidden" name="champ" value="'.$key.'">';
			echo '<input type="hidden" name="bordereau" value="../bordereaux/'.$lang.'/'.$bordereau.'">';
			// ELEMENTS NON MODIFIABLES
			if ( $value['reprise'] == 2 ) {
				echo '<input type="hidden" name="obligatoire" value="'.$value['obligatoire'].'">';
				echo '<input type="hidden" name="reprise" value="'.$value['reprise'].'">';
				echo '<input type="hidden" name="aide" value="'.$value['aide'].'">';
			}		
			echo '<table width="98%" cellspacing="0" cellpadding="0" border="0">';
			echo '<tr><td width="20%">'.t('onglet').'</td><td colspan="2"><input onKeypress="$(\'#btn'.($i).'\').show();" style="width: 100%" type="text" name="tab" value=""></td></tr>';
			echo '<tr><td valign="top" width="20%">'.t('libelle').'</td><td colspan="2"><input onKeypress="$(\'#btn'.($i).'\').show();" style="width: 100%" type="text" name="libelle" value="'.$value['libelle'].'"></td></tr>';
			if ( $value['reprise'] == 2 ) {
				echo '<tr><td colspan="2"><br /><br /></td><td align="right">';
				echo '<input onClick="SauveBordereau('.($i).');" type="button" id="btn'.($i).'" style="display: none;" class="bouton" value="'.t('sauvegarder').'">';
			} else {
				echo '<tr><td valign="top" width="20%">'.t('aide').'</td><td colspan="2"><textarea onKeypress="$(\'#btn'.($i).'\').show();" name="aide" style="width: 100%; height: 100px;">'.$value['aide'].'</textarea></td></tr>';
				echo '<tr><td valign="top" width="20%">'.t('obligatoire').'</td><td colspan="2">';
				echo '<input onClick="$(\'#btn'.($i).'\').show();" type="radio" name="obligatoire" value="1"'.(($value['obligatoire'])?" checked":"").'>'.t('oui');
				echo '<input onClick="$(\'#btn'.($i).'\').show();" type="radio" name="obligatoire" value="0"'.((!$value['obligatoire'])?" checked":"").'>'.t('non');
				echo '</td></tr>';
				echo '<tr><td valign="top" width="20%">'.t('reprise').'</td><td>';
				echo '<input onClick="$(\'#btn'.($i).'\').show();" type="radio" name="reprise" value="0"'.((!$value['reprise'])?" checked":"").'>'.t('oui');
				echo '<input onClick="$(\'#btn'.($i).'\').show();" type="radio" name="reprise" value="1"'.(($value['reprise'])?" checked":"").'>'.t('non');
				echo '<td align="right"><input onClick="SauveBordereau('.($i).');" type="button" id="btn'.($i).'" style="display: none;" class="bouton" value="'.t('sauvegarder').'">';
			}
			echo '</td></tr></table></form></div></div></li>';	
			$i++;
		}
	}
	foreach ($modele as $key => $value) {
		if ( $value['use'] || $value['input'] == "date" || $value['input'] == "hidden" || $value['input'] == "genere" ) {
			echo '<li id="'.$key.'" class="dansbord" style="display: block;"><span class="ui-icon ui-icon-arrowthick-2-n-s"></span>';
			if ( $value['use'] != 2 && $value['input'] != "date" && $value['input'] != "hidden" && $value['input'] != "genere" ) echo '<a title="'.t('effacer_champ').'" class="neutre" style="float: right; margin: 0.4em 0.2em 0 0; cursor: pointer;" href="javascript:void(0);" onClick="EffaceChamp('.($i).');"><span class="ui-icon ui-icon-close"></span></a>';	
			echo '<div id="onglet'.($i).'" name="onglet'.($i).'" class="blocinfo">'.$value['tab'].'</div>';
			echo '<div class="pliable" style="width: 80%; margin-left: 30px;">';
			echo '<h3><a id="libelle'.($i).'" style="font-size: 11px;" href="#">'.$value['libelle'].'</a></h3><div>';
			echo '<form id="form'.($i).'">';
			echo '<input type="hidden" name="use" value="'.$value['use'].'">';
			echo '<input type="hidden" name="champ" value="'.$key.'">';
			echo '<input type="hidden" name="bordereau" value="../bordereaux/'.$lang.'/'.$bordereau.'">';
			// ELEMENTS NON MODIFIABLES
			$Flag = ( $value['reprise'] == 2 || $value['input'] == "date" || $value['input'] == "hidden" || $value['input'] == "genere" ) ? true : false;
			if ( $Flag ) {
				echo '<input type="hidden" name="obligatoire" value="'.$value['obligatoire'].'">';
				echo '<input type="hidden" name="reprise" value="'.$value['reprise'].'">';
				echo '<input type="hidden" name="aide" value="'.$value['aide'].'">';
				if ( $value['input'] == "hidden" || $value['input'] == "genere" ) echo '<input type="hidden" name="tab" value="">';
			}		
			echo '<table width="98%" cellspacing="0" cellpadding="0" border="0">';
			if ( $value['input'] != "hidden" && $value['input'] != "genere" ) echo '<tr><td width="20%">'.t('onglet').'</td><td colspan="2"><input onKeypress="$(\'#btn'.($i).'\').show();" style="width: 100%" type="text" name="tab" value="'.$value['tab'].'"></td></tr>';
			echo '<tr><td valign="top" width="20%">'.t('libelle').'</td><td colspan="2"><input onKeypress="$(\'#btn'.($i).'\').show();" style="width: 100%" type="text" name="libelle" value="'.$value['libelle'].'"></td></tr>';
			if ( $Flag ) {
				if ( $value['input'] == "hidden" || $value['input'] == "genere" ) echo '<tr><td colspan="3">'.t('cas_particulier').'</td></tr>';
				echo '<tr><td colspan="2"><br /><br /></td><td align="right">';
				echo '<input onClick="SauveBordereau('.($i).');" type="button" id="btn'.($i).'" style="display: none;" class="bouton" value="'.t('sauvegarder').'">';
			} else {
				echo '<tr><td valign="top" width="20%">'.t('aide').'</td><td colspan="2"><textarea onKeypress="$(\'#btn'.($i).'\').show();" name="aide" style="width: 100%; height: 100px;">'.$value['aide'].'</textarea></td></tr>';
				echo '<tr><td valign="top" width="20%">'.t('obligatoire').'</td><td colspan="2">';
				echo '<input onClick="$(\'#btn'.($i).'\').show();" type="radio" name="obligatoire" value="1"'.(($value['obligatoire'])?" checked":"").'>'.t('oui');
				echo '<input onClick="$(\'#btn'.($i).'\').show();" type="radio" name="obligatoire" value="0"'.((!$value['obligatoire'])?" checked":"").'>'.t('non');
				echo '</td></tr>';
				echo '<tr><td valign="top" width="20%">'.t('reprise').'</td><td>';
				echo '<input onClick="$(\'#btn'.($i).'\').show();" type="radio" name="reprise" value="0"'.((!$value['reprise'])?" checked":"").'>'.t('oui');
				echo '<input onClick="$(\'#btn'.($i).'\').show();" type="radio" name="reprise" value="1"'.(($value['reprise'])?" checked":"").'>'.t('non');
				echo '<td align="right"><input onClick="SauveBordereau('.($i).');" type="button" id="btn'.($i).'" style="display: none;" class="bouton" value="'.t('sauvegarder').'">';
			}
			echo '</td></tr></table></form></div></div></li>';	
			$i++;
		}
	}
	echo '</ul>';
	echo '<br /><input onClick="TriBordereau();" type="button" id="tri2" style="display: none;" class="bouton" value="'.t('sauvegarder_modification').'">';
	echo '<div id="aide" style="display:none;"><p>'.t('aide_bordereau').'</p></div>';
	
} else {

	// TITRE
	echo "<h1>".t('gestion_bordereaux')."</h1>";

	// FORMULAIRE CHOIX DU BORDEREAU A MODIFIER
	echo "<form name=\"saisie\" method=\"POST\">";
	echo '<table class="display" width="60%" align="center" border="0" cellspacing="1" cellpadding="0">';
	echo '<tr><th>'.t('choix_bordereau').'</th></tr>';
	
	// PROFILS
	echo '<tr><td class="paire"><b>'.t('profils').'<br /><blockquote>';
	echo '<a class="lien" href="?bordereau=profils&libelle='.urlencode(t('profil')).'">'.t('profil').'</a><br />';
	echo ' </blockquote></td></tr>';
	
	// OPERATIONS
	echo '<tr><td class="paire"><b>'.t('operations').'<br /><blockquote>';
	echo '<a class="lien" href="?bordereau=operation&libelle='.urlencode(t('operation_generale')).'">'.t('operation_generale').'</a><br />';
	echo '<a class="lien" href="?bordereau=bibliographie&libelle='.urlencode(t('operation_bibliographie')).'">'.t('operation_bibliographie').'</a><br />';
	echo ' </blockquote></td></tr>';
	
	// RESSOURCES : CHOIX DU TYPE DE DOCUMENT
	echo '<tr><td class="paire"><b>'.t('ressources').'<br /><blockquote>';
	$sql = "SELECT * FROM te_lex_typdoc ORDER BY Terme;";
	Message($sql);
	$resultat = mysql_query($sql);
	if ( mysql_num_rows($resultat) ) {

		while ( $rec = mysql_fetch_assoc($resultat) ) echo '<a class="lien" href="?table=ressource&bordereau='.strtolower($rec["Code"]).'&libelle='.urlencode($rec["Terme"]).'">'.$rec["Terme"].'</a><br />';

	} else {

		echo t('lexique_type_document_vide').'<br />';

	}
	echo ' </blockquote></td></tr></table>';
	echo '<table width="60%" align="center" border="0" cellspacing="1" cellpadding="0"><tr><td align="right">';
	echo "<input class=\"bouton\" type=\"button\" onclick=\"window.location.href='accueil.php';\" value=\"".t('annuler')."\">&nbsp;";
	echo '</td></tr></table></form>';
	
}
?>
</body>
</html>