<?php
$restreint = false;
require_once("init.php");

// LIRE VARIABLES
$etape = LireVariable("etape","");
$where = LireVariable("where","");
$sort = LireVariable("sort","TOT");
$sens = LireVariable("sens","desc");
$titre = LireVariable("titre","");
$annee = LireVariable("annee",date("Y"));

// ENTETE HTML
if ( $etape != "export" || $debug ) include("include/header.php");

// PURGE DE LA TABLE DES STATISTIQUES ANNEE EN COURS
if ( ( $etape == "purge" ) && ( $login == 'admin' ) ) {
	
	$sql = "TRUNCATE TABLE te_stats_".$annee.";";
	Message($sql);
	$resultat = mysql_query($sql) or die(mysql_error());
	echo '<font class="message">-=> '.sprintf(t('table_purgee'),'te_stats_'.$annee).'</font><br /><br />';
	echo '<a class="bouton" href="accueil.php">'.t('poursuivre').'</a><br /></body></html>';
	exit;

}

// DESTRUCTION TABLE STATISTIQUES ANNEE PRECEDENTE
if ( ( $etape == "detruit" && $annee ) && ( $login == 'admin' ) ) {

	$sql = "DROP TABLE IF EXISTS `te_stats_".$annee."`;";
	Message($sql);
	$resultat = mysql_query($sql) or die(mysql_error());
	echo '<font class="message">-=> '.sprintf(t('table_detruite'),'te_stats_'.$annee).'</font><br /><br />';
	echo '<a class="bouton" href="index.php" target="_top">'.t('poursuivre').'</a><br /></body></html>';
	exit;

}

// EXPORT DES REQUETES
if ( $etape == "export" ) {
	
	// SEPARATEURS
	if ( $debug ) {
		$sepchp = LireVariable("sepchp","\t");
		$sepenr = "<br />";
	} else {
		$sepchp = LireVariable("sepchp","\t");
		$sepenr = LireVariable("sepenr","\r\n");
	}
	if ( $where == "brutes" ) {
		$sql = "SELECT * FROM te_stats_".$annee." order by id;";
	} else {
		$sql="select COUNT(*) as TOT,requete from te_stats_".$annee;
		if ( $where ) $sql .= " where ".$where;
		$sql .= " group by requete";
		if ( $sort ) $sql .= " order by ".$sort." ".$sens;
		if ( $sort == "TOT" ) $sql .= ",requete";
	}
	if ( $debug ) Message($sql);
	$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
	$total = mysql_num_rows($t);

	// OUVERTURE FICHIER DE SORTIE
	if ( !$debug ) {
		
		$filename = "statistiques_".date("Y-M-d").".txt";
		ob_end_clean();
		header("Content-type: application/txt");
		header("Content-disposition:  attachment; filename=\"$filename\"");

	} else {

		echo "<pre>";

	}
	
	// ENTETE
	if ( $where == "brutes" ) {
		echo "Nombre de rponse".$sepchp,
		"Date".$sepchp,
		"IP".$sepchp,
		"Requte lien".$sepchp,
		"Langue de recherche".$sepchp,
		"Champs interrogs".$sepchp,
		"Requte".$sepenr;
	} else {
		echo "Nombres de requte" . $sepchp . "Requtes" . $sepenr;
	}

	// BOUCLE DE LECTURE
	while ($r = mysql_fetch_array($t)) {
		if ( $where == "brutes" ) {
			$tmp = $r[7];
			$tmp = str_replace("<b>","",$tmp);
			$tmp = str_replace("</b>","",$tmp);
			$tmp = str_replace("<font class='operateur'>","",$tmp);
			$tmp = str_replace("</font>","",$tmp);
			echo $r[1].$sepchp,
			$r[2].$sepchp,
			$r[3].$sepchp,
			$r[4].$sepchp,
			$r[5].$sepchp,
			$r[6].$sepchp,
			$tmp.$sepenr;
		} else {
			$tmp = $r[1];
			$tmp = str_replace("<b>","",$tmp);
			$tmp = str_replace("</b>","",$tmp);
			$tmp = str_replace("<font class='operateur'>","",$tmp);
			$tmp = str_replace("</font>","",$tmp);
			echo $r[0] . $sepchp . $tmp . $sepenr;
		}
	}
	if ( $debug ) echo "</pre>";
	exit;
}

// DETAIL DES REQUETES
if ( $etape == "detail" ) {
	$sql="select COUNT(*) as TOT,requete from te_stats_".$annee;
	if ( $where ) $sql .= " where ".$where;
	$sql .= " group by requete";
	if ( $sort ) $sql .= " order by ".$sort." ".$sens;
	if ( $sort == "TOT" ) $sql .= ",requete";
	Message($sql);

	echo "<center><h1>Dtail des statistiques de consultation de la base de donnes</h1>";
	echo "<i>Cliquer sur l'entte des colonnes pour trier le tableau</i></center>";
	echo "<table class='display' border='1' width='100%' align='center'>";
	echo "<tr>";
	echo '<th width="20%"';
	if ( $sort == "TOT" ) {echo ' class="ui-state-active"><img src="images/'.$sens.'_order.gif"> ';} else {echo '>';}
	echo '<a class="entete" href="gestion_stats.php?etape=detail&annee='.$annee.'&sort=TOT&sens=';
	if ( $sens == "desc" ) echo "asc"; else echo "desc";
	echo '&where='.$where.'">';
	echo '<b>Nombre de requtes</b>';
	echo '</a></th>';
	
	echo "<th";
	if ( $sort == "requete" ) {echo ' class="ui-state-active"><img src="images/'.$sens.'_order.gif"> ';} else {echo '>';}
	echo '<a class="entete" href="gestion_stats.php?etape=detail&annee='.$annee.'&sort=requete&sens=';
	if ( $sens == "desc" ) echo "asc"; else echo "desc";
	echo '&where='.$where.'">';
	echo '<b>Requtes</b>';
	echo '</a></th>';

	echo "</tr>";
	// Requte
	$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
	$total = mysql_num_rows($t);
	while ($r = mysql_fetch_array($t)) {
		echo "<tr>";
		echo '<td align="center"';
		if ( $sort == "TOT" ) {echo ' class="ui-state-hover">';} else {echo '>';}
		echo $r[0]."</td>";
		echo '<td';
		if ( $sort == "requete" ) {echo ' class="ui-state-hover">&nbsp;';} else {echo '>';}
		echo $r[1]."</td>";
		echo "</tr>";
	}
	echo "</table><br />";
	echo '<form><center><input class="bouton" type="button" onClick="location=\'gestion_stats.php\';" value="'.t('retour').'"></center></form>';
} else {

// TABLEAU GLOBAL
echo "<center><h1>Statistiques <b>[$annee]</b> de consultation de la base de donnes</h1></center>";
echo "<table class='display' border='0' width='100%' align='center'>";

// Date de dbut des statistiques
	$sql="select date from te_stats_".$annee." order by id limit 1;";
	$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
	$r = mysql_fetch_array($t);
	if ( !$r[0] ) {
		echo "<tr><td align='center'><font class='libelle'>Aucune statistique disponible</font></td></tr>";
		mysql_free_result($t);
	} else {	
		echo "<tr><th width=\"35%\">Prise en compte des statistiques depuis</th><th colspan='3'>".$r[0]."</th></tr>";
		mysql_free_result($t);

		// Nombre d'internautes
		$sql = "SELECT COUNT(DISTINCT IP) FROM te_stats_".$annee.";";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<tr><td class=\"paire\">Estimation du nombre d'internautes (IP diffrentes)</td><td colspan='3'><font class='libelle'>".$r[0]."</font>";
		echo "</td></tr>";
		mysql_free_result($t);

		// Statistiques brutes
		echo "<tr><td class=\"paire\">Exporter les statistiques \"brutes\"</td><td colspan='3'>";
		echo "<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=brutes\">".Icone("disquette","16x16")."</a>";
		echo "</td></tr>";
		// Requtes
		echo "<tr><th>Requtes</th><th>Total</th><th>Avec rponses</th><th>Sans rponses</th></tr>";
		// LISTE DES CHAMPS
		$tab = array();
		$sql = "SELECT DISTINCT champs FROM te_stats_$annee WHERE champs != '' and champs not like '%,%' ORDER BY champs;";
		Message($sql);
		$resultat = mysql_query($sql);
		$total = mysql_num_rows($resultat);
		while ( $rec = mysql_fetch_assoc($resultat) ) $tab[] = $rec['champs'];
	
		// Diffrents champs
		$liste = ",";
		for ($i=0; $i < count($tab); ++$i) {
			$chp = $tab[$i];
			$chpaff = $chp;
			if ( !$chpaff ) $chpaff = "Tous les champs";
			if ( strpos( $liste , ','.$chpaff.',' ) === false ) {
				$liste .= $chpaff.',';
				echo "<tr><td class=\"impaire\">&nbsp;&nbsp;&nbsp;<img src='images/puce.gif'>&nbsp;<b>$chpaff</b></td>";

				$sql="select COUNT(*) as TOT from te_stats_".$annee." where champs='".addslashes($chp)."';";
				Message($sql);
				$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
				$r = mysql_fetch_array($t);
				echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
				if ( $r[0] ) {
					echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=champs='".addslashes($chp)."'\">".Icone("loupe","16x16")."</a>";
					echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=champs='".addslashes($chp)."'\">".Icone("disquette","16x16")."</a>";
				}
				echo "</td>";
				mysql_free_result($t);

				$sql="select COUNT(*) as TOT from te_stats_".$annee." where champs='".addslashes($chp)."' and total>0;";
				Message($sql);
				$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
				Message($sql);
				$r = mysql_fetch_array($t);
				echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
				if ( $r[0] ) {
					echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=champs='".addslashes($chp)."'+and+total>0\">".Icone("loupe","16x16")."</a>";
					echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=champs='".addslashes($chp)."'+and+total>0\">".Icone("disquette","16x16")."</a>";
				}
				echo "</td>";
				mysql_free_result($t);

				$sql="select COUNT(*) as TOT from te_stats_".$annee." where champs='".addslashes($chp)."' and total=0;";
				Message($sql);
				$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
				$r = mysql_fetch_array($t);
				echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
				if ( $r[0] ) {
					echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=champs='".addslashes($chp)."'+and+total=0\">".Icone("loupe","16x16")."</a>";
					echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=champs='".addslashes($chp)."'+and+total=0\">".Icone("disquette","16x16")."</a>";
				}
				echo "</td></tr>";
				mysql_free_result($t);
			}
		}

		// Multi-critres
		echo "<tr><td class=\"impaire\">&nbsp;&nbsp;&nbsp;<img src='images/puce.gif'>&nbsp;<b>Multi-critres</b> (plusieurs champs)</td>";

		$sql="select COUNT(*) as TOT from te_stats_".$annee." where champs like '%,%';";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=champs+like+'%,%'\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=champs+like+'%,%'\">".Icone("disquette","16x16")."</a>";
		}
		echo "</td>";
		mysql_free_result($t);

		$sql="select COUNT(*) as TOT from te_stats_".$annee." where champs like '%,%' and total>0;";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=champs+like+'%,%'+and+total>0\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=champs+like+'%,%'+and+total>0\">".Icone("disquette","16x16")."</a>";
		}
		echo "</td>";
		mysql_free_result($t);

		$sql="select COUNT(*) as TOT from te_stats_".$annee." where champs like '%,%' and total=0;";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=champs+like+'%,%'+and+total=0\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=champs+like+'%,%'+and+total=0\">".Icone("disquette","16x16")."</a>";
		}
		echo "</td></tr>";
		mysql_free_result($t);
		
		// Aucun critre
		echo "<tr><td class=\"impaire\">&nbsp;&nbsp;&nbsp;<img src='images/puce.gif'>&nbsp;<b>Aucun critre</b> (toute la base)</td>";

		$sql="select COUNT(*) as TOT from te_stats_".$annee." where champs = '';";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		echo "</td>";
		mysql_free_result($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		echo "</td>";
		echo "<td align='center'><font class='libelle'>0</font>";
		echo "</td></tr>";

		// Total
		echo "<tr><td class=\"paire\">Soit un nombre total de requtes</td>";
		$sql="select COUNT(*) as TOTAL from te_stats_".$annee.";";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."\">".Icone("disquette","16x16")."</a>";
		}
		echo "</td>";
		mysql_free_result($t);
	
		$sql="select COUNT(*) as TOTAL from te_stats_".$annee." where total>0;";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=total>0\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=total>0\">".Icone("disquette","16x16")."</a>";
		}
		echo "</td>";
		mysql_free_result($t);
	
		$sql="select COUNT(*) as TOTAL from te_stats_".$annee." where total=0;";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=total=0\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=total=0\">".Icone("disquette","16x16")."</a>";
		}
		mysql_free_result($t);
		echo "</td></tr>";

		// Sur liens
		echo "<tr><td class=\"paire\">dont un nombre total de requtes de type [<b>liens</b>]</td>";
		
		$sql="select COUNT(*) as TOT from te_stats_".$annee." where lien='O';";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=lien='O'\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=lien='O'\">".Icone("disquette","16x16")."</a>";
		}
		echo "</td>";
		mysql_free_result($t);

		$sql="select COUNT(*) as TOT from te_stats_".$annee." where lien='O' and total>0;";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=lien=\'O\'+and+total>0\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=lien=\'O\'+and+total>0\">".Icone("disquette","16x16")."</a>";
		}
		echo "</td>";
		mysql_free_result($t);

		$sql="select COUNT(*) as TOT from te_stats_".$annee." where lien='O' and total=0;";
		$t = mysql_query($sql) or die("Erreur de la requ&ecirc;te: ".mysql_error());
		$r = mysql_fetch_array($t);
		echo "<td align='center'><font class='libelle'>".$r[0]."</font>";
		if ( $r[0] ) {
			echo "   <a title=\"Afficher\" href=\"gestion_stats.php?etape=detail&annee=".$annee."&where=lien=\'O\'+and+total=0\">".Icone("loupe","16x16")."</a>";
			echo "&nbsp;<a title=\"Exporter\" href=\"gestion_stats.php?etape=export&annee=".$annee."&where=lien=\'O\'+and+total=0\">".Icone("disquette","16x16")."</a>";
		}
		echo "</td></tr>";
		mysql_free_result($t);

	}
	echo "</table>";
	if ( $login == 'admin' ) {
		echo '<table width="100%" align="center"><tr><td align="right">';
		echo '<input type="hidden" name="annee" value="'.$annee.'">';
		if ( $annee == date("Y") ) {
			echo '<a class="bouton" href="?etape=purge">'.t('purger_statistiques').'</a>';
		} else {
			echo '<a class="bouton" href="?etape=detruit&annee='.$annee.'">'.sprintf(t('supprimer_statistiques'),$annee).'</a>';
		}
		echo '</td></tr></table>';
	}
}
?>
</body>
</html>
