<?php 
$restreint = false;
require_once("init.php");

// VARIABLES
$table = LireVariable("table","");
$bordereau = LireVariable("bordereau","");
$cle = CleTable($table);

if ( !Autorise($table) ) {
	include("include/header_fenetre.php");
	echo t('espace_interdit');
	echo '<center><input type="button" class="bouton" onClick="FermeFenetre();" value="'.t('fermer').'"></center></body></html>';
	exit;
}

// CHARGE BORDEREAU
if (!file_exists("bordereaux/$lang/$bordereau.php")) {
	include("include/header_fenetre.php");
	echo t('bordereau_inconnu')." [$lang/$bordereau].<br />";
	echo '<center><input type="button" class="bouton" onClick="FermeFenetre();" value="'.t('fermer').'"></center></body></html>';
	exit;
}
include("bordereaux/$lang/$bordereau.php");

// LECTURE VARIABLES
$format = LireVariable("format","");
$total = LireVariable("total",0);
$table = LireVariable("table","");
$where = LireVariable("where","");
$enclair = LireVariable("enclair",t('tout'));
$sort = LireVariable("sort","$cle");
$etape = LireVariable("etape","");
$surtitre = LireVariable("surtitre","");
$soustitre = LireVariable("soustitre","");

// TITRE
$titre = "";
if ( $table == "te_lex_pays" ) $titre = t('lexique_pays');
if ( $table == "te_lex_theme" ) $titre = t('lexique_theme');
if ( $table == "te_lex_typdoc" ) $titre = t('lexique_type_document');
if ( $table == "te_lex_enquete" ) $titre = t('lexique_type_enquete');
if ( $table == "te_operation" ) $titre = t('base_operations');
if ( $table == "te_ressource" ) $titre = t('base_ressources');
if ( $table == "te_comptes" ) $titre = t('base_profils');
if ( $table == "te_operation_tmp" ) $titre = t('base_tampon_operations');
if ( $table == "te_ressource_tmp" ) $titre = t('base_tampon_ressources');

// PROCEDURE D'IMPRESSION
if ( $etape == "Imprimer" ) {

// REQUETE
$sql = Jointure($table) . " WHERE ".urldecode($where)." ORDER BY $sort;";
Message($sql);
$resultat = mysql_query($sql);
$total = mysql_num_rows($resultat);
if ($total > 0) {
	// INITIALISATION FORMAT HTML
	if ( $format == "HTM" ) {
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
	<head>
		<title><?php echo TITRE; ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link href="css/print.css" rel="stylesheet" type="text/css">
	</head>
	<body>
		<table border="0" width="95%" align="center">
		<tr><td align="center">
			<h3><?php echo str_replace("\n","<br />",$surtitre); ?></h3><br /><br />
			<font class="entete"><?php echo str_replace("\n","<br />",$soustitre); ?></font><br /><br />
		</td></tr>
		<tr><td>
			<table class="imprime" width="100%" border="0" cellpadding="2" cellspacing="0">
<?php
	}
	// INITIALISATION CLASSE PDF
	if ( $format == "PDF" ) {
		
		$class_path = "plugins/class_pdf/" ;
		define('FPDF_FONTPATH',$class_path.'font/');
		require_once($class_path.'fpdf.php');
		require_once($class_path.'lib_pdf_global.php');
		require_once($class_path.'lib_pdf.php');
		
		// ENTETE PAGE
		$entete = CENTRE;
		
		// PIED DE PAGE
		$url_site = $_SERVER['SERVER_NAME'];
		$nom_site = t('fichier_cree')." ".date("d/m/Y");
		
		// PAGE DE GARDE
		$site = CENTRE."\n\n";
		$soustitre = str_replace("<i>","",$soustitre);
		$soustitre = str_replace("</i>","",$soustitre);
		$soustitre = str_replace("<u>","",$soustitre);
		$soustitre = str_replace("</u>","",$soustitre);
		if ( $debug ) $soustitre .= "\n\n".$sql;
		$date = "";
		$auteur="";
		
		// DEBUT GENERATION DU PDF
		$pdf->debug=0;
		$pdf=new PDF();
		//$pdf->SetDisplayMode (fullwidth, continuous);
		$pdf->SetTitle($titre);
		$pdf->SetCreator($site);
		$pdf->SetCompression(false);
		$pdf->SetMargins(15,15);
		$pdf->SetAutoPageBreak(true, 30);
		$pdf->AddPage();
		$pdf->PageAccueil();
		$pdf->AddPage();	
		$pdf->SetFont('helvetica','I',8);
		$pdf->AliasNbPages();

	}
	if ( $format == "RTF" ) {	// INITIALISATION CLASSE RTF
		
		require 'plugins/phprtflite/PHPRtfLite.php';
		PHPRtfLite::registerAutoloader();
		$rtf = new PHPRtfLite();
		$fonttit = new PHPRtfLite_Font(20, 'helvetica', '#000000');
		$fontcpy = new PHPRtfLite_Font(18, 'helvetica', '#404040');
		$fontchp = new PHPRtfLite_Font(9, 'helvetica', '#000000');
		$fontlib = new PHPRtfLite_Font(9, 'helvetica', '#800000');
		$centre = new PHPRtfLite_ParFormat('center');
		$left = new PHPRtfLite_ParFormat('left');
		
		// PAGE DE GARDE
		$sect = $rtf->addSection();
		$sect->writeText(utf8_encode(t('fichier_cree'))." ".date("d/m/Y")."\n\n", $fontchp, $left);
		$sect->addImage('../images/'.$logo, null);
		$sect->writeText("\n\n\n\n".utf8_encode(HEADER), $fonttit, $centre);
		$sect->writeText("\n\n\n\n".utf8_encode($surtitre)."\n\n", $fontcpy, $centre);
		$soustitre = str_replace("<i>","",$soustitre);
		$soustitre = str_replace("</i>","",$soustitre);
		$soustitre = str_replace("<u>","",$soustitre);
		$soustitre = str_replace("</u>","",$soustitre);
		if ( $debug ) $soustitre .= "\n\n".$sql;
		$sect->writeText(utf8_encode($soustitre), $fontcpy, $centre);
		$sect->writeText("\n\n", $fontchp, $left);
		$sect = $rtf->addSection();
	}
	$cpt = 0;
	while ( $rec = mysql_fetch_assoc($resultat) ) {
		switch ( $format ) {
			case "HTM": // HTML
				echo '<tr><td valign="top">';
				foreach ($modele as $k => $v) $Flag = Ecrire(false, false, $LibAvGe="<font class='libelle'>".$v["libelle"]." : </font>", $Sep="", $SepArt="", $SepGen="", $LibAv="<font class='champ'>", $rec[$k], $LibAp="</font>",$LibApGe="<br />");
				echo "</td></tr>";
				break;
				
 			case "RTF": // RTF
				foreach ($modele as $k => $v) ChampRTF($v["libelle"],$rec[$k]);
				break;

			case "PDF":	// PDF
				foreach ($modele as $k => $v) ChampPDF($v["libelle"],$rec[$k]);
				break;
				
		}
		$cpt++;
		// LIGNE DE SEPARATION
		if ( $cpt != $total  ) {
			switch ( $format ) {
				case "HTM":	
					echo '<tr><td><hr class="ligne"></td></tr>';
					break;
					
				case "PDF":	
					$pdf->Ln();
					$pdf->SetDrawColor(128,0,0);
					$pdf->Line($pdf->lMargin + 25, $pdf->GetY(), $pdf->w - $pdf->rMargin - 25, $pdf->GetY());
					$pdf->SetDrawColor(0);
					$pdf->Ln();
					break;
					
				case "RTF":	
					$sect->writeText("<hr>");
					$sect->writeRtfCode ('\par ');
					break;
			}	
		}
	}
	if ( $format == "PDF" ) $pdf->Output() ;
	if ( $format == "RTF" ) $rtf->sendRtf(substr($table,3).'_'.date("d-m-Y").'.rtf');
	if ( $format == "HTM" ) {
?>
</table></td></tr>
</tr></table>
<script language="javaScript" type="text/javaScript">window.print();</script>
</body>
</html>
<?php
	exit;
	}
}
}

// CHARGE ENTETE
include("include/header_fenetre.php");

// FORMULAIRE AVANT IMPRESSION - CHOIX DU FORMAT
echo '<form method="post" name="saisie" target="_blank">';
echo '<input type="hidden" name="where" value="'.$where.'">';
echo '<input type="hidden" name="enclair" value="'.$enclair.'">';
echo '<input type="hidden" name="sort" value="">';
echo '<input type="hidden" name="table" value="'.$table.'">';
echo '<input type="hidden" name="bordereau" value="'.$bordereau.'">';
echo '<input type="hidden" name="total" value="'.$total.'">';
echo '<input type="hidden" name="etape" value="Imprimer">';
if ( $enclair ) echo "<br /><center><span class='message'>".$total." ".t('reponse_pour')." : ".stripslashes($enclair)."</span></center><br />";
?>
<table class="display" border="0" width="100%">
<tr><th colspan="2"><?php echo t('parametres'); ?></th></tr>
<tr><td width="40%" valign="top"><?php echo t('format'); ?></td><td>
	<input type="radio" name="format" value="HTM" checked> HTML
	<input type="radio" name="format" value="RTF"> RTF
	<!-- <input type="radio" name="format" value="PDF"> PDF -->
</td></tr>
<tr><td colspan="2"><?php echo t('tri'); ?> :<br />
<?php
	echo "<table border=\"0\" width=\"100%\"><tr><td align=\"right\" width=\"45%\" valign=\"top\">";
	echo "<select size=\"5\" onDblClick=\"Prendre('source','but',1);\" style=\"width: 100%\" name=\"source\" id=\"source\">";
	echo '<option value="'.$cle.'">'.$cle.'</option>';
	foreach ($modele as $k => $v) {
		if ( $v['tri'] ) {
			echo '<option value="'.$k.'">'.$v['libelle'].'</option>';
			// if ( $v['sens'] ) echo '<option value="'.$k.' desc">'.$v['libelle'].' (desc)</option>';
		}
	}
	echo "</select>";
	echo '<br /><font class="info">'.t('prendre_terme').'</font>';
	echo "</td><td align=center valign=center>";
	echo "<input title=\"".t('tout_rejeter')."\" type=\"button\" class=\"bouton\" onClick=\"document.getElementById('but').innerHTML=null;\" value=\"<<\">";
	echo "</td><td width=45% valign=top>";
	echo "<select size=\"5\" onDblClick=\"Enleve('but');\" style=\"width: 100%\" name=\"but\" id=\"but\">";
	echo "<option value=\"".$sort."\">".$sort."</option>";
	echo "</select>";
	echo '<br /><font class="info">'.t('rejeter_terme').'</font>';
	echo "</td></tr></table>";
?>
</td></tr>
<tr><th colspan="2"><?php echo t('personnaliser'); ?></th></tr>
<tr><td colspan="2">
<textarea name="surtitre" style="width: 100%;" rows="5"><?php echo $titre; ?></textarea>
<textarea name="soustitre" style="width: 100%;" rows="5"><?php	echo date("d/m/Y")."\n\n";
echo $total." ".t('reponse_pour')." : ".stripslashes($enclair)."\n";
?></textarea>	
</td></tr></table>

<table align="center" border="0" width="100%"><tr><td>
<tr><td><?php echo t('infos'); ?></td></tr>
<tr><td align="right">
	<input class="bouton" type="button" onClick="FermeFenetre();" value="<?php echo t('fermer'); ?>">&nbsp;
	<input class="bouton" type="button" onClick="Transfert('but','sort',',');document.saisie.submit();" value="<?php echo t('valider'); ?>">
</td></tr>
</table>
</form>
</body></html>
