<?php
// DEMARRAGE SESSION
session_start(); 

// IDENTIFICATION
if ( !isset($_SESSION['login']) || !isset($_SESSION['groupe']) || !isset($_SESSION['identite']) ) {
	header("Location: login.php");
	// echo "<meta http-equiv=\"refresh\" content=\"0; URL=login.php\">";
	exit;
}

// CODE IDENTIFICATION
$login = $_SESSION['login'];
$groupe = $_SESSION['groupe'];
$identite = $_SESSION['identite'];
$css = "";
$js = "";

// PAGE AUTORISEE ?
if ( !isset($restreint) ) {
	echo "Droits d'accs  la page ".$_SERVER['PHP_SELF']." non dfini.";
	exit;
} elseif ( $restreint == true && $groupe != 1 ) {
	echo "Vous n'tes pas autoris  accder  cet espace / You are not authorised to enter this area";
	exit;
}

// PAGE + RACINE -> POUR CHARGER ELEMENTS NECESSAIRES
$page = basename($_SERVER["SCRIPT_NAME"],".php");
$racine = preg_replace('/_.*$/',"",$page);

// FONCTIONS DE BASE
require_once("functions/common.php");

// FICHIER DE CONFIGURATION
require_once("../config/config_inc.php");

// PARAMETRES PERSONNALISATION
require_once("../config/perso_inc.php");

// DESACTIVATION DES MAGIC_QUOTES_GPC
ini_set('magic_quotes_gpc', 0);

// PARAMETRES DE CONNEXION A LA BASE DE DONNEES
require_once("../config/database_inc.php");

// FICHIER LANGUE SPECIFIQUE SI IL EXISTE - SINON GENERAL
/*
if (file_exists("language/$lang/$racine.php")) {
	require_once("language/$lang/$racine.php");
} else {
	require_once("language/$lang/main.php");
}
*/
require_once("language/".$lang.".php");

// FICHIER FONCTIONS COMPLEMENTAIRES
if (file_exists("functions/$racine.php")) require_once("functions/$racine.php");

// PRINCIPES DE RECHERCHE
// require_once("lang/$lang/champs.php");

// CREATION TABLES TEMPORAIRES SI NECESSAIRE
if ( !mysql_table_exists("te_operation_tmp",$database) ) {	
	$sql = "CREATE TABLE te_operation_tmp LIKE te_operation;";
	Message($sql);
	$resultat = mysql_query($sql) or die(mysql_error());
}
if ( !mysql_table_exists("te_ressource_tmp",$database) ) {	
	$sql = "CREATE TABLE te_ressource_tmp LIKE te_ressource;";
	Message($sql);
	$resultat = mysql_query($sql) or die(mysql_error());
}
?>
