<?php
$restreint = true;
require_once("init.php");

// FONCTIONS AUTORISEES
$addcol = false; // AJOUT COLONNE
$flgexp = true; // EXPORTATION
$flgimp = false; // IMPORTATION
$flgadd = true; // AJOUT
$flgprn = true; // IMPRESSION
$flgmod = false; // MODIFICATION PAR LOT
$flgsel = false; // SELECTION DANS PANIER

// LIRE VARIABLES
$table = LireVariable("table","");
$cle = CleTable($table);
$id = LireVariable("id","");
$sort = LireVariable("sort","$cle");
$sens = LireVariable("sens","asc");
$where = LireVariable("where","");
$enclair = LireVariable("enclair","");
$total = LireVariable("total",0);
$debut = LireVariable("debut",0);
$fiche = LireVariable("fiche","");
$update = LireVariable("update","");
$aj_col = LireVariable("aj_col","");
$ef_col = LireVariable("ef_col","");
$nbr_ref_pge = LireVariable("nbr_ref_pge",10);
$key = LireVariable("key","");

// CONSTANTES
$bordereau = str_replace("te_","",$table);
$cache = "";

// CHARGE BORDEREAU
if (!file_exists("bordereaux/$lang/$bordereau.php")) {
	echo t('bordereau_inconnu')." [$lang/$bordereau].<br />";
	exit;
}
include("bordereaux/$lang/$bordereau.php");

// VARIBLES REQUETES - TABLEAU ASSOCIATIF
$chp = ( isset($_POST["chp"]) ) ? $_POST["chp"] : array();

// GESTION COLONNES DU TABLEAU
$champs = Colonnes($table, $addcol, $ef_col, $aj_col);

// CHARGE ENTETE
include ("include/header.php");
echo "<h1>".t('lexique')." : $lexique</h1>";

// AIDE
if ( $help ) {
	echo '<p align="right"><a class="neutre" onClick="OuvreInfo(\'aide\');" href="javascript:void(0);">'.Icone("guide","32x32").'</a></p>';
	echo '<div id="aide" style="display:none;"><p>'.$help.'</p></div>';
}

// SUPPRIMER FICHE AVANT AFFICHAGE
if ( $id ) {
	
	$sql = "DELETE FROM ".$table." WHERE $cle=$id;";
	Message($sql);
	$resultat = mysql_query($sql);

}

// UPDATE PAR LOT AVANT AFFICHAGE
if ( $update ) {
	
	if ( $fiche ) {
		$fiche = "$cle=".$fiche;
		$fiche = str_replace(";"," or $cle=",$fiche);
		if ( $update == "EFFACER" ) Transfert($table,"",$fiche,1);
	} else {
		echo t('aucune_selection')."<br />";
	}

}

// CONSTRUCTION DE LA REQUETE
if ( !$total ) {
	$where = "";
	$enclair = "";
	if ( $key ) {
		if ( $where ) $where .= " AND ";
		if ( substr($key,0,1) == "<" || substr($key,0,1) == ">" ) {
			$where = "$cle ".substr($key,0,1)."= '".addslashes(substr($key,1))."'";
			$enclair = "<u>".t('num_fiche')."</u> = $key";
		} else {
			$key = str_replace("=","",$key);
			$where = "$cle = '".addslashes($key)."'";
			$enclair = "<u>".t('num_fiche')."</u> = $key";
		}
	}
	foreach ($modele as $k => $v) {
		if (array_key_exists($k, $chp)) {
			$tmp = $chp[$k];
			if ( $tmp ) {
				if ( $where ) {
					if ( $where != $cache ) $enclair .= " [".t('et')."] ";
					$where .= " AND ";
				}
				$tab = Requete($k,$v["libelle"],$tmp);
				$where .= $tab[0];
				$enclair .= $tab[1];
			}
		}
	}
	$where = urlencode($where);
}
if ( !$where ) {
	$enclair = t('toutes_les_fiches');
	$where = "$cle>0";
}
	
// REQUETE
$where = urldecode($where);
$sql = "SELECT * FROM $table WHERE $where ORDER BY $sort $sens";
Message($sql);
$resultat = mysql_query($sql);
$total = mysql_num_rows($resultat);

// FORMULAIRE IMPRESSION - EXPORTATION - IMPORTATION
echo '<form name="fct" action="" method="post">';
echo '<input type="hidden" class="envoi" name="where" value="'.urlencode($where).'">';
echo '<input type="hidden" class="envoi" name="bordereau" value="'.$bordereau.'">';
echo '<input type="hidden" class="envoi" name="enclair" value="'.$enclair.'">';
echo '<input type="hidden" class="envoi" name="table" value="'.$table.'">';
echo '<input type="hidden" class="envoi" name="bordereau" value="'.$bordereau.'">';
echo '<input type="hidden" class="envoi" name="total" value="'.$total.'">';
echo '<input type="hidden" class="envoi" name="sort" value="'.$sort.' '.$sens.'">';
echo '</form>';

// FORMULAIRE
echo '<form name="tri" action="'.$_SERVER['PHP_SELF'].'" method="post">';
echo '<input type="hidden" name="id" value="">';
echo '<input type="hidden" name="where" value="'.urlencode($where).'">';
echo '<input type="hidden" name="enclair" value="'.$enclair.'">';
echo '<input type="hidden" name="sort" value="'.$sort.'">';
echo '<input type="hidden" name="sens" value="'.$sens.'">';
echo '<input type="hidden" name="debut" value="'.$debut.'">';
echo '<input type="hidden" name="total" value="'.$total.'">';
echo '<input type="hidden" name="table" value="'.$table.'">';
echo '<input type="hidden" name="nbr_ref_pge" value="'.$nbr_ref_pge.'">';
echo '<input type="hidden" name="aj_col" value="">';
echo '<input type="hidden" name="ef_col" value="">';
	
if ( !$total ) {	// PAS DE REPONSE

	if ( $where == "$cle>0" ) {
			// URL : CONTEXTE DE RETOUR
			$url = $_SERVER['PHP_SELF']."?table=$table&action=rechercher";
			echo "<span class='message'>".t('aucune_fiche')."</span><br /><br />";
			echo "<a title=\"".t('ajouter_fiche')."\" href=\"saisir.php?table=$table&bordereau=$bordereau&url=".urlencode($url)."\" class=\"neutre\">&nbsp;&nbsp;<img src=\"images/32x32/ajouter.png\" align=\"middle\" border=\"0\">".t('ajouter_fiche')."</a><br /><br />";
			echo '<center><input type="button" class="bouton" onClick="location=\'accueil.php\';" value="'.t('poursuivre').'"></center>';
	} else {
		echo "<span class='message'>".t('pas_reponse')." : ".$enclair."</span><br /><br />";
		echo '<center><input type="button" class="bouton" onClick="location=\''.$_SERVER['PHP_SELF'].'?table='.$table.'\';" value="'.t('retour').'"></center>';
	}
	
} else {					// REPONSES TROUVEES
	
	$sql .= " limit $debut,$nbr_ref_pge;";
	Message($sql);
	$resultat = mysql_query($sql);
	$nbenr = mysql_num_rows($resultat);
	if ( $enclair ) echo "<span class='message'>".$total." ".t('reponses_pour')." : ".$enclair."</span><br />";
	
	// URL : CONTEXTE DE RETOUR
	$url = $_SERVER['PHP_SELF']."?table=".$table."&action=rechercher&where=".urlencode($where)."&enclair=".urlencode($enclair)."&total=".$total."&debut=".$debut."&sort=".$sort."&sens=".$sens."&nbr_ref_pge=".$nbr_ref_pge;
	
	// BANDEAU FONCTIONS GLOBALES
	Bandeau((($where=="$cle>0")?true:false));
	
 	// PLAGE DE REPONSES - BARRE DE NAVIGATION
	$barre_nav = barre_navigation($total, $debut, $nbenr);
	echo $barre_nav;
	
	// TABLEAU DES REPONSES
	echo "<table class=\"display\" align=\"center\" width=\"100%\">";
	
	// FILTRES RECHERCHE
	echo "<tr><th>".t('filtre')."&nbsp;";
	if ( $key ) {
		echo '<input type="text" name="key" value="'.$key.'" style="width:50%;" class="zoneon" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
	} else {
		echo '<input type="text" name="key" value="" style="width:50%;" class="zoneof" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
	}
	echo "</th>";
	foreach ($modele as $k => $v) {
		if ( $v['resultat'] ) {
			$tmp =  (array_key_exists($k, $chp)) ? $chp[$k] : "";
			if ( $tmp ) {
				echo '<th><input type="text" name="chp['.$k.']" value="'.$tmp.'" style="width:97%;" class="zoneon" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
			} else {
				echo '<th><input type="text" name="chp['.$k.']" value="" style="width:97%;" class="zoneof" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
			}
		}
	}
	if ( $addcol && $champs ) {
		$champ = explode(";",$champs);
		for ($i=0;$i<count($champ);$i++) {
			if (array_key_exists($champ[$i], $chp)) {
				$tmp = $chp[$champ[$i]];
			} else {
				$tmp = "";
			}
			if ( $tmp ) {
				echo '<th><input type="text" name="chp['.$champ[$i].']" value="'.$tmp.'" style="width:97%;" class="zoneon" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
			} else {
				echo '<th><input type="text" name="chp['.$champ[$i].']" value="" style="width:97%;" class="zoneof" onfocus="this.className=\'zoneon\';" onblur="this.className=\'zoneof\'" onKeyPress="return submitenter(this,event);"></th>';
			}
		}
	}
	echo '<th><input type="button" class="bouton" onClick="document.tri.total.value=0;document.tri.debut.value=0;document.tri.submit();" value="OK"></th>';
	echo "</tr>";
		
	// ENTETE COLONNES
	echo "<tr>";
	AfficheTri($cle,"Id");
	foreach ($modele as $k => $v) {if ( $v['resultat'] ) AfficheTri($k,$v['libelle']);}

	// CHAMPS COMPLEMENTAIRES
	if ( $addcol && $champs ) {
		for ($i=0;$i<count($champ);$i++) {
			if ( $champ[$i] == $sort ) {
				if ( $sens == 'asc' ) {
					echo '<th class="ui-state-active" nowarp><a title="'.t('tri_decroissant').'" class="entete" href="javascript:void(0);" onClick="document.tri.sort.value=\''.$champ[$i].'\';document.tri.sens.value=\'desc\';document.tri.debut.value=\'0\';document.tri.submit();"><img border="0" src="images/tri_croissant.gif"></a>&nbsp;';
				} else {
					echo '<th class="ui-state-active" nowarp><a title="'.t('tri_croissant').'" class="entete" href="javascript:void(0);" onClick="document.tri.sort.value=\''.$champ[$i].'\';document.tri.sens.value=\'asc\';document.tri.debut.value=\'0\';document.tri.submit();"><img border="0" src="images/tri_decroissant.gif"></a>&nbsp;';
				}
			} else {
				echo '<th nowarp><a title="'.t('choisir_colonne_tri').'" class="entete" href="javascript:void(0);" onClick="document.tri.sort.value=\''.$champ[$i].'\';document.tri.sens.value=\'asc\';document.tri.debut.value=\'0\';document.tri.submit();"><img border="0" src="images/trier.gif"></a>';
			}
			echo '<select name="liste[]" onChange="document.tri.submit();">';
			foreach ($modele as $k => $v) {
				if ( !$v['resultat'] ) echo '<option value="'.$k.'"'.(( $champ[$i] == $k ) ? " selected" : "").'>'.str_replace("<br />"," ",$v['libelle']).'</option>';
			}
			echo '</select><a href="javascript:void(0);" title="'.t('supprimer_colonne').'" onClick="document.tri.ef_col.value=\''.$champ[$i].'\';document.tri.submit();"><img src="images/plier.jpg" border="0"></a>';
			echo '</th>';
		}
	}
	// DERNIERE COLONNE
	echo '<th width="10">';
	if ( $addcol ) echo '<a href="javascript:void(0);" title="'.t('ajouter_colonne').'" onClick="document.tri.aj_col.value=\'1\';document.tri.submit();"><img src="images/deplier.jpg" border="0"></a>';
	echo "</th></tr>";
	
	// BOUCLE LECTURE DES REPONSES
	$classe = "paire";
	while ( $rec = mysql_fetch_assoc($resultat) ) {
		$classe = ($classe == "paire") ? 'impaire': 'paire';
		echo '<tr class="'.$classe.'">';
		
		// PREMIERE COLONNE
		echo "<td valign='top' align='center' width='90'";
		if ( $sort == $cle ) echo ' class="ui-state-hover"';
		echo ">";
		echo '<input type="checkbox" name="fiche[]" value="'.$rec["$cle"].'">&nbsp;';
		echo "$rec[$cle]<br />";
		echo "<a title=\"".t('detail_fiche')."\" class=\"neutre\" href=\"javascript:void(0);\" onClick=\"OuvreFenetre('detail.php?table=$table&bordereau=$bordereau&id=$rec[$cle]','".t('detail_fiche_num').$rec["$cle"]."');\">".Icone("loupe")."</a>&nbsp;";
		echo "<a title=\"".t('modifier_fiche')."\" class=\"neutre\" target=\"_self\" href=\"saisir.php?bordereau=$bordereau&table=$table&id=$rec[$cle]&url=".urlencode($url)."\">".Icone("modifier")."</a>&nbsp;";
		echo "<a title=\"".t('supprimer_fiche')."\" class=\"neutre\" href=\"#\" onClick=\"if (Confirmation('$rec[$cle]','$lang')) {document.tri.id.value='$rec[$cle]';document.tri.submit();}\">".Icone("effacer")."</a>";
		echo "</td>";
			
		// AUTRES COLONNES
		foreach ($modele as $k => $v) {
			if ( $v['resultat'] ) {
				echo '<td valign="top"';
				if ( $sort == $k ) echo ' class="ui-state-hover"';
				echo ">";
				$tmp = $rec[$k];
				$Flag = Ecrire(false, false, $LibAvGe="", $Sep="", $SepArt="", $SepGen="", $LibAv="", $tmp, $LibAp="", $LibApGe="", "");
				echo "</td>";
			}
		}

		// CHAMPS COMPLEMENTAIRES DANS COLONNES SUPPLEMENTAIRES
		if ( $champs && $addcol ) {
			$champ = explode(";",$champs);
			for ($i=0;$i<count($champ);$i++) {
				echo '<td valign="top"';
				if ( $sort == $champ[$i] ) echo ' class="ui-state-hover"';
				echo '>';
				$tmp = $rec[$champ[$i]];
				$Flag = Ecrire(false, false, $LibAvGe="", $Sep="", $SepArt="", $SepGen="", $LibAv="", $tmp, $LibAp="", $LibApGe="", "");
				echo '</td>';
			}
		}

		// DERNIERE COLONNE
		echo "<td></td>";
		echo "</tr>\r\n";
	}
	echo "</table>";
	echo $barre_nav;
	
	// MENU UPDATE PAR LOTS - LEGENDE
	echo "<table align='center' width='100%'><tr><td align='left'>";
	echo '&nbsp;&nbsp;<img src="images/fleche.gif">[<a class="lien" href="javascript:void(0);" onClick="InverserSelection();">'.t('inverser_selection').'</a>]';
	echo '&nbsp;&nbsp;<select name="update" id="update">';
	echo '<option value="">'.t('pour_selection').'</option>';
	echo '<option value="IMPRIMER">'.t('imprimer_fiches').'</option>';
	echo '<option value="EXPORTER">'.t('exporter_fiches').'</option>';
	echo '<option value="EFFACER">'.t('effacer_fiches').'</option>';
	echo '</select>';
	echo '<input type="button" value="ok" class="bouton" onClick="return OperationSurSelection();">';
	echo ' - '.t('fiches_par_page').' <select name="nbr_ref_pge" onChange="document.tri.debut.value=\'0\';document.tri.submit();">';
	echo '<option value="10"';echo ( $nbr_ref_pge == "10" ) ? " selected>" : ">";echo '10</option>';
	echo '<option value="20"';echo ( $nbr_ref_pge == "20" ) ? " selected>" : ">";echo '20</option>';
	echo '<option value="50"';echo ( $nbr_ref_pge == "50" ) ? " selected>" : ">";echo '50</option>';
	echo '<option value="100"';echo ( $nbr_ref_pge == "100" ) ? " selected>" : ">";echo '100</option>';
	echo '<option value="200"';echo ( $nbr_ref_pge == "200" ) ? " selected>" : ">";echo '200</option>';
	echo '<option value="1000"';echo ( $nbr_ref_pge == "1000" ) ? " selected>" : ">";echo t('toutes').'</option>';
	echo '</select>';
	echo '</td><td align="right">';
	if ( $where != "$cle>0") echo '<input type="button" class="bouton" onClick="location=\''.$_SERVER['PHP_SELF'].'?table='.$table.'\';" value="'.t('toutes_les_fiches').'">';
	echo '<input type="button" class="bouton" onClick="location=\'gestion_lexique.php\';" value="'.t('retour_lexiques').'">';
	echo '</td></tr></table>';
	
	// VARIABLES CACHEES
	foreach ($modele as $k => $v) {
		if ( !$v['resultat'] ) {
			if ( $champs ) {
				if ( !preg_match("/;".$k.";/",";".$champs.";") ) {
					if (array_key_exists($k, $chp)) echo "<input type=\"hidden\" name=\"chp[".$k."]\" value=\"".$chp[$k]."\">\r\n";
				}
			} else {
				if (array_key_exists($k, $chp)) echo "<input type=\"hidden\" name=\"chp[".$k."]\" value=\"".$chp[$k]."\">\r\n";
			}
		}
	}
}
echo '</form>';
?>
<script type="text/javascript">
<!--
function OperationSurSelection() {
	var chx = document.tri.update.selectedIndex;
	var sel = $('input:checkbox:checked').map(function(){return $(this).val();}).get().join(';');
	if ( !chx ) {
		alert("<?php echo t('aucune_operation'); ?>");
		return false;
	}		
	chx = $('#update').val();	
	if ( !sel ) {
		alert("<?php echo t('aucune_selection'); ?>");
		return false;
	}	
	var tmp = sel.replace(/[^;]/gi,"");
	var total = eval(tmp.length + 1);
	var param = "?table=<?php echo $table; ?>";
	param = param + "&total=" + total;
	param = param + "&enclair=" + URLEncode("<?php echo t('fiches_cochees'); ?>");
	param = param + "&bordereau=<?php echo $bordereau; ?>";
	param = param + "&where=" + URLEncode("id=" + sel.replace(/;/gi," or id="));	
	switch (chx) {
		case "IMPRIMER":
			OuvreFenetre("imprimer.php"+param,"<?php echo t('imprimer_cochees'); ?>");
			break;		

		case "EXPORTER":
			OuvreFenetre("exporter.php"+param,"<?php echo t('exporter_cochees'); ?>");
			break;
			
		default: // AUTRES FONCTIONS
			document.tri.submit();
			break;
	}
	return true;
}
//-->
</script>
</td></tr></table>
</body>
</html>
