<?php
// SESSION
session_start();

// FICHIER DE CONFIGURATION
require_once("../config/config_inc.php");

// PARAMETRES PERSONNALISATION
require_once("../config/perso_inc.php");

// PARAMETRES DE CONNEXION A LA BASE DE DONNEES
require_once("../config/database_inc.php");

// FICHIER LANGUE SPECIFIQUE
require_once("language/$lang/login.php");

// FICHIER FUNCTIONS DE BASE
require_once("functions/common.php");

// RACINE -> POUR CHARGER ELEMENTS NECESSAIRES
$page = "";
$racine = "common";

// ENTETE
include("include/header.php");

$msg = "";
$user = "";
$pass = "";
if ( isset($_POST["action"]) ) {
	
	require_once("../config/database_inc.php");
	if ( isset($_POST["user"]) ) $user = $_POST["user"];
	if ( isset($_POST["pass"]) ) $pass = $_POST["pass"];
	
	if ( !$user || !$pass ) {
		$msg = t('identifiants_absents');
	} else {
		$sql = sprintf("SELECT * FROM te_comptes where pwd = '%s' AND login = '%s'",mysql_real_escape_string($pass),mysql_real_escape_string($user));
		$resultat = mysql_query($sql);
		if (!$resultat) {
			$msg = mysql_error();
		} else {
			$total = mysql_num_rows($resultat);
			if ( $total != 1 ) {
				$msg = t('identifiants_inconnus');	
			} else { 
				$rec = mysql_fetch_array($resultat);
				if ( $rec["statut"] == 1 ) {
					
					$msg = t('compte_suspendu');
					
				} else { /* Identification OK */
					
					$tmp = trim($rec['prenom']." ".$rec['nom']);
					if ( !$tmp ) $tmp = $rec['organisme'];
					if ( !$tmp ) $tmp = $rec["groupe"];
					$_SESSION['login'] = $rec["login"];
					$_SESSION['identite'] = trim($tmp);
					$_SESSION['groupe'] = $rec["groupe"];
					echo "<meta http-equiv=\"refresh\" content=\"0; URL=index.php\">";
					exit;
				}
			}
		}
	}
}
?>
<form method="POST" action="login.php">
<?php echo (isset($msg)) ? "<center>".$msg."</center>" : ""; ?>
<br />
	<table class="statique" width="60%" align="center" border="0">
  	<tr>
    	<td rowspan="3" width="100" align="center"><img src="../images/<?php echo $logo; ?>"></td>
    	<th colspan="2"><?php echo t('connexion'); ?></th>
  	</tr>
		<tr><td width="30%" align="right"><?php echo t('login'); ?></td><td class="allume" align="left"><input type="text" class="zoneoff" onfocus="this.className='zoneon';" onblur="this.className='zoneoff';" name="user" value="<?php echo $user; ?>" style="width:80%"></td></tr>
		<tr><td align="right"><?php echo t('password'); ?></td><td class="allume" align="left"><input type="password" class="zoneoff" onfocus="this.className='zoneon';" onblur="this.className='zoneoff';" name="pass" value="" style="width:80%"></td></tr>
	</table>
	<table width="60%" align="center">
		<tr><td align="right">
			<input type="button" value="<?php echo t('abandonner'); ?>" onClick="location='..';" class="bouton">&nbsp;
			<input type="reset" value="<?php echo t('effacer'); ?>" class="bouton">&nbsp;
			<input name="action" type="submit" value="<?php echo t('valider'); ?>" class="bouton">
		</td></tr>
	</table>
</form>
<?php
	// PIED DE PAGE
	include("include/footer_".$lang."_inc.html");
?>
