<?php
// DETRUIRE SESSION
session_start();
session_unset(); 
session_destroy(); 

// FICHIER DE CONFIGURATION
require_once("../config/config_inc.php");

// PARAMETRES PERSONNALISATION
require_once("../config/perso_inc.php");

// PARAMETRES DE CONNEXION A LA BASE DE DONNEES
require_once("../config/database_inc.php");

// FICHIER LANGUE SPECIFIQUE
require_once("language/$lang/logout.php");

// FICHIER FUNCTIONS DE BASE
require_once("functions/common.php");

// RACINE -> POUR CHARGER ELEMENTS NECESSAIRES
$page = "";
$racine = "common";

// ENTETE
include("include/header.php");
?> 
<br />
<table class="statique" align="center" border="0" width="60%">
	<tr>
		<td rowspan="2" width="100" align="center"><img src="../images/<?php echo $logo; ?>"></td>
 		<th><?php echo t('sortie'); ?></th>
	</tr>
	<tr>
		<td>
			<ul>
				<li><a class="lien" href="login.php" target="_top"><?php echo t('nouvelle_connexion'); ?></a></li>
				<li><a class="lien" href="../" target="_top"><?php echo t('acces_base'); ?></a></li>
				<li><a class="lien" href="javascript:window.close();" target="_top"><?php echo t('fermer'); ?></a></li>
			</ul>
		</td>
	</tr>
</table>
<?php
	// PIED DE PAGE
	include("include/footer_".$lang."_inc.html");
?>
