<?php
/* class PDF_TROUSSE extends PDF */
 
 
class PDF_TROUSSE extends PDF
{

function Header()
{
	global $entete ;
	
	$this->SetY(5);
	$this->SetLineWidth(0.3);
	$this->Line($this->lMargin - 5, 13, $this->w - $this->rMargin + 5, 13);
	
	$this->unhtmlentities($entete);
	$this->SetFont('helvetica','',10);
	$this->SetTextColor(128);
	$this->MultiCell(0,4,$entete."\n\n");
	$this->SetY(17);
	
}

function Footer()
{
	global $nom_site , $url_site  ;
	
	//Positionnement  2.0 cm du bas
	$this->SetY(-20);	
	$this->SetLineWidth(0.3);
	$this->Line($this->lMargin - 5, $this->GetY(), $this->w - $this->rMargin + 5, $this->GetY());
	
	//Police helvetica 8	
	$this->SetFont('helvetica','I',8);
	$this->SetTextColor(0,0,0);

	$this->Cell(0,6,$nom_site ,0,	0,'L',0,$url_site );
	
	//Numro de page
	$this -> Cell(0,6,'     '.$this->PageNo().'/{nb}', 0, 1, 'C');
}

function PageAccueil()
{
	global $site, $surtitre, $titre, $soustitre, $logo, $url_site;
	
	$this->Ln(10);
	
	// Logo
	$x = $this->GetX();
	$y = $this->GetY();
	if ( !preg_match("/.gif$/i", $logo) ) {
		$this->SetLink($url_site);
		$this->Image("../images/".$logo,$x,$y,'',17,'',$url_site);
	}
	$this->Ln(50);
	$this->SetFont('courier','',26);
	$this->SetTextColor(128);
	
	//Titre centr
	$this->unhtmlentities($site);
	$this->MultiCell(0,9,$site,0,'C',0);
	
	//Saut de ligne
	$this->Ln(40);
	if ($surtitre) {
		$this->unhtmlentities($surtitre);
		$this->SetFont('times','',22);
		$this->MultiCell(0,6,$surtitre."\n\n",0,'C',0);
	}
	$this->SetTextColor(0);
	$this->Ln(10);
	if ($soustitre) {
		$this->unhtmlentities($soustitre);
		$this->SetFont('times','',18);
		$this->MultiCell(0,6,$soustitre."\n\n",0,'C',0);
	}
	$this->Ln(25);
}
}
?>