<?php
require_once("init.php");

// LECTURE VARIABLES TRANSMISES
$onglet = LireVariable("onglet","0");
	
// LECTURE DES COOKIES AVANT AFFICHAGE DE L'ENTETE HTML
$panier1 = 0;
if (isset($_COOKIE['operation'])) {
	$where1 = $_COOKIE['operation'];
	$panier1 = strlen(preg_replace('/[^,]/','',$where1))-1;
	$where1 = preg_replace('/^,(.*),$/',"\\1",$where1);
	if ( $panier1 < 0 ) $panier1 = 0;
}
$panier2 = 0;
if (isset($_COOKIE['ressource'])) {
	$where2 = $_COOKIE['ressource'];
	$panier2 = strlen(preg_replace('/[^,]/','',$where2))-1;
	$where2 = preg_replace('/^,(.*),$/',"\\1",$where2);
	if ( $panier2 < 0 ) $panier2 = 0;
}

// ENTETE HTML
include("include/header.php");

// ONGLETS
?>
<div id="tabs">
	<ul>
		<li><a href="#tabs-1"><?php echo t('operations_par_pays'); ?></a></li>
		<li><a href="#tabs-2"><?php echo t('recherche_operations'); ?></a></li>
		<li><a href="#tabs-3"><?php echo t('recherche_ressources'); ?></a></li>
		<li><a href="#tabs-4"><?php echo t('bibliographie'); ?></a></li>
<?php
	 if ( $panier1 ) echo '<li><a href="#tabs-5"><img src="images/panier_ope.png"> '.t('operations').'</a></li>';
	 if ( $panier2 ) echo '<li><a href="#tabs-'.(($panier1)?"6":"5").'"><img src="images/panier_res.png"> '.t('ressources').'</a></li>';
?>
</ul>

<!-- ONGLET N 1 = LISTE OPERATIONS PAR PAYS -->
<div id="tabs-1"><p>
<div class="listederoulante">
<table width="95%" border="0" cellspacing="0" cellpadding="5" align="center">
<?php
	$res = Select(1);
	$geo = "";$geoaff="";
	$dra = "";
	$cde = "INIT";
	while ( $rec = mysql_fetch_array($res) ) {
		
		// OPERATION COMPLEXE
		if ( preg_match("/-onc$/i",$rec["OpeCodeIreda"]) ) $cde = $rec["OpeCodeIreda"]; 
		if ( $rec["PaysFR"] != $geo ) {
			$geo = $rec["PaysFR"];
			$geoaff = stripslashes($geo);
			$dra = (file_exists("images/drapeaux/".$rec["OpeISO"].".gif"))?'<img alt="'.$rec["PaysFR"].'" src="images/drapeaux/'.$rec["OpeISO"].'.gif">':'<img alt="'.$rec["PaysFR"].'" src="images/drapeaux/inconnu.gif">';
		} else {
			$geoaff = "";
			$dra = "";
		}
		if ( $geoaff )echo "<tr height='16'><td colspan='2'>$dra &nbsp;<a><b>".$geoaff."</b></a></td></tr>";
		echo "<tr height='17'><td width='100'></td><td>";
		$locdeb = ( $rec['OpeBiblio'] == 2 ) ? '<span class="legende">' : '';
		$locfin = ( $rec['OpeBiblio'] == 2 ) ? '</span>' : '';
		if (preg_match("/^".$cde."-/i", $rec["OpeCodeIreda"])) echo "&nbsp;&nbsp;&nbsp;<b>-</b>&nbsp;";
		if ( $rec["OpeStatut"] == 1 ) {
			echo "<a class='comp' href='format_liste_operation.php?onglet=0&Chp6=".$rec["OpeCodeIreda"]."'>".$locdeb.stripslashes($rec["OpeTitre"]).$locfin.'</a>';
			// echo " <i>(".t('en_cours_validation').")</i>"; // <- POUR IREDA
		} else {
			echo "<a class='lien' href='format_liste_operation.php?onglet=0&Chp6=".$rec["OpeCodeIreda"]."'>".$locdeb.stripslashes($rec["OpeTitre"]).$locfin.'</a>';
		}
		echo "</td></tr>";
	}
?>
</table>

</div>
<span class="legende">(*) Les oprations locales isoles ne pouvant tre rattaches  une opration nationale figurent en italiques</span>
</p></div>

<!-- ONGLET N 2 = RECHERCHE OPERATIONS -->
<div id="tabs-2"><p>
<form name="recherche" method="post" action="format_liste_operation.php">
<input type="hidden" name="lang" value="<?php echo $lang; ?>">
<input type="hidden" name="onglet" value="1">
<table align="center" width="100%" border="0" cellspacing="1" cellpadding="1">
	<tr><td colspan="4" align="center">
		<div id="aide1" style="width:99%;height:20px;visibility:visible" class="aide"><a><?php echo t('formulaire_recherche'); ?></a></div>
	</td></tr>
<!-- CRITERES -->
<?php
	$Help = "aide1";
	$Form = "recherche";
	Critere(0, 1, t('pays'), "3", "and", t('choisir_liste',false));
	Critere(1, 1, t('type_operation'), "4", "or", t('choisir_liste',false));
	Critere(2, 2, t('type_ressource_attachee'), "5", "or", t('choisir_liste'),false);
	Critere(3, 3, t('dates_collecte'), "", "", "");
	Critere(5, 0, t('recherche_simple'), "", "or", t('taper_mots',false));
?>
<!-- BOUTONS DE FONCTION -->
	<tr><td colspan="4" align="right"><br />
		<input class="bouton" type="reset" value="<?php echo t('effacer'); ?>">
		<input class="bouton" type="submit" value="<?php echo t('rechercher'); ?>"> 
	</td></tr>
</table>
</form>
</p></div>

<!-- ONGLET N 3 = RECHERCHE RESSOURCES -->
<div id="tabs-3"><p>

<form name="recherche1" method="post" action="format_liste_ressource.php">
<input type="hidden" name="lang" value="<?php echo $lang; ?>">
<input type="hidden" name="onglet" value="2">
<table align="center" width="100%" border="0" cellspacing="1" cellpadding="1">
	<tr><td colspan="4" align="center">
		<div id="aide2" style="width:99%;height:20px;visibility:visible" class="aide"><a><?php echo t('formulaire_recherche'); ?></a></div>
	</td></tr>
<!-- CRITERES -->
<?php
	$Help = "aide2";
	$Form = "recherche1";
	Critere(0, 0, t('pays_regions'), "te_ind_geo", "or", t('taper_termes',false));
	Critere(1, 0, t('mots_cles'), "te_ind_motscles", "or", t('taper_termes',false));
	// Critere(2, 1, t('type_operation'), "4", "or", t('choisir_liste',false));
	Critere(3, 2, t('type_ressource'), "5", "or", t('choisir_liste',false));
	Critere(4, 3, t('date_publication'), "", "", "");
	Critere(6, 0, t('recherche_simple'), "", "or", t('taper_mots',false));
?>
<!-- BOUTONS DE FONCTION -->
	<tr><td colspan="4" align="right"><br />
		<input class="bouton" type="reset" value="<?php echo t('effacer'); ?>">
		<input class="bouton" type="submit" value="<?php echo t('rechercher'); ?>"> 
	</td></tr>
</table>
</form>
</p></div>

<!-- ONGLET N 4 = BIBLIOGRAPHIE PAR PAYS -->
<div id="tabs-4"><p>
	
<div class="listederoulante">
<table width="95%" border="0" cellspacing="0" cellpadding="5" align="center">
<?php
	$res = Select(2);
	while ( $rec = mysql_fetch_array($res) ) {
		$dra = $rec["OpeISO"];
		$dra = (file_exists("images/drapeaux/".$dra.".gif"))?'<img alt="'.$rec["PaysFR"].'" src="images/drapeaux/'.$dra.'.gif">':'<img alt="'.$rec["PaysFR"].'" src="images/drapeaux/inconnu.gif">';
		echo "<tr height='25'><td valign='top' align='center'>$dra</td><td><a class='lien' href='format_liste_operation.php?onglet=3&Chp8=1&Chp7=".urlencode($rec["PaysFR"])."'>".stripslashes($rec["OpeTitre"])."</a></td></tr>";
	}
?>
</table>
</div></p></div>

<!-- ONGLET N 5 = PANIER OPERATIONS -->
<?php
	if ( $panier1 ) {
?>
<div id="tabs-5">
<table width="100%" border="0" cellspacing="2" cellpadding="2">
<tr><td>
	<input type="button" class="bouton" value="<?php echo t('vider_panier'); ?>" onClick="OuvreDialogue('<?php echo t('confirmer_reinitialisation',false); ?>', '<?php echo t('vider_panier',false); ?>', 'ViderPanier(\'operation\')');">
</td><td align="right">
	<?php echo t('panier'); ?> : <span id="aide3" class="info"><a><?php echo $panier1; ?></a></span> <?php echo t('selection'); ?>
</td></tr></table>
<?php
	PanierOperation($where1);
	echo '<p align="right"><a title="'.t('imprimer_panier').'" href="javascript:void(0);" onClick="OuvreFenetre(\'format_imprime_operation.php\',\''.t('imprimer_panier',false).'\');">'.Icone("imprimer","32x32").'</a>&nbsp;';
	if ( $flag_pdf )echo '<a title="'.t('pdf_panier').'" href="javascript:void(0);" onClick="OuvreFenetre(\'format_pdf_operation.php\',\''.t('pdf_panier',false).'\');">'.Icone("pdf","32x32").'</a>&nbsp;';
	if ( $flag_mail ) echo '<a title="'.t('envoyer_panier').'" href="javascript:void(0);" onClick="OuvreFenetre(\'format_mail_operation.php?sort='.$sort.'\',\''.t('envoyer_panier',false).'\');">'.Icone("envoyer","32x32").'</a>';
	echo '</p>';
?>
</div>

<!-- ONGLET N 6 = PANIER RESSOURCES -->
<?php
	}
	if ( $panier2 ) {
		if ( $panier1 ) {$i=5;echo '<div id="tabs-6">';} else {$i=4;echo '<div id="tabs-5">';}
?>
<table width="100%" border="0" cellspacing="2" cellpadding="2">
<tr><td>
	<input type="button" class="bouton" value="<?php echo t('vider_panier'); ?>" onClick="OuvreDialogue('<?php echo t('confirmer_reinitialisation',false); ?>', '<?php echo t('vider_panier',false); ?>', 'ViderPanier(\'ressource\')');">
</td><td align="right">
	<?php echo t('panier'); ?> : <span id="aide4" class="info"><a><?php echo $panier2; ?></a></span> <?php echo t('selection'); ?>
</td></tr></table>
<?php
	PanierRessource($where2);
	echo '<p align="right"><a title="'.t('imprimer_panier').'" href="javascript:void(0);" onClick="OuvreFenetre(\'format_imprime_ressource.php\',\''.t('imprimer_panier',false).'\');">'.Icone("imprimer","32x32").'</a>&nbsp;';
	if ( $flag_exp ) echo '<a title="'.t('exporter_panier').'" href="javascript:void(0);" onClick="OuvreFenetre(\'format_export_ressource.php\',\''.t('exporter_panier',false).'\');">'.Icone("exporter","32x32").'</a>&nbsp;';
	if ( $flag_pdf ) echo '<a title="'.t('pdf_panier').'" href="javascript:void(0);" onClick="OuvreFenetre(\'format_pdf_ressource.php\',\''.t('pdf_panier',false).'\');">'.Icone("pdf","32x32").'</a>&nbsp;';
	if ( $flag_mail ) echo '<a title="'.t('envoyer_panier').'" href="javascript:void(0);" onClick="OuvreFenetre(\'format_mail_ressource.php?sort='.$sort.'\',\''.t('envoyer_panier').'\');">'.Icone("envoyer","32x32").'</a>';
	echo '</p>';
?>
</div>
<?php } ?>
</div>
		<br />
		<div class="status">
<?php
	$tab = Status("te_operation","SELECT count(*) AS TOTAL FROM te_operation WHERE OpeBiblio = 0;");
	echo sprintf(t('total_operations'),$tab[0])." - ";
	$tab = Status("te_ressource","");
	echo sprintf(t('total_ressources'),$tab[0])." - ";
	echo sprintf(t('mise_a_jour'),$tab[1]);
	echo $onglet;
?>
		</div>
		<a href="../" class="bouton">Retour  l'accueil</a>
<?php
	// PIED DE PAGE
	include("include/footer.php");
?>
