<?php
/***************************************************************************\
 *  TROUSSE A ENQUETES - Octobre 2011                                      *
 *  Analyse documentaire : Franoise GUBRY (CEPED)                         *
 *                         Francis GENDREAU (freelance)                    *
 *  Dveloppement : Pierre CHABERT (SCRIBNET)                              *
 *  Ce programme est un logiciel libre distribue sous licence GNU/GPL.     *
\***************************************************************************/
// PROCEDURE D'INSTALLATION

// FICHIER DE CONFIGURATION
require_once("../config/config_inc.php");

// PARAMETRES PERSONNALISATION
require_once("../config/perso_inc.php");

// FICHIER FUNCTIONS DE BASE
require_once("../functions/common.php");

// ETAPE D'INSTALLATION
$etape = ( isset($_POST['etape']) ) ? $_POST['etape'] : "1";

// FICHIER DE CONFIGURATION
$fichier = "../config/database_inc.php";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
	<meta http-equiv="content-type" content="text/html; charset=iso-8859-1" />
	<title>Installation de la TROUSSE A ENQUETES</title>

<!-- LES JAVASCRIPTS -->	
	<script type="text/javascript" language="javascript" src="../js/jquery-1.6.2.min.js"></script>
	<script type="text/javascript" language="javascript" src="../js/jquery-ui-1.8.16.custom.min.js"></script>

<!-- LES FEUILLES DE STYLE -->
	<link rel="stylesheet" type="text/css" href="../css/style.css" media="screen" />
	<link rel="stylesheet" type="text/css" href="../themes/<?php echo $theme; ?>/jquery-ui.css" />	

<!-- FONCTIONS JQUERY -->
<script type="text/javascript">
<!--
			$(document).ready(function() {
	
				$(".bouton").button();
    		$(".saisie").addClass("zoneof");
				$(".saisie").focus(function() {$(this).removeClass("zoneof").addClass("zoneon");});
    		$(".saisie").blur(function() {$(this).removeClass("zoneon").addClass("zoneof");});
				
			} );
-->
</script>
</head>
<body style="margin: 10px; font-family: Arial, Helvetica, sans-serif; font-size: 13px;">
	<h3> -=>Procdure d'installation du module TROUSSE A ENQUETES </h3>	
	<table class="statique" width="800" align="center" cellpadding="5" cellspacing="5" bgcolor="#f2f2f2"><tr><td>	
<?php
// CONTROLE VERSION PHP
if (version_compare(PHP_VERSION, '5') < 0) {
  die(Icone("erreur","32x32","../")." TROUSSE A ENQUETES : Dsol, ce module ncessite PHP5 pour fonctionner");
}

// ACCES ECRITURE DOSSIER "config"
if ( !is_writable("../config/") ) {
	die(Icone("erreur","32x32","../")." Attention, le dossier <span class='entete'>{repertoire_installation}/config/</span> n'est pas accessible en criture.<br /><br />Veuillez utilisez votre client FTP afin de rgler ce problme ou bien contactez l'administrateur du serveur. Une fois cette manipulation effectue, il vous faudra relancer cette procdure.");
}

// DEJA INSTALLE ?
if ( file_exists($fichier) && $etape != "4" ) {
	die(Icone("infos","32x32","../")." Le processus d'installation  dj t lanc.<br /><br />Si vous souhaitez le relancer, il vous suffit de supprimer le fichier <span class='entete'>{repertoire_installation}/install/".basename($fichier)."</span><br />(attention, la relance du processus d'installation rinitialisera toute les tables).");
}

switch ( $etape ) {
	
	case "1":
		echo "<span class='entete'>Etape n1 : Paramtres de connexion  la base de donnes MySQL</span><br /><br />\n";
		echo "Si vous n'tes pas en possession des codes de connexion au serveur MySQL, contactez votre hbergeur ou bien l'administrateur du serveur.<br /><br />\n";

		$host_db = isset($_POST["host_db"]) ? $_POST["host_db"] : 'localhost';
		$user_db = isset($_POST["user_db"]) ? $_POST["user_db"] : 'root';
		$pass_db = '';

		echo '<form action="index.php" method="post">';
		echo '<input type="hidden" name="etape" value="2" />';
		echo "<fieldset><legend><b>Serveur MySQL</b></legend>\n";
		echo "<input class='saisie' type='text' name='host_db' value=\"$host_db\" size='40' /> (en gnral : <b>localhost</b>)</fieldset><br />\n";		
		echo "<fieldset><legend><b>Login de connexion</b></legend>\n";
		echo "<input class='saisie' type='text' name='user_db' value=\"$user_db\" size='40' /> (en gnral <b>root</b> pour une installation locale type wamp, easyphp, ...)</fieldset><br />\n";
		echo "<fieldset><legend><b>Mot de passe de connexion</b></legend>\n";
		echo "<input class='saisie' type='password' name='pass_db' value=\"$pass_db\" size='40' />  (parfois vide pour une installation locale type wamp, easyphp, ...)</fieldset><br />\n";
		echo "<div align='right'><input type='submit' class='bouton' value='Suivant >>' /></div>\n";
		echo "</form>\n";
		break;
		
	case "2":
		echo "<span class='entete'>Etape n2 : Essai de connexion au serveur Mysql puis choix de votre base</span><br /><br />\n";
		echo "<!--";
		$connexion = mysql_connect($_POST['host_db'],$_POST['user_db'],$_POST['pass_db']);
		$db_connect = mysql_errno();
		echo "-->\n";
		if (($db_connect=="0") && $connexion) {
			
			echo "<b>La connexion au serveur MySQL a russi.</b><br />\n";
			echo '<form name="formulaire" action="index.php" method="post">';
			echo '<input type="hidden" name="etape" value="3" />';
			echo "<input type='hidden' name='host_db' value=\"".$_POST['host_db']."\" />\n";
			echo "<input type='hidden' name='user_db' value=\"".$_POST['user_db']."\" />\n";
			echo "<input type='hidden' name='pass_db' value=\"".$_POST['pass_db']."\" />\n";
			$connexion = @mysql_connect($_POST['host_db'],$_POST['user_db'],$_POST['pass_db']);
			$resultat = @mysql_list_dbs();
			echo "<fieldset><legend><b>Choisissez votre base</b></legend>\n";
			if ($resultat AND (($total = @mysql_num_rows($resultat)) > 0)) {
				echo "<p><b>Le serveur MySQL contient plusieurs bases de donnes. Slectionnez celle dans laquelle vous voulez installer le logiciel.</b></p>\n";
				for ($i = 0; $i < $total; $i++) {
					$nom = @mysql_dbname($resultat, $i);
					echo "<input name=\"base_db\" value=\"".$nom."\" type=\"radio\" /> ".$nom."<br />";
				}
				echo "ou crer une nouvelle base de donnes <input name=\"base_db\" value=\"{new}\" type=\"radio\" checked />";
				echo "<input type='text' id='table_new' class='saisie' name='table_new' value=\"trousse_enquetes\" size='20' /></fieldset>\n\n";
				echo Icone("infos","32x32","../")." <b>Attention</b> : lors de la prochaine tape, les tables seront cres dans la base slectionne. Si la base contient dj des tables, celles-ci seront supprimes et remplaces par une nouvelle structure.\n";
				echo "<div align='right'><input type='button' class='bouton' onClick=\"if ( $('input[name=base_db]:checked').val() == '{new}' && !$('input[name=table_new]').val() ) {alert('Vous devez choisir un nom de base');} else {document.formulaire.submit();}\" value='Suivant >>' /></div>\n";
				echo "</form>\n";
	
		 	} else {
	 		
				echo "<b>Le programme d'installation n'a pas pu lire les noms des bases de donnes installes.</b>Soit aucune base n'est disponible, soit la fonction permettant de lister les bases a t dsactive pour des raisons de scurit.<p>\n";
				echo "<br />Veuillez contacter l'administrateur du serveur pour crer \"manuellement\" une base de donnes ( partir de phpMyAdmin par exemple).";
			
			}
		
		} else {
		
			echo "<b>La connexion au serveur MySQL a chou.</b>\n";
			echo "<p>Revenez  la page prcdente, et vrifiez les informations que vous avez fournies.</p>\n";
			echo mysql_error();
			echo "<div align='right'><a class='bouton' href='index.php?etape=1'>Prcdent <<</a></div>\n";
		
		}
		break;		

	case "3":
		
		echo "<span class='entete'>Etape n3 : Cration de la base si ncessaire puis cration des tables de la base</span><br /><br />\n";
		$connexion = @mysql_connect($_POST['host_db'], $_POST['user_db'], $_POST['pass_db']);

		$flag = true;
		$erreur = "";
		if ($_POST['base_db'] == "{new}") {
			
			$sel_db = $_POST['table_new'];
			if ( !mysql_query("CREATE DATABASE `$sel_db`;")) {
				$flag = false;
				$erreur = "Problme rencontr pendant la cration de la base <b>$sel_db</b> (".mysql_error().")<br />";
			} else {
				echo "-=> Cration de la base $sel_db<br />";
			}
			
		} else {
			
			$sel_db = $_POST['base_db'];
		
		}
		if ( $flag ) {
			
			if ( !mysql_select_db("$sel_db") ) {
				$flag = false;
				$erreur .= "Problme rencontr pendant la slection de la base <b>$sel_db</b> (".mysql_error().")<br />";
			} else {
				echo "-=> Slection de la base $sel_db<br />";
			}
			// CHARGEMENT DE LA STRUCTURE ET JEU D'ESSAI
			if ( $flag ) {
				echo "-=> Chargement de la structure<br />";
				$flag = ChargeMySQL("structure.sql");
				if ( $flag ) {
					echo "-=> Chargement du jeu d'essai<br />";
					$flag = ChargeMySQL("jeu_essai.sql");
				}
			}
			// ECRITURE FICHIER DE CONFIGURATION
			if ( $flag ) {
				echo "-=> Sauvegarde du fichier de configuration<br />";
				if (file_exists($fichier)) @unlink($fichier);
				$f = @fopen($fichier, "wb");
				if (!$f) {
					$flag = false;
					$erreur .= "Problme rencontr pendant la sauvegarde du fichier de configuraction <span class='entete'>{repertoire_installation}/config/".basename($fichier)."</span><br />";
				} else {
					@fputs($f,"<?php\n");
					@fputs($f,"// FICHIER GENERE LE ".date("j/m/Y, H:i:s")."\n");
					@fputs($f,"// Attention ces paramtres sont gnrs  partir du processus d'installation.\n");
					@fputs($f,"// Si vous souhaitez relancer l'installation et rinitialier la base, il vous suffit de supprimer ce fichier.\n");
					@fputs($f,"// Dans ce cas toutes vos donnes existantes seront crases.\n\n");
					@fputs($f,"\$hostname=\"".$_POST['host_db']."\";\n");
					@fputs($f,"\$username=\"".$_POST['user_db']."\";\n");
					@fputs($f,"\$password=\"".$_POST['pass_db']."\";\n");
					@fputs($f,"\$database=\"".$sel_db."\";\n");
					@fputs($f,"\n// CONNEXION AU SERVEUR MYSQL\n");
					@fputs($f,"\$connexion=@mysql_connect(\$hostname, \$username, \$password);\n");
					@fputs($f,"if (!\$connexion) die('Impossible de se connecter : ' . mysql_error());\n");
					@fputs($f,"\n// CONNEXION A LA BASE DE DONNEES\n");
					@fputs($f,"if (!mysql_select_db(\$database,\$connexion)) die ('Impossible de slectionner la base de donnes : ' . mysql_error());\n");
					@fputs($f,"?>\n");
					if (!@fclose($f)) {
						$flag = false;
						$erreur .= "Problme rencontr pendant la sauvegarde du fichier de configuraction <span class='entete'>{repertoire_installation}/config/".basename($fichier)."</span>.<br />";
					}
				}
			}
			if ( $flag ) {
				echo "<br /><br /><b>La structure de votre base de donnes est maintenant installe.</b>\n<p>Vous pouvez passer  la dernire tape.</p>\n";
				echo "<form action='index.php' method='post'>\n";
				echo "<input type='hidden' name='etape' value='4' />\n";
				echo "<div align='right'><input type='submit' class='bouton' value='Suivant >>' /></div>\n";
				echo "</form>\n";
			}
		}
		if ( !$flag ) {
			echo "<p><b>L'opration a chou.</b> Retournez  la page prcdente, slectionnez une autre base ou crez-en une nouvelle. Vrifiez les informations fournies par votre hbergeur.</p>\n";
			echo $erreur;
		}
		break;	

	case "4":
		if ( file_exists($fichier) ) {
			
			require_once($fichier);
			$resultat = @mysql_query("SELECT * FROM te_comptes WHERE login = 'admin'");
			$total = @mysql_num_rows($resultat);
			if ($total) {
				echo "<span class='entete'>Dernire tape : l'installation est termine</span><br /><br />\n";
				echo "Vous pouvez maintenant commencer  utiliser la TROUSSE A ENQUETES ...<br /><br />Les accs sont les suivants :\n<ul>";
				echo "<li>Espace public de consultation <a class='bouton' href='../'>http://".URL."</a></li>";
				echo "<li>Espace de gestion <a class='bouton' href='../gestion/'>http://".URL."gestion/</a></li>";
				echo "<li>Information sur l'entrept OAI/PMH <a class='bouton' href='../acces_oai.php'>http://".URL."acces_oai.php</a></li>";
				echo "</ul><br />Pour vous connecter la premire fois en tant qu'administrateur, utilisez le compte (login = admin, mot de passe = admin).<br />N'oubliez pas de changer le mot de passe !<br />\n";
			} else {
				echo "<span class='entete'>Dernire tape : problme rencontr.</span><br /><br />\n";
				echo "Fichier de configuration <span class='entete'>{repertoire_installation}/config/".basename($fichier)."</span> non trouv.";												
			}
		
		} else {
			echo "<span class='entete'>Dernire tape : problme rencontr.</span><br /><br />\n";
			echo "Le chargement de la structure ne s'est pas bien droul.<br />Vous pouvez essayer de charger manuellement le fichier <b>[trousse_enquetes.sql]</b>  partir d'une interface phpMyAdmin.";												
		}
		break;
}

function ChargeMySQL($fichier) {
global $erreur, $flag;

	$fd = fopen($fichier, "r");
	while (!feof($fd)) {
		$query=" ";
		while ((substr($query,-1)!=";") && (!feof($fd))) {
			$t_query = fgets($fd, 8000);
			if (substr($t_query,0,3)!="-- ") $query.=$t_query;
			$query = trim($query); 
		}
		if ($query!="") {
			$reg = mysql_query($query);
			if (!$reg) {
				$erreur .= "Problme rencontr pendant le chargement du fichier [$fichier] : '$query'<br />";
				$erreur .= "Erreur retourne : ".mysql_error()."<br />";
				$flag = false;
			}
		}
	}
	fclose($fd);
	return $flag;	
}
?>
</td></tr></table>
</form>
</body>
</html>
